2006-05-22  Adam Jackson  <ajax@freedesktop.org>

	* dix/colormap.c:
	* dix/pixmap.c:
	* dix/window.c:
	* include/colormapst.h:
	* include/pixmapstr.h:
	Bug #6924: Restore the ABI for DrawableRec and ColormapRec to 
	the state they were in prior to the fix for #6438. Based on a 
	patch from Andy Ritger.

2006-05-19  Adam Jackson  <ajax@freedesktop.org>

	* include/os.h:
	Remove dead DPMS timer functions from the installed headers. 
	(Fredrik Höglund)

2006-05-18  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/common/xf86Priv.h:
	* hw/xfree86/common/xf86pciBus.c:
	* hw/xfree86/dummylib/Makefile.am:
	* hw/xfree86/dummylib/getemptypci.c:
	* hw/xfree86/os-support/bus/Pci.c:
	* hw/xfree86/os-support/bus/xf86Pci.h:
	* hw/xfree86/os-support/linux/lnx_pci.c:
	Bug #4139: Fix a BAR remapping bug that could lead to IERR and 
	system hang. (Egbert Eich)

2006-05-18  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/os-support/linux/lnx_pci.c:
	Bug #6377: Ignore disabled BARs, and allow matching BARs 
	aligned to less than 16 bytes. (Felix Kühling, ATI)

2006-05-18  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/os-support/linux/lnx_acpi.c:
	Bug #5877: Avoid burning CPU when acpid dies. Require acpid to 
	be running for ACPI support on Linux. Minor errno handling 
	fixes. (Valery Inozemtsev, Adam Jackson)

2006-05-18  Adam Jackson  <ajax@freedesktop.org>

	* fb/fbcompose.c:
	Bug #6827: Fix texel fetch in fbFetchTransformed to avoid 
	crashes. Still not 100% correct, but better than 7.0. (Radek 
	Doulik, Matthias Hopf)

2006-05-15  Adam Jackson  <ajax@freedesktop.org>

	* configure.ac:
	* hw/xfree86/os-support/linux/lnx_acpi.c:
	Bug #5209: Fix APM/ACPI support, again. (Michel Dänzer, Valery 
	Inozemtsev)

2006-05-15  Adam Jackson  <ajax@freedesktop.org>

	* Xext/sync.c:
	Bug #6903: Fix a crash in the Sync extension.  (Søren Sandmann)

2006-05-15  Adam Jackson  <ajax@freedesktop.org>

	* configure.ac:
	Bug #6916: Build fix for non-Linux.  (Matthieu Herrb)

2006-05-12  Adam Jackson  <ajax@freedesktop.org>

	* configure.ac:
	Bump to 1.0.99.903

2006-05-10  Adam Jackson  <ajax@freedesktop.org>

	* record/record.c:
	Bug #3561: Crash fix in the Record extension. (Paul Anderson)

2006-05-09  Adam Jackson  <ajax@freedesktop.org>

	* render/render.c:
	Bug #6867: Yet another Render crash fix. (Michel Dänzer)

2006-05-09  Adam Jackson  <ajax@freedesktop.org>

	* configure.ac:
	* hw/xfree86/Makefile.am:
	* hw/xfree86/common/Makefile.am:
	* hw/xfree86/common/xf86Globals.c:
	* hw/xfree86/common/xf86Init.c:
	* hw/xfree86/os-support/linux/Makefile.am:
	* hw/xfree86/os-support/linux/lnx_acpi.c:
	* hw/xfree86/os-support/linux/lnx_apm.c:
	Bug #5209: Re-enable building APM and ACPI support. (Michel 
	Dänzer)

2006-05-03  Alan Coopersmith  <alan.coopersmith@sun.com>

        * configure.ac:
        * exa/Makefile.am:
        Fix Solaris build with Sun compilers to work when exa is built before
        hw/xfree86/os-support/solaris (as it is by default now).

2006-05-03  Alan Coopersmith  <alan.coopersmith@sun.com>

	* os/WaitFor.c:
        Use min() [defined in include/misc.h] instead of MIN() [not defined in
        any Xorg header].

2006-05-02  Adam Jackson  <ajax@freedesktop.org>

	* render/mitri.c:
	Bug #6642: Fix buffer overflow in Render.  (CVE 2006-1526, patch
	from Eric Anholt)

2006-04-28  Adam Jackson  <ajax@freedesktop.org>

	* configure.ac:
	Bump to 1.0.99.902

2006-04-28  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/common/xf86pciBus.c:
	* hw/xfree86/os-support/shared/stdResource.c:
	Bug #6750: Fixup for quirky Intel bridges. (Dave Airlie)

2006-04-28  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/os-support/bus/Pci.c:
	* hw/xfree86/os-support/bus/Pci.h:
	* hw/xfree86/os-support/bus/linuxPci.c:
	Bug #6751: Use sysfs to read card ROMs if available. (Dave 
	Airlie)

2006-04-24  Adam Jackson  <ajax@freedesktop.org>

	* fb/fbcompose.c:
	* render/picture.c:
	* render/picture.h:
	Bug #6325: Add support for x4a4 picture format.

	* hw/xfree86/os-support/linux/lnx_KbdMap.c:
	Bug #6472: Fix a static buffer overflow.  (David Woodhouse)

2006-04-18  Donnie Berkholz  <spyderous@gentoo.org>

	reviewed by: Alan Coopersmith

	* hw/xfree86/utils/xorgcfg/interface.c:
	* hw/xfree86/utils/xorgcfg/keyboard-cfg.c:
	* hw/xfree86/utils/xorgcfg/keyboard-cfg.h:
	* hw/xfree86/utils/xorgcfg/loader.c:
	* hw/xfree86/utils/xorgcfg/text-mode.c:
	* hw/xfree86/utils/xorgconfig/cards.c:
	* hw/xfree86/utils/xorgconfig/xorgconfig.c:
	Update all prefixes in config tools, so they mostly work again. Also, make
	RgbPath commented out when using xorgconfig. Start using /dev/input/mice as
	the default mouse location on Linux.

2006-04-17  Donnie Berkholz  <spyderous@gentoo.org>

	reviewed by: Adam Jackson

	* exa/Makefile.am:
	* randr/Makefile.am:
	Bug #6628: Wrap a couple more SDK headers in if XORG, as per Dave Airlie's
	commit on 2006-01-18.

2006-04-17  Donnie Berkholz  <spyderous@gentoo.org>

	reviewed by: Adam Jackson

	* hw/kdrive/ephyr/Makefile.am:
	Bug #6628: Fix kdrive build by linking in libexa before KDRIVE_LIBS.

2006-04-15  Luc Verhaegen  <libv@skynet.be>

	* hw/xfree86/utils/cvt/cvt.c: (PrintUsage):
	* hw/xfree86/utils/cvt/cvt.man.pre:
	CVT means Coordinated Video Timing instead of Common.

2006-04-14  Adam Jackson  <ajax@freedesktop.org>

	* hw/dmx/dmxpixmap.c:
	Coverity #804: Another leak on OOM path.

2006-04-14  Adam Jackson  <ajax@freedesktop.org>

	* mi/micmap.c:
	Coverity #806: Another memory leak on OOM path.

2006-04-14  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/common/xf86Helper.c:
	Coverity #847, #848, #849: Three more memory leaks.

2006-04-14  Adam Jackson  <ajax@freedesktop.org>

	* hw/dmx/input/dmxcommon.c:
	Coverity #1003, #1004: Two more useless null checks.

2006-04-14  Adam Jackson  <ajax@freedesktop.org>

	* hw/dmx/input/dmxconsole.c:
	Coverity #1005: Avoid a null deref.

2006-04-14  Adam Jackson  <ajax@freedesktop.org>

	* hw/dmx/input/dmxinputinit.c:
	Coverity #1007: Fix a silly null check.

2006-04-14  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/os-support/Makefile.am:
	Bug #6580: Don't install xf86drm.h, that's libdrm's job.

Mon Apr 10 11:00:46 2006  Søren Sandmann  <sandmann@redhat.com>

	* composite/compext.c (ProcCompositeReleaseOverlayWindow): Use
	FreeResource() instead of deleteCompOverlayClient().

2006-04-07  Aaron Plattner  <aplattner@nvidia.com>

	* hw/xfree86/common/xf86Module.h:
	Bump the ABI versions.  Due to Glyph privates and the XV update below,
	the video driver ABI needs to be bumped to 1.0.  The rest of the ABI
	minor versions were bumped to include the LoaderGetABIVersion
	function.
	* hw/xfree86/common/xf86xv.c: (xf86XVRegetVideo),
	(xf86XVReputVideo), (xf86XVReputImage), (xf86XVPutStill),
	(xf86XVGetStill), (xf86XVPutImage):
	* hw/xfree86/common/xf86xv.h:
	Add a DrawblePtr argument to the XV hooks.  This allows drivers to
	determine that the target window is redirected and draw to the
	appropriate place.

2006-04-07  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/common/xisb.c:
	* hw/xfree86/common/xisb.h:
	Remove libc wrapper types from Xisb interfaces.

2006-04-06  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/parser/Monitor.c:
	Coverity #488: Avoid smashing an array on malformed config 
	files.

2006-04-06  Adam Jackson  <ajax@freedesktop.org>

	* hw/dmx/glxProxy/glxsingle.c:
	Coverity #769: Fix a potential memory leak for systems that 
	allocate on malloc(0)

2006-04-06  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/common/xf86Config.c:
	Coverity #838: Plug two more memory leaks.

2006-04-06  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/common/xf86Config.c:
	Coverity #837: Fix another another memory leak.

2006-04-06  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/common/xf86Config.c:
	Coverity #836: Fix another memory leak.

2006-04-06  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/common/xf86Config.c:
	Coverity #835: Plug memory leak in extension section parsing.

2006-04-06  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/parser/Keyboard.c:
	Coverity #812: Fix parser memory leak.

2006-04-06  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/dixmods/extmod/xf86vmode.c:
	Coverity #818: Avoid memory leak on error path.

2006-04-06  Adam Jackson  <ajax@freedesktop.org>

	* GL/glx/single2.c:
	Coverity #985: Avoid segfault on malloc failure.

2006-04-06  Adam Jackson  <ajax@freedesktop.org>

	* hw/dmx/dmxextension.c:
	Coverity #1037: Sanity check idx before use.

2006-04-05  Fredrik Höglund  <fredrik@kde.org>

	* Xext/Makefile.am:
	Put the screensaver extension back in the Xext module.

	* Xext/saver.c:
	* dix/globals.c:
	* include/globals.h:
	* os/WaitFor.c:
	Move the screenSaverSuspended variable to DIX globals.

	* configure.ac:
	Restore the old link order for the Xorg and Xdmx binaries.

2006-04-04  Adam Jackson  <ajax@freedesktop.org>

	* hw/darwin/darwin.c:
	* hw/xfree86/common/xf86Init.c:
	Bug #5300: Fix missing spaces in the Build OS line in the log. 
	(Egmont Koblinger)

2006-04-03  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/common/xf86Config.c:
	Bug #2142: Make font path logging more readable. (Eduard Fuchs)

2006-04-03  Adam Jackson  <ajax@freedesktop.org>

	* hw/dmx/glxProxy/glxcmds.c:
	Fix a server crash due to memsetting beyond allocated memory 
	when running GL applications. (Alan Hourihane, backported from 
	head)

2006-04-03  Adam Jackson  <ajax@freedesktop.org>

	* fb/fbmmx.c:
	Bug #6346: Build fix when using gcc -mno-sse. (Jonathan 
	Adamczewski)

2006-04-02  Adam Jackson  <ajax@freedesktop.org>

	* hw/dmx/glxProxy/glxcmds.c:
	Coverity #38: Dead branch elimination.

2006-04-02  Adam Jackson  <ajax@freedesktop.org>

	* Xext/sync.c:
	Coverity #75: Dead variable elimination.

2006-04-02  Adam Jackson  <ajax@freedesktop.org>

	* os/xdmauth.c:
	Coverity #82: Dead variable elimination.

2006-04-02  Adam Jackson  <ajax@freedesktop.org>

	* GL/glx/glxcmdsswap.c:
	Coverity #271: Fix an unbelievably boneheaded NULL chase.

2006-04-02  Adam Jackson  <ajax@freedesktop.org>

	* hw/xnest/Pixmap.c:
	Coverity #616: Fix a rare memory leak.

2006-04-02  Adam Jackson  <ajax@freedesktop.org>

	* os/xdmauth.c:
	Coverity #833: Fix a rather nasty memory leak.

2006-04-02  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/dri/dri.c:
	Coverity #983: Move some risky debugging code inside #ifdef 
	DEBUG.

2006-04-02  Adam Jackson  <ajax@freedesktop.org>

	* GL/glx/glxcmds.c:
	Coverity #986: Prevent a NULL chase.

2006-04-02  Adam Jackson  <ajax@freedesktop.org>

	* Xext/sync.c:
	Coverity #992: Prevent a NULL chase.

2006-04-02  Kristian Høgsberg  <krh@redhat.com>

	* GL/glx/glxdri.c (__glXDRIscreenProbe): Use xf86LoaderCheckSymbol
	to check for DRI symbols instead of dlsym, avoiding RTLD_DEFAULT.
	(__glXDRIscreenProbe): Change GLX-DRI to AIGLX in LogMessage for
	consitency.

2006-04-02  Adam Jackson  <ajax@freedesktop.org>

	* hw/kdrive/ati/Makefile.am:
	* hw/kdrive/ati/ati.h:
	Disable building DRI support in Xati for now.

2006-04-01  Adam Jackson  <ajax@freedesktop.org>

	* configure.ac:
	Disable Xprint freetype support momentarily.  Needs ttf2pt1.c, which
	exists in the monolith but has an advertising clause in the license.

	* Xprint/ps/PsFTFonts.c:
	* Xprint/ps/psout_ft.c:
	* Xprint/ps/psout_ftpstype1.c:
	* Xprint/ps/psout_ftpstype3.c:
	Fix some includes to point into X11/fonts/ properly.

	* configure.ac:
	* hw/dmx/dmxextension.c:
	Reorder link order for Xdmx to fix new screensaver variable reference
	properly; remove previous awful hack.

2006-04-01  Eric Anholt  <anholt@FreeBSD.org>

	* exa/exa_accel.c: (exaCopyWindow):
	* hw/kdrive/ephyr/ephyr_draw.c: (ephyrFinishPipelinedAccess),
	(ephyrUploadToScreen):
	Clean up warnings and a debug printf.

2006-04-01  Eric Anholt  <anholt@FreeBSD.org>

	* exa/exa.c: (exaValidateGC):
	Pull out fb's tile handling during fbValidateGC so we can do the
	necessary exaPrepare/FinishAccess()es.  Revealed by xtest with fakexa.

2006-04-01  Adam Jackson  <ajax@freedesktop.org>

	* hw/dmx/dmxextension.c:
	Hack around the new screensaver variable for DMX, which is otherwise
	blissfully ignorant of it.

2006-04-01  Eric Anholt  <anholt@FreeBSD.org>

	* exa/exa_accel.c: (exaImageGlyphBlt):
	* exa/exa_priv.h:
	* exa/exa_unaccel.c:
	Export exaPrepare/FinishGC to the rest of EXA, and use it in the
	ImageGlyph implementation to avoid unprepared access to the tile.  Also,
	relocate the fbGetDrawable to avoid using a stale dest pointer after
	exaSolidBoxClipped() may have migrated it.  Revealed by xtest.

2006-04-01  Eric Anholt  <anholt@FreeBSD.org>

	* exa/exa_priv.h:
	Use fb's depth-to-planemask computation, which doesn't suffer from
	getting a 1 planemask at depth 32.  Fixes Get/PutImage xtest tests.

2006-04-01  Daniel Stone  <daniel@freedesktop.org>

	* configure.ac:
	Unconditionally run the XP_USE_FREETYPE AM_CONDITIONAL, not just in
	the Xprint-only path.  Make AC_ARG_ENABLE for freetype and AC_ARG_WITH
	for freetype-config conditional also.
	Bug #5801: Check for MTRR support under Linux.  Minor refactoring of
	the code checking this for other OSes.
	(To those wondering about the date: Yes, this is me doing an Xprint
	commit, but it fixes the --disable-xprint path, so.)

	* xkb/xkb.c: (XkbSizeVirtualModMap):
	Bug #6428: Fix off-by-one error when walking off the end of the
	vmodmap list.

2006-03-31  Eric Anholt  <anholt@FreeBSD.org>

	* exa/exa_unaccel.c: (ExaCheckComposite):
	Don't attempt to Prepare/FinishAccess NULL pDrawables.  Exposed by new
	gradient testing in rendercheck.

2006-03-31  Eric Anholt  <anholt@FreeBSD.org>

	* exa/exa.c: (exaGetPixmapOffset), (exaPixmapIsOffscreen),
	(exaPrepareAccess), (exaFinishAccess), (exaDriverInit):
	* exa/exa_accel.c: (exaPutImage):
	* exa/exa_migration.c: (exaPixmapSave), (exaMoveInPixmap),
	(exaMoveOutPixmap):
	* exa/exa_priv.h:
	* exa/exa_render.c: (exaRasterizeTrapezoid), (exaAddTriangles):
	* exa/exa_unaccel.c: (exaPrepareAccessGC), (exaFinishAccessGC),
	(ExaCheckFillSpans), (ExaCheckPolylines), (ExaCheckPolySegment),
	(ExaCheckPolyArc), (ExaCheckPolyFillRect), (ExaCheckImageGlyphBlt),
	(ExaCheckPolyGlyphBlt), (ExaCheckPushPixels):
	* hw/kdrive/ephyr/ephyr.h:
	* hw/kdrive/ephyr/ephyr_draw.c: (ephyrPreparePipelinedAccess),
	(ephyrFinishPipelinedAccess), (ephyrPrepareSolid),
	(ephyrDoneSolid), (ephyrPrepareCopy), (ephyrDoneCopy),
	(ephyrPrepareComposite), (ephyrDoneComposite),
	(ephyrDownloadFromScreen), (ephyrUploadToScreen),
	(ephyrPrepareAccess), (ephyrDrawInit), (exaDDXDriverInit):
	Add an option to EXA for the DDX to request that EXA hide the pixmap's
	devPrivate.ptr when pointing at offscreen memory, outside of
	exaPrepare/FinishAccess().  This was used with fakexa to find (by NULL
	dereference) many instances of un-Prepared CPU access to the
	framebuffer:
	- GC tiles used in several ops when fillStyle == FillTiled were never
	  Prepared.
	- Migration could lead to un-Prepared access to mask data in render's
	  Trapezoids and Triangles
	- PutImage's UploadToScreen failure fallback failed to Prepare.

2006-03-31  Eric Anholt  <anholt@FreeBSD.org>

	* exa/exa_offscreen.c: (ExaOffscreenValidate):
	Correct a typo in debug-only offscreen validation code. (Wang Zhenyu)

2006-03-31  Fredrik Höglund  <fredrik@kde.org>

	* Xext/Makefile.am:
	Move the screensaver extension from module to builtins.

	* Xext/saver.c (ScreenSaverExtensionInit), (ScreenSaverFreeSuspend),
	(ProcScreenSaverSuspend), (SProcScreenSaverSuspend):
	* os/WaitFor.c (SetScreenSaverTimer):
	Add the server side implementation of the ScreenSaverSuspend request.

	* configure.ac:
	Require scrnsaverproto >= 1.1, and change the linking order of the
	Xorg static libs.

Fri Mar 31 12:37:16 2006  Søren Sandmann  <sandmann@redhat.com>

	* dix/window.c: Fix copyright statement

2006-03-31  Egbert Eich  <eich_at_freedesktop_dot_org>

	* mi/miwideline.c: (miFillRectPolyHelper), (miLineArc):
	fixed typo.
	
2006-03-31  Daniel Stone  <daniel@freedesktop.org>

	* configure.ac:
	* Xprint/Makefile.am:
	* Xprint/ps/Makefile.am:
	* Xprint/ps/psout_ftpstype3.c:
	Add full FreeType support for Xprint.  (Drew Parsons)

	* xkb/xkbfmisc.c:
	Simplify XkbWriteXKBKeymapForNames a bit, and remove debug spew.

	* Xi/*.[ch]:
	Reindent with -cbi0.

2006-03-30  Eric Anholt  <anholt@FreeBSD.org>

	* exa/exa.c: (exaValidateGC):
	* exa/exa_priv.h:
	* exa/exa_unaccel.c: (exaGetPixmapFirstPixel):
	Remove the exaAsyncPixmapGCOps mostly-unaccelerated ops vector, and
	always plug in the accelerated one, even if the destination pixmap is
	currently offscreen. This was a leftover from when kaa originally got
	accelerated offscreen pixmap support, and its only concievable use
	was to avoid a little overhead on ops to in-system pixmaps that weren't
	going to get migrated.  At this point, we probably care more about just
	getting everything accelerated that we easily can, which should happen
	with the new migration support.

2006-03-30  Eric Anholt  <anholt@FreeBSD.org>

	* exa/exa_accel.c: (exaCopyWindow):
	Don't do an extra fallback path for CopyWindow while swappedOut, since
	exaCopyNtoN takes care of the fallback anyway, and we don't care about
	the performance of this path.

2006-03-30  Eric Anholt  <anholt@FreeBSD.org>

	* hw/kdrive/ephyr/Makefile.am:
	Add a dependency on EXA, so it rebuilds when the library does.  The
	manual indicated I shouldn't do this, but experience indicates I should.

2006-03-30  Kristian Høgsberg  <krh@redhat.com>

	* GL/glx/glxcmds.c (__glXCreateARGBConfig): Mark the ARGB FBConfig
	as nonconforming to prevent drivers and apps from falling over.

	* GL/mesa/*/Makefile.am (AM_CFLAGS): Add @GLX_DEFINES@ so GLcore
	gets compiled with TLS support if configured.

	* GL/mesa/X/xf86glx.c (__glXMesaDrawableDestroy): Only destroy the
	mesa buffer if it got initialized.

2006-03-30  Egbert Eich  <eich_at_freedesktop_dot_org>

	* include/colormapst.h:
	* include/pixmapstr.h:
	* mi/miwideline.c: (miFillRectPolyHelper), (miLineArc):
	Fixes for some vsw4 failures on 64bit BE platforms such as
	PPC64 and s390x. Provided by Hong Bo Peng of IBM (slightly
	modified). Patches try to resolve some of the careless
	mixtures of ulong and uint (which are different size on
	64bit). 
	> This patch will break the driver ABI! <
	Bugzilla #6438.
	
2006-03-29  Kristian Høgsberg  <krh@redhat.com>

	* GL/glx/indirect_dispatch.c:
	* GL/glx/indirect_dispatch_swap.c:
	* GL/glx/indirect_size_get.c: Regenerate these files using updated
	scripts to avoid unused variable warnings.

2006-03-29  Eric Anholt  <anholt@FreeBSD.org>

	* exa/exa_accel.c: (exaPutImage), (exaGetImage):
	Bug #2986: Add PutImage acceleration for the ZPixmap,
	planeMask ~= FB_ALLONES, bitsPerPixel >= 8, GXcopy cases.  With the
	radeon driver on my machine, this gives about 10% speedup in PutImage
	10x10 and 500x500, and 40% speedup for 10x10 ShmPutImage, up to 65%
	improvement in 500x500 ShmPutImage.  Also fixes a crasher in GetImage
	that slipped in at the last minute.

2006-03-29  Eric Anholt  <anholt@FreeBSD.org>

	* hw/kdrive/ephyr/ephyr_draw.c: (ephyrDownloadFromScreen),
	(ephyrUploadToScreen), (ephyrDrawInit):
	Add an UploadToScreen implementation, for testing PutImage support, and
	make the DownloadFromScreen more robust.

2006-03-29  Eric Anholt  <anholt@FreeBSD.org>

	* exa/exa_accel.c: (exaGetImage):
	* exa/exa_priv.h:
	Bug #2986: Add acceleration of GetImage using DownloadFromScreen for the
	ZPixmap, planeMask ~= FB_ALLONES, bitsPerPixel >= 8 case.  I'm pretty
	convinced that this is the only case that we care about at all.  Tested
	with xwd -root and xwd on a gnome-terminal, in a composited environment
	or not.

2006-03-29  Eric Anholt  <anholt@FreeBSD.org>

	* hw/kdrive/ephyr/ephyr_draw.c: (ephyrDownloadFromScreen),
	(ephyrDrawInit), (exaDDXDriverInit):
	Add a DownloadFromScreen implementation, used for testing GetImage
	acceleration, and set the migration scheme to Always on init (since
	this is all for testing, and Always should make migration happen more
	frequently than Greedy).

2006-3-29   Deron Johnson  <deron.johnson@sun.com>

        * xorg/composite/compinit.c
        * xorg/composite/compwindow.c
        * xorg/dix/window.c
        * xorg/include/window.h
	Fix composite overlay window bug 6411.
	
2006-03-28  Adam Jackson  <ajax@freedesktop.org>

	* afb/afbbitblt.c:
	* afb/afbcmap.c:
	* afb/afbfillarc.c:
	* afb/afbfillrct.c:
	* afb/afbpushpxl.c:
	* afb/afbscrinit.c:
	* afb/afbzerarc.c:
	* hw/dmx/input/usb-other.c:
	* hw/xfree86/common/xf86xv.c:
	* hw/xfree86/dri/dri.c:
	* hw/xfree86/fbdevhw/fbdevhw.c:
	* hw/xfree86/i2c/fi1236.c:
	* hw/xfree86/i2c/msp3430.c:
	* hw/xfree86/i2c/uda1380.c:
	* hw/xfree86/xf4bpp/ppcGetSp.c:
	* hw/xfree86/xf8_16bpp/cfbscrinit.c:
	* hw/xfree86/xf8_32bpp/cfbimage.c:
	More warning cleanup.

2006-03-28  Kristian Høgsberg  <krh@redhat.com>

	* configure.ac: Fix another typo.
	
	* configure.ac: 
	* GL/glx/Makefile.am: Fix a couple of typos.

2006-03-27  Aaron Plattner  <aplattner@nvidia.com>

	* hw/xfree86/common/xf86Module.h:
	* hw/xfree86/loader/loader.c: (LoaderGetABIVersion):
	* hw/xfree86/loader/xf86sym.c:
	Add a new export, LoaderGetABIVersion.  This function allows
	modules to query the versions directly instead of having to guess.
	Bug #6416: Add LoaderGetABIVersion.

2006-03-27  Kristian Høgsberg  <krh@redhat.com>

	* configure.ac:
	* GL/glx/Makefile.am: Add --enable-glx-tls ./configure option to
	enable use of TLS for storing current GL context.  Use this option
	to let AIGLX load DRI drivers compiled for TLS.

2006-03-27  Adam Jackson  <ajax@freedesktop.org>

	* include/regionstr.h:
	* include/scrnintstr.h:
	* mi/miscrinit.c:
	Remove long-dead screen region code.

	* Xext/panoramiX.c:
	* Xext/security.c:
	* Xext/xevie.c:
	* Xprint/AttrValid.h:
	* Xprint/Oid.h:
	* dbe/dbe.c:
	* dbe/midbe.c:
	* dix/devices.c:
	* dix/events.c:
	* dix/window.c:
	* mi/miarc.c:
	* mi/mioverlay.c:
	* miext/shadow/shadow.h:
	* os/connection.c:
	* os/xdmauth.c:
	* record/record.c:
	* render/mipict.c:
	Big old pile of warning fixes.

	* configure.ac:
	Silence some editorializing in the configure help text.

2006-03-25  Daniel Stone  <daniel@freedesktop.org>

	* xkb/xkbUtils.c:
	Fix two of the more glaring unconditional-NULL-dereference screwups.
	There are many more left.

	* xkb/Makefile.am:
	* xkb/xkbconfig.c:
	* xkb/ddxConfig.c:
	* xkb/xkbInit.c:
	* hw/xgl/glx/xglx.c:
	* hw/xnest/Keyboard.c:
	Remove weirdo XkbCF pre-configuration code.

	* xkb/xkb.h:
	* xkb/xkb.c:
	Remove INITARGS braindamage, change to void; add XkbExtensionInit
	prototype to xkb.h.
	Explicitly initialise nTypes in xkb.c.

	* configure.ac:
	* include/xkb-config.h.in:
	* xkb/xkbfmisc.c:
	* xkb/maprules.c:
	* hw/xfree86/dixmods/xkbPrivate.c:
	Bug #3819: Remove open-coding of strcasecmp.

	* xkb/ddxVT.c:
	* xkb/ddxPrivate.c:
	* xkb/ddxKillSrv.c:
	* hw/xfree86/dixmods/Makefile.am:
	* hw/xfree86/dixmods/xkbVT.c:
	* hw/xfree86/dixmods/xkbPrivate.c:
	* hw/xfree86/dixmods/xkbKillSrv.c:
	Move XFree86 DDX actions out of xkb/ and into proper files in their
	own right in dixmods.

	* xkb/Makefile.am:
	* xkb/XKBAlloc.c:
	* xkb/XKBGAlloc.c:
	* xkb/XKBMAlloc.c:
	* xkb/XKBMisc.c:
	* xkb/xkbfmisc.c:
	* xkb/xkmread.c:
	* xkb/xkbtext.c:
	* xkb/xkbout.c:
	Prune XKB code to only what we need to run the server.  Remove dead
	!XKB_IN_SERVER codepaths.  Remove HAVE_CONFIG_H codepaths.

2006-03-25  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/common/xf86Bus.c:
	* hw/xfree86/common/xf86Configure.c:
	* hw/xfree86/common/xf86Cursor.c:
	* hw/xfree86/common/xf86DGA.c:
	* hw/xfree86/common/xf86DPMS.c:
	* hw/xfree86/common/xf86Debug.c:
	* hw/xfree86/common/xf86Events.c:
	* hw/xfree86/common/xf86Globals.c:
	* hw/xfree86/common/xf86Helper.c:
	* hw/xfree86/common/xf86Init.c:
	* hw/xfree86/common/xf86Io.c:
	* hw/xfree86/common/xf86MiscExt.c:
	* hw/xfree86/common/xf86Mode.c:
	* hw/xfree86/common/xf86Option.c:
	* hw/xfree86/common/xf86RandR.c:
	* hw/xfree86/common/xf86Versions.c:
	* hw/xfree86/common/xf86VidMode.c:
	* hw/xfree86/common/xf86Xinput.c:
	* hw/xfree86/common/xf86cmap.c:
	* hw/xfree86/common/xf86fbBus.c:
	* hw/xfree86/common/xf86fbman.c:
	* hw/xfree86/common/xf86isaBus.c:
	* hw/xfree86/common/xf86noBus.c:
	* hw/xfree86/common/xf86pciBus.c:
	* hw/xfree86/common/xf86sbusBus.c:
	* hw/xfree86/common/xf86xv.c:
	* hw/xfree86/common/xf86xvmc.c:
	* hw/xfree86/common/xisb.c:
	* hw/xfree86/dummylib/xf86addrestolist.c:
	* hw/xfree86/dummylib/xf86allocscripi.c:
	* hw/xfree86/dummylib/xf86drvmsg.c:
	* hw/xfree86/dummylib/xf86drvmsgverb.c:
	* hw/xfree86/dummylib/xf86errorf.c:
	* hw/xfree86/dummylib/xf86errorfverb.c:
	* hw/xfree86/dummylib/xf86getpagesize.c:
	* hw/xfree86/dummylib/xf86getverb.c:
	* hw/xfree86/dummylib/xf86msg.c:
	* hw/xfree86/dummylib/xf86msgverb.c:
	* hw/xfree86/dummylib/xf86opt.c:
	* hw/xfree86/dummylib/xf86screens.c:
	* hw/xfree86/loader/loader.c:
	* hw/xfree86/loader/loadext.c:
	* hw/xfree86/loader/loadfont.c:
	* hw/xfree86/loader/loadmod.c:
	* hw/xfree86/loader/os.c:
	* hw/xfree86/os-support/bsd/alpha_video.c:
	* hw/xfree86/os-support/bsd/arm_video.c:
	* hw/xfree86/os-support/bsd/bsdResource.c:
	* hw/xfree86/os-support/bsd/bsd_io.c:
	* hw/xfree86/os-support/bsd/bsd_kbd.c:
	* hw/xfree86/os-support/bsd/bsd_kmod.c:
	* hw/xfree86/os-support/bsd/bsd_mouse.c:
	* hw/xfree86/os-support/bsd/i386_video.c:
	* hw/xfree86/os-support/bsd/ppc_video.c:
	* hw/xfree86/os-support/bsd/sparc64_video.c:
	* hw/xfree86/os-support/bus/Pci.c:
	* hw/xfree86/os-support/bus/Sbus.c:
	* hw/xfree86/os-support/bus/axpPci.c:
	* hw/xfree86/os-support/bus/linuxPci.c:
	* hw/xfree86/os-support/bus/sparcPci.c:
	* hw/xfree86/os-support/linux/lnxResource.c:
	* hw/xfree86/os-support/linux/lnx_agp.c:
	* hw/xfree86/os-support/linux/lnx_axp.c:
	* hw/xfree86/os-support/linux/lnx_io.c:
	* hw/xfree86/os-support/linux/lnx_kbd.c:
	* hw/xfree86/os-support/linux/lnx_kmod.c:
	* hw/xfree86/os-support/linux/lnx_mouse.c:
	* hw/xfree86/os-support/linux/lnx_video.c:
	* hw/xfree86/os-support/lynxos/lynx_io.c:
	* hw/xfree86/os-support/lynxos/lynx_mmap.c:
	* hw/xfree86/os-support/lynxos/lynx_mouse.c:
	* hw/xfree86/os-support/lynxos/lynx_noinline.c:
	* hw/xfree86/os-support/lynxos/lynx_video.c:
	* hw/xfree86/os-support/misc/BUSmemcpy.c:
	* hw/xfree86/os-support/misc/Delay.c:
	* hw/xfree86/os-support/misc/IODelay.c:
	* hw/xfree86/os-support/misc/SlowBcopy.c:
	* hw/xfree86/os-support/sco/sco_io.c:
	* hw/xfree86/os-support/sco/sco_iop.c:
	* hw/xfree86/os-support/sco/sco_kbd.c:
	* hw/xfree86/os-support/sco/sco_mouse.c:
	* hw/xfree86/os-support/shared/agp_noop.c:
	* hw/xfree86/os-support/shared/bios_devmem.c:
	* hw/xfree86/os-support/shared/bios_mmap.c:
	* hw/xfree86/os-support/shared/ia64Pci.c:
	* hw/xfree86/os-support/shared/ioperm_noop.c:
	* hw/xfree86/os-support/shared/kbd.c:
	* hw/xfree86/os-support/shared/kmod_noop.c:
	* hw/xfree86/os-support/shared/libc_wrapper.c:
	* hw/xfree86/os-support/shared/posix_tty.c:
	* hw/xfree86/os-support/shared/sigio.c:
	* hw/xfree86/os-support/shared/sigiostubs.c:
	* hw/xfree86/os-support/shared/stdResource.c:
	* hw/xfree86/os-support/shared/vidmem.c:
	* hw/xfree86/os-support/solaris/sun_agp.c:
	* hw/xfree86/os-support/solaris/sun_bios.c:
	* hw/xfree86/os-support/solaris/sun_mouse.c:
	* hw/xfree86/os-support/solaris/sun_vid.c:
	* hw/xfree86/os-support/sysv/sysv_io.c:
	* hw/xfree86/os-support/sysv/sysv_mouse.c:
	* hw/xfree86/os-support/sysv/sysv_video.c:
	* hw/xfree86/os-support/usl/usl_io.c:
	* hw/xfree86/os-support/usl/usl_iop.c:
	* hw/xfree86/os-support/usl/usl_kbd.c:
	* hw/xfree86/os-support/usl/usl_mouse.c:
	* hw/xfree86/utils/xorgcfg/loadmod.c:
	* os/utils.c:
	Mark everything in xf86sym.c as _X_EXPORT.

2006-03-24  Fredrik Höglund  <fredrik@kde.org>

	* Xext/dpms.c (ProcDPMSSetTimeouts):
	* dix/main.c (main):
	* hw/xfree86/common/xf86Xinput.c (xf86eqProcessInputEvents):
	* hw/xfree86/loader/dixsym.c:
	* os/WaitFor.c (NextDPMSTimeout), (ScreenSaverTimeoutExpire)
	(SetScreenSaverTimer), (DPMSStandbyTimerExpire),
	(DPMSSuspendTimerExpire), (DPMSOffTimerExpire), (FreeDPMSTimers),
	(SetDPMSTimers):
	Refactored the screensaver and DPMS timer code to use the screensaver
	timer for both screensaver and DPMS. Removed the SetDPMSTimers()
	and FreeDPMSTimers() functions.

2006-03-24  Kristian Høgsberg  <krh@redhat.com>

	* GL/glx/glxdri.c (__glXDRIscreenProbe): Make sure DRI module is
	loaded before calling DRI functions.

2006-03-23  Alan Coopersmith  <alan.coopersmith@sun.com>

	* hw/xfree86/getconfig/getconfig.pl: 
	Add ast driver/pci id (Carl Switzky, Sun Microsystems)

2006-03-22  Kristian Høgsberg  <krh@redhat.com>

	* GL/glx/glxdri.c (__glXDRIscreenProbe): Improve error logging.

Wed Mar 22 16:28:46 2006  Søren Sandmann  <sandmann@redhat.com>

	* fb/fbmmx.c (fbCopyAreammx): Use inline assembly for copy area,
	since gcc doesn't generate movq instructions.

Wed Mar 22 16:05:09 2006  Søren Sandmann  <sandmann@redhat.com>

	* fb/fbmmx.c (fbSolidFillmmx): Use inline assembly for solid
	fills, since gcc doesn't use the movq instructions.

Wed Mar 22 13:42:44 2006  Søren Sandmann  <sandmann@redhat.com>

	* mi/mivaltree.c (miComputeClips): Patch by Keith Packard to make
	sure redirected windows don't get considered "FullyObscured".

2006-03-21  Kristian Høgsberg  <krh@redhat.com>

	Make the server distcheck and tag 1.0.99.1 snapshot.
	
	* configure.ac: Bump CVS version to 1.0.99.1.

	* Makefile.am:
	* os/Makefile.am: 
	* Xext/Makefile.am: 
	* GL/mesa/glapi/Makefile.am:  Distcheck fixes.

2006-03-21  Kristian Høgsberg  <krh@redhat.com>

	* GL/glx/glxcmds.c: 
	* GL/glx/glxcmdsswap.c: #include indirect_dispatch to get
	prototypes for FBO functions.

	* GL/glx/glxcontext.h: 
	* GL/glx/glxserver.h: 
	* GL/glx/glxdri.c: Fix a couple of warnings.

2006-03-20  Donnie Berkholz  <spyderous@gentoo.org>

	reviewed by: Kristian Høgsberg

	* GL/glx/glxscreens.c: (__glXHyperpipeInit),
	(__glXSwapBarrierInit):
	* GL/glx/glxutil.h:
	* GL/glx/single2.c: (__glXDisp_FeedbackBuffer),
	(__glXDisp_SelectBuffer):
	* GL/glx/single2swap.c: (__glXDispSwap_FeedbackBuffer),
	(__glXDispSwap_SelectBuffer):
	Finish glx_ansic.h wrapper changes to make Xvfb and Xnest link again.

2006-03-20  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/common/xf86Init.c:
	Bug #6213: Check geteuid's return value, not its address, otherwise
	unprivileged users can set the modulepath and run arbitrary code.
	Patch from Matthieu Herrb.  (CVE-2006-0745, Coverity #4)

	* cfb/cfbrrop.h:
	Bug #5549: Fix build for sparc64.  (Matthieu Herrb)

2006-03-16  Kristian Høgsberg  <krh@redhat.com>

	* configure.ac: Check for glproto when building GLX and make sure
	we have at least 1.4.6.

	* GL/glx/*.c: Drop glx_ansic.h wrapper and call xalloc, xrealloc,
	xfree and str-funcs directly.
	
	* GL/glx/glxcmds.c (GlxSetRenderTables): Really add this.

2006-03-16  Kristian Høgsberg  <krh@redhat.com>

	More patches from David Reveman:

	* GL/glx/glxscreens.c: Add GL_ARB_texture_non_power_of_two,
	GL_EXT_framebuffer_object and GL_NV_texture_env_combine4
	extensions.

	* GL/glx/glxcmds.c (__glXContextDestroy, DoMakeCurrent)
	(__glXdirectContextDestroy): Add __GLXcontext destructor and flush
	context cache there and on loseCurrent.

	* GL/mesa/X/xf86glx.c (__glXMesaContextDestroy): Chain back to new
	__GLXcontext destructor.
	(__glXMesaContextForceCurrent): Set render table on forceCurrent.
	(init_screen_visuals): Index pVis array correctly.
	(GlxGetMesaProvider): Add this.

	* GL/glx/glxcmds.c: 
	* GL/glx/g_disptab_EXT.h: 
	* GL/glx/g_disptab_EXT.c: Hook up FBO marshalling.

2006-03-16  Eric Anholt  <anholt@FreeBSD.org>

	* exa/exa.c: (exaGetPixmapSize), (exaDestroyPixmap), (exaLog2),
	(exaCreatePixmap):
	* exa/exa_migration.c: (exaCopyDirtyToSys), (exaCopyDirtyToFb),
	(exaPixmapSave), (exaMoveInPixmap), (exaMoveOutPixmap):
	* exa/exa_priv.h:
	Change EXA so that exaMoveOutPixmap() retains the framebuffer copy of
	the pixmap, and damage is tracked so that a later exaMoveInPixmap won't
	result in an upload if no upload is necessary.  This will likely improve
	the performance of the "Always" migration scheme significantly, and is
	a step in the path to more exact damage tracking between framebuffer and
	system memory.

2006-03-16  Daniel Stone  <daniel@freedesktop.org>

	* hw/xfree86/common/xf86PciInfo.h:
	* hw/xfree86/os-support/bus/zx1PCI.c:
	Add support for ZX2 PCI-E local bus adaptors.  (Alex Williamson, HP)

	* hw/xfree86/os-support/bus/zx1PCI.c:
	Use soft timeout register to avoid MCAs when probing for non-existent
	local bus adaptors on ZX2.  (Alex Williamson, HP)

2006-03-15  Adam Jackson  <ajax@freedesktop.org>

	* configure.ac:
	Bump to requiring fixesproto >= 4.0 and compositeproto >= 0.3.

2006-03-15  Matthieu Herrb <matthieu.herrb@laas.fr>

	* configure.ac
	* include/xorg-config.h.in
	- OpenBSD needs -Wl,-export-dynamic to export symbols from main
	executable to modules.
	- Probe for OpenBSD aperture driver and define HAS_APERTURE_DRV
	accordingly.

2006-03-15  Felix Kuehling  <fkuehlin@ati.com>

	* hw/xfree86/x86emu/ops2.c: (x86emuOp2_bts_R):
	Enable correct handling of the BTS instruction (opcode 0f ab)
	The code was there but #ifdefed out. Insead of BTS, BT was executed.
	This patch enables the BTS function and hooks it up the the correct
	opcode.
	(ATI Technologies Inc.)

2006-03-15  Felix Kuehling  <fxkuehl@gmx.de>

	* GL/mesa/shader/slang/Makefile.am:
	* GL/symlink-mesa.sh:
	Update to build against Mesa CVS HEAD.

2006-03-15  Eric Anholt  <anholt@FreeBSD.org>

	* exa/exa_migration.c: (exaMoveInPixmap):
	Don't let pinned pixmaps get migrated in when using the "Always"
	migration scheme.  This notably keeps the visible screen from getting
	migrated in to a new location in framebuffer.

	Reported by:	Michel Dänzer.

2006-03-15  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/loader/loadmod.c:
	Coverity #1053: Nuke a dead variable.
	Coverity #269: Compare the requested ABI class against the ABI class
	    of the module, not the module class.
	Coverity #794: Fix a highly unlikely memory leak.

	* miext/cw/cw.c:
	Coverity #337: Remove useless NULL check.

	* hw/xfree86/loader/loader.c:
	Coverity #484: Fix an off-by-one in module refcounting.

	* damageext/damageext.c:
	Coverity #491: Check version number correctly.

	* xfixes/xfixes.c:
	Coverity #487: Check version number correctly.

	* hw/xfree86/common/xf86VidMode.c:
	Coverity #490: Fix a range check in xf86vidmode extension.

	* xfixes/region.c:
	Coverity #807: Fix a memory leak in XFixesExpandRegion.

	* hw/xfree86/xf4bpp/ppcPixFS.c:
	Coverity #1042, 1043: Nuke some dead variables.

2006-03-15  Benjamin Herrenschmidt  <benh@kernel.crashing.org>

	* hw/xfree86/dri/dri.c: (DRIExtensionInit):
	Fix DRIExtensionInit() to not register callbacks when it hasn't been
	initialized for the current server generation. Fixes a problem where
	it would use stale private index and blow up in colorful ways if no
	driver called DRIScreenInit() on the second generation (which happens
	due to a bug in radeon that i'll fix separately). Note: clearing the
	index in DRIReset() wouldn't work as DRIReset() is called before the
	CloseScreen() chain

2006-03-15  Benjamin Herrenschmidt  <benh@kernel.crashing.org>

	* hw/xfree86/common/xf86fbman.c: (localAllocateOffscreenLinear):
	Make xf86 linear allocator smarter when dealing with alignment
	constraints when falling back to X/Y allocations. Fixes various
	problems of Xv allocation failures, notably with "nv" driver.

2006-03-14  Eric Anholt  <anholt@FreeBSD.org>

	* exa/exa.c: (exaDriverInit):
	* exa/exa_migration.c: (exaDoMigration):
	* exa/exa_priv.h:
	* hw/xfree86/exa/examodule.c: (exaXorgCloseScreen),
	(exaDDXDriverInit):
	Add a new migration scheme, "always", which will move pixmaps to their
	desired location always (unless they don't fit in FB, in which case they
	all get moved out for software rendering).  The default remains as
	before, but can be controlled by the MigrationHeuristic xorg.conf option
	(which is intentionally not documented, as it may be short-lived).  This
	is part of the exa-damagetrack work, which appears stable in testing
	with fakexa, unlike the work as a whole.

2006-03-14  Eric Anholt  <anholt@FreeBSD.org>

	* exa/exa.c:
	* exa/exa.h:
	Add more doxygen documentation, including notes on WaitMarker() and
	MarkSync() that I noticed were needed while reading the VIA driver.

2006-03-14  Eric Anholt  <anholt@FreeBSD.org>

	* exa/exa.c: (exaDriverInit):
	* exa/exa_accel.c: (exaFillSpans), (exaCopyNtoN),
	(exaPolyFillRect), (exaSolidBoxClipped), (exaFillRegionSolid),
	(exaFillRegionTiled), (exaGetImage), (exaGetSpans):
	* exa/exa_migration.c: (exaPixmapIsPinned), (exaMigrateTowardFb),
	(exaMigrateTowardSys), (exaDoMigration):
	* exa/exa_priv.h:
	* exa/exa_render.c: (exaOpReadsDestination),
	(exaTryDriverSolidFill), (exaTryDriverComposite), (exaComposite),
	(exaGlyphs):
	* exa/exa_unaccel.c: (exaGetPixmapFirstPixel):
	Move migration logic to a new function, exaDoMigration().  This is
	largely a manual conversion to allow for different migration schemes
	to be implemented reasonably, but does include some minor improvements
	such as accounting for pinned pixmaps not being acceleratable, and for
	our current GetImage and GetSpans not being accelerated.

2006-03-14  Eric Anholt  <anholt@FreeBSD.org>

	* exa/exa_accel.c: (exaFillRegionTiled):
	* exa/exa_priv.h:
	* exa/exa_render.c: (exaTryDriverSolidFill):
	* exa/exa_unaccel.c: (exaGetPixmapFirstPixel):
	Pull code for getting the (0,0) pixel from a pixmap out to a separate
	function, since it gets repeated (with bad error handling, in one case).

2006-03-14  Kristian Høgsberg  <krh@redhat.com>

	* GL/glx/glxdri.c (__glXDRIscreenProbe): Bail out early if screen
	doesn't support DRI.

2006-3-13   Deron Johnson  <deron.johnson@sun.com>

	* composite/compalloc.c
	* composite/compext.c
	* composite/compinit.c
	* composite/compint.h
	* composite/compwindow.c
	* xfixes/cursor.c
	* xfixes/xfixes.c
	* xfixes/xfixesint.h
	Composite Version 0.3: CompositeGetOverlayWindow, CompositeReleaseOverlayWindow
	Xfixes Version 4.0: XFixesHideCursor, XFixesShowCursor

2006-03-12  Kristian Høgsberg  <krh@redhat.com>

	First batch of AIGLX fixes from David Reveman.

	* GL/mesa/X/xf86glx.c (GlxGetMesaProvider): Add getter for Mesa
	provider.

	* GL/glx/glxvisuals.c (GlxInitVisuals): Export this for Xgl.

	* GL/glx/glxutil.c (__glXDrawableInit, __glXGetDrawable): Move
	resource tracking out of drawable constructor to allow wrapping.

	* GL/glx/glxcmdsswap.c (__glXSwapGetDrawableAttributesReply): Use
	corrent reply size #define.

	* GL/glx/glxcmds.c (GlxSetRenderTables): Add this function.
	(DoGetDrawableAttributes): Fix array length.

2006-03-12  Matthieu Herrb <matthieu.herrb@laas.fr>

	* hw/xfree86/dixmods/Makefile.am
	Fix build when AIGLX is false. 

2006-03-11  Eric Anholt  <anholt@FreeBSD.org>

	* exa/exa.h:
	Improve doxygen formatting, and attempt to clarify the 1:1 ratio of
	successful PrepareCopy()s to DoneCopy()s.
	
2006-03-11  Eric Anholt  <anholt@FreeBSD.org>

	reviewed by: jbarnes

	* exa/exa_accel.c: (exaCopyNtoNTwoDir):
	Make exaCopyNtoNTwoDir() call DoneCopy() at the end of each string of
	consecutive Copy() calls (rather than exactly once at the end of the
	function).

2006-03-10  Kristian Høgsberg  <krh@redhat.com>

	* Merge accel_indirect branch to HEAD.

2006-03-05  Kristian Høgsberg  <krh@redhat.com>

	* GL/glx/glxcmds.c (DoGetDrawableAttributes): Add
	GLX_Y_INVERTED_EXT to the drawable attributes we report.
	
2006-03-05  Kristian Høgsberg  <krh@redhat.com>

	* GL/glx/glxcmds.c (__glXCreateARGBConfig): Create the fbconfig
	for the composite 32 visual after the fact here.

	* GL/glx/glxdri.c (__glXDRIbindTexImage): Use 4bpp for 32 bit
	visuals too, but only fill the alpha channel for 24 depth
	drawables.

2006-03-03  Kristian Høgsberg  <krh@redhat.com>

	* GL/glx/glxdri.c (getDrawableInfo): Work around i915 driver that
	tries to render to drawable even if it no longer exists.
	Returning 0 cliprects (as dri_util.c does) doesn't seem to do it,
	so we set the width and height to 0.
	
	* GL/glx/g_disptab.h: 
	* GL/glx/glxcmdsswap.c: Fix a couple of warnings.

2006-03-03  Kristian Høgsberg  <krh@redhat.com>

	* GL/glx/glxdri.c (__glXDRIscreenProbe): Log full DRI driver path
	when dlopen() fails.

	* GL/glx/glxscreens.c (__glXInitScreens): Log the provider name
	when we initialize a GLX screen.

	* GL/symlink-mesa.sh: 
	* GL/mesa/swrast/Makefile.am: Update to work with mesa head.

2006-03-01  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* GL/glx/glxdri.c: (__glXDRIscreenProbe):
	Pass err_msg when dev_priv allocation fails.

2006-03-01  Kristian Høgsberg  <krh@redhat.com>

	* GL/glx/glxdri.c (__glXDRIscreenProbe): Handle failing allocation
	of dev_priv.
	
	* GL/glx/glxdri.c (__glXDRIscreenProbe): The DRI driver
	_mesa_free()'s the dev_priv passed in so we need to give it a
	copy.

2006-03-01  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* GL/glx/glxserver.h:
	Fix Xvfb, Xnest and Xprt build.

2006-02-28  Kristian Høgsberg  <krh@redhat.com>

	* GL/glx/glxdri.c (__glXDRIscreenProbe): Fix enter/leave confusion.

	* configure.ac: 
	* hw/xfree86/common/xf86Config.c (configServerFlags): Enable AIGLX
	by default at configure time and at runtime.

2006-02-27  Kristian Høgsberg  <krh@redhat.com>

	* GL/glx/glxserver.h: 
	* GL/glx/glxext.c: 
	* GL/mesa/X/xf86glx.c: Complete the prepare/finish dispatch to
	enter/leave server rename.

	* GL/glx/glxcmdsswap.c (__glXSwapGetDrawableAttributesSGIX): Add
	byte swapping function.

	* GL/mesa/swrast/Makefile.am (INCLUDES): Add -I../shader/slang.

	* GL/glx/glxcmds.c: Make GLX_EXT_texture_from_pixmap entrypoints
	non-static so we can get at them from glxcmdsswap.c.

2006-02-25  Kristian Høgsberg  <krh@redhat.com>

	* GL/glx/glxcmds.c: Add more GLX_EXT_texture_from_pixmap tokens
	here as a temporary fix.

2006-02-24  Kristian Høgsberg  <krh@redhat.com>

	* GL/glx/glxcmds.c:
	* GL/glx/glxcmdsswap.c:
	* GL/glx/glxcontext.h:
	* GL/glx/glxdri.c:
	* GL/glx/glxscreens.c:
	* GL/glx/glxserver.h: Add hooks for GLX_EXT_texture_from_pixmap
	and port over naive glTexImage2D implementation.  Add support for
	glXQueryDrawable.

2006-02-24  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* GL/glx/Makefile.am:
	Include from Mesa sources before any installed versions.

	* GL/glx/glxdri.c: (__glXDRIleaveServer), (__glXDRIenterServer),
	(createContext), (destroyContext), (createDrawable),
	(destroyDrawable), (getDrawableInfo), (__glXDRIscreenProbe):
	Wrap the __DRIinterfaceMethods methods with enter/leaveServer to
	make sure server locks are held when calling into the card driver.

2006-02-24  Kristian Høgsberg  <krh@redhat.com>

	* GL/glx/glxdri.c: 
	* GL/glx/glxvisuals.c: Add these files.

2006-02-24  Kristian Høgsberg  <krh@redhat.com>

	* GL/glx/*: Land rewritten accelerated indirect rendering on
	accel_indirect_branch.

2006-03-10  Alan Coopersmith  <alan.coopersmith@sun.com>

	* hw/xfree86/utils/xorgcfg/help.c: 
	Fix buffer size checks to prevent 2-byte buffer overflows.
	(Coverity #480, #481, #482, #483)

2006-03-10  Alan Coopersmith  <alan.coopersmith@sun.com>
	
	* configure.ac: 
	* include/dix-config.h.in: 
	Add HAS_MMAP for Xvfb

	* hw/vfb/InitOutput.c (ddxProcessArgument): 
	Fix Xvfb option parsing to exit on bad arguments, not just issue
	error messages and continue on.  (Coverity #492)
	
2006-03-10  Alan Coopersmith  <alan.coopersmith@sun.com>       

	* hw/xfree86/utils/xorgcfg/options.c: 
	Pass sizeof the correct buffer to XmuSnprintf. (Coverity #489)

2006-03-10  Eric Anholt  <anholt@FreeBSD.org>

	* hw/kdrive/ephyr/ephyr.c: (ephyrMapFramebuffer):
	* hw/kdrive/ephyr/ephyr_draw.c: (ephyrPrepareComposite),
	(ephyrDrawInit):
	* hw/kdrive/ephyr/hostx.c: (hostx_screen_init):
	* hw/kdrive/ephyr/hostx.h:
	If fakexa is enabled, create a larger buffer in the Ximage, but keep
	the same width/height for front-buffer drawing.  The fakexa code then
	uses this extra space for offscreen pixmaps.  Note that this tones down
	the absurdity of fakexa's offscreen pixmap alignment requirements (odd
	alignment is too weird, so stick with "24", which is still strange but
	exists out there).  It also fixes a couple of bugs in the fakexa
	implementation revealed by using offscreen pixmaps.

2006-03-10  Eric Anholt  <anholt@FreeBSD.org>

	* exa/exa.c: (exaPrepareAccess), (exaFinishAccess):
	Move the exaDrawableDirty in exaPrepareAccess to exaFinishAccess, which
	is after the drawing is done.  Previously, a failed PrepareAccess could
	have migrated and cleared the dirty flag before the damage was ever
	done.

2006-03-10  Eric Anholt  <anholt@FreeBSD.org>

	* hw/xfree86/vbe/vbe.c: (vbeProbeDDC):
	Coverity #1011: Remove a useless NULL check on a pVbe that had
	been dereferenced many times before.

2006-03-09  Eric Anholt  <anholt@FreeBSD.org>

	* hw/xfree86/int10/generic.c: (xf86ExtendedInitInt10):
	Coverity #857: Fix resource leak in error path by freeing earlier.

2006-03-09  Eric Anholt  <anholt@FreeBSD.org>

	* hw/xfree86/parser/Keyboard.c: (xf86parseKeyboardSection):
	* hw/xfree86/parser/Layout.c: (xf86parseLayoutSection):
	* hw/xfree86/parser/Pointer.c: (xf86parsePointerSection):
	Coverity #813, #814, #815, #816: Fix resource leaks in error paths of
	config parsing code.

2006-03-09  Eric Anholt  <anholt@FreeBSD.org>

	* exa/exa.h:
	Document the restriction on PrepareAccess() failure, from discussion
	with benh.

2006-03-09  Jeremy C. Reed  <reed@reedmedia.net>

	* hw/xfree86/common/xf86Configure.c:
	Just like FreeBSD, let DragonFly's default mouse Device be
	/dev/sysmouse (since /dev/mouse don't even exist by default).

2006-03-09  Jeremy C. Reed  <reed@reedmedia.net>

	* hw/xfree86/os-support/bsd/bsd_mouse.c: (SupportedInterfaces),
	(DefaultProtocol), (SetSysMouseRes), (xf86OSMouseInit):
	Add DragonFly support. (It is like FreeBSD.) This patch is
	from DragonFly developer Joerg Sonnenberger and the pkgsrc
	collection.  (I tested using /dev/sysmouse with moused using
	serial /dev/cuaa0.)

2006-03-09  Eric Anholt  <anholt@FreeBSD.org>

	* exa/exa_render.c: (exaComposite):
	Coverity #349: Fall back to software early if pSrc->pDrawable is NULL,
	or pMask is non-NULL but pMask->pDrawable is NULL.  This prevents NULL
	dereferences on gradients and other Pictures which have no pDrawable.

2006-03-09  Eric Anholt  <anholt@FreeBSD.org>

	* exa/exa.c:
	* exa/exa.h:
	* exa/exa_offscreen.c:
	* exa/exa_priv.h:
	* hw/xfree86/doc/devel/exa-driver.txt:
	Do a first pass of doxygen documentation of EXA.  This removes the
	corresponding pieces of exa-driver.txt, which were becoming stale.
	Hopefully the documentation will stay much more up-to-date this way.
	Many thanks to jbarnes for writing exa-driver.txt which was used a lot
	in writing this documentation.

2006-03-09  Matthias Hopf  <mhopf@suse.de>

	* configure.ac: Do Xorg configure checks for Xgl only as well

2006-03-08  Eric Anholt  <anholt@FreeBSD.org>

	* exa/exa.c: (exaGetPixmapOffset), (exaPixmapIsOffscreen),
	(exaPrepareAccess), (exaFinishAccess), (exaDriverAlloc),
	(exaDriverInit), (exaMarkSync), (exaWaitSync):
	* exa/exa.h:
	* exa/exa_accel.c: (exaFillSpans), (exaCopyNtoNTwoDir),
	(exaCopyNtoN), (exaPolyFillRect), (exaSolidBoxClipped),
	(exaFillRegionSolid), (exaFillRegionTiled):
	* exa/exa_migration.c: (exaPixmapSave), (exaPixmapAllocArea),
	(exaMoveInPixmap):
	* exa/exa_offscreen.c: (ExaOffscreenValidate), (exaOffscreenAlloc),
	(ExaOffscreenSwapOut), (exaOffscreenFree), (ExaOffscreenMarkUsed),
	(exaOffscreenInit), (ExaOffscreenFini):
	* exa/exa_render.c: (exaTryDriverSolidFill),
	(exaTryDriverComposite), (exaComposite), (exaGlyphs):
	* hw/kdrive/ephyr/ephyr.h:
	* hw/kdrive/ephyr/ephyr_draw.c: (ephyrDrawInit):
	* hw/xfree86/exa/examodule.c:
	Rearrange EXA driver structures so that there's a hope of maintaining
	ABI when extending the driver interface.  The card and accel structures
	are merged into the ExaDriverRec, which is to be allocated using
	exaDriverAlloc().  The driver structure also grows exa_major and
	exa_minor, which drivers fill in and have checked by EXA
	(double-checking that the driver really did check that the EXA version
	was correct).  Removes exaInitCard(), which is replaced by the driver
	filling in the rec by hand, and the exaGetVersion() and related
	EXA_*VERSION which are replaced by always using the XFree86 loadable
	module versioning.

2006-03-08  Lars Knoll <lars@trolltech.com>

	* render/picture.c
	Initialize the format of a source picture to PICT_a8r8g8b8.
	Fixes a failure in the gradients test of rendercheck.
	In the long term we could do better by setting the format
	to something without alpha whenever the gradient doesn't
	contain colors with alpha. This triggers a reduction of
	the over operation to a pure source operation.

2006-03-07  Eric Anholt  <anholt@FreeBSD.org>

	* hw/xfree86/common/xf86fbman.c: (xf86InitFBManager):
	Bug #6150: Do the obvious fix of an insane sanity check in
	xf86InitFBManager. (Julio M. Merino Vidal)

2006-03-07  Ian Romanick  <idr@us.ibm.com>

	* hw/xfree86/common/xf86DoProbe.c: (DoProbe):
	* hw/xfree86/common/xf86Priv.h:
	* hw/xfree86/common/xf86Init.c: (ddxProcessArgument):
	Remove DoProbeArgs.  It was an empty function that was never called.

	Some refactoring in DoProbe to make the code more readable (and make
	the future transition to xf86CallDriverProbe easier).

	* hw/xfree86/common/xf86Helper.c: (xf86MatchPciInstances):
	Major refactoring of xf86MatchPciInstances.  Primarilly, all device
	matching is performed by a single, smart loop.  Matching of
	PCI_VENDOR_GENERIC devices is done by device class, and this
	eliminates the need to call xf86CheckPciGAType (good riddance!).

	Various other changes eliminate the need to use xnfrealloc on the
	instances array.  When in probe-only mode or the first pass of
	configure mode, the instances array isn't needed, so it is not
	allocated.

	These changes will make the change to a PCI device matching scheme
	more like is implemented in libpci.a (and has been discussed on the
	xorg mailing list) much, much simpler.

	* hw/xfree86/common/xf86.h:
	* hw/xfree86/loader/xf86sym.c:
	* hw/xfree86/common/xf86pciBus.c: (FindPCIVideoInfo):
	Eliminate unnecessary use of ?: operator within an if-statement.

	Remove xf86CheckPciGAType.  It is no longer called by
	xf86MatchPciInstances, which was previously the only place that
	called it.

	* hw/xfree86/common/xf86str.h:
	Add numerous comments to the fields of PciChipsets.

2006-03-07  Eric Anholt  <anholt@FreeBSD.org>

	* hw/kdrive/ephyr/ephyr_draw.c:
	Add appropriate MIT license.  Oops.

2006-03-07  Eric Anholt  <anholt@FreeBSD.org>

	* hw/kdrive/ephyr/Makefile.am:
	* hw/kdrive/ephyr/ephyr.h:
	* hw/kdrive/ephyr/ephyr_draw.c: (ephyrPrepareSolid), (ephyrSolid),
	(ephyrDoneSolid), (ephyrPrepareCopy), (ephyrCopy), (ephyrDoneCopy),
	(ephyrCheckComposite), (ephyrPrepareComposite), (ephyrComposite),
	(ephyrDoneComposite), (ephyrMarkSync), (ephyrWaitMarker),
	(ephyrDrawInit), (ephyrDrawEnable), (ephyrDrawDisable),
	(ephyrDrawFini), (exaDDXDriverInit):
	Add a new flag to ephyr, "-fakexa", which turns on an EXA acceleration
	implementation that calls fb to get its work done.  The purpose is to
	have a trusted EXA driver for use with testing changes to the core of
	EXA.  However, fakexa has not received much testing yet, lacks offscreen
	pixmaps support, and doesn't reliably provide garbage when EXA doesn't
	get its syncing right.  All of these should be fixed soon.

2006-03-07  Eric Anholt  <anholt@FreeBSD.org>

	* hw/xfree86/exa/exa.c:
	* hw/xfree86/exa/exa.h:
	* hw/xfree86/exa/exa_accel.c:
	* hw/xfree86/exa/exa_migration.c:
	* hw/xfree86/exa/exa_offscreen.c:
	* hw/xfree86/exa/exa_priv.h:
	* hw/xfree86/exa/exa_render.c:
	* hw/xfree86/exa/exa_unaccel.c:
	Remove stale EXA files, which failed to get removed during the move to
	top-level, somehow.

2006-03-07  Luc Verhaegen  <libv@skynet.be>

	* hw/xfree86/common/xf86Mode.c: (xf86CheckModeForMonitor):
	Third pass at stopping reduced blanking modes for CRTs. This time
	round, there is almost no room for error left. We stop modes only
	when:
	- Hblank is less than 25% of HDisplay and
	- HTotal - HDisplay is exactly 160 and
	- HSyncEnd - HDisplay is exactly 80 (new) and  
	- HSyncEnd - HSyncStart is exactly 32 (new) and
	- VSyncStart - VDisplay is exactly 3 (new).
	So, we stop antique monitors which are rumoured to blow up regularly
	from doing so _only_ with modes generated by xf86CVTMode with Reduced
	TRUE or modelines generated by cvt -r. If the user dares as much as
	look at such a modeline, we're free to scorch off his face and fill it
	with glass.

2006-03-06  Lars Knoll <lars@trolltech.com>

	* render/picture.c
	Correctly initialize devPrivates variable in source 
	only pictures to 0
	* miext/cw/cw.h
	Don't try to access devPrivates of source only pictures

2006-03-04  Matthieu Herrb <matthieu.herrb@laas.fr>
	* hw/xfree86/dixmods/extmod/xf86misc.c
	Only output SetClientVersion message if verbosity > 1, like other
	extensions do
	* configure.ac:
	define SYS_LIBS to hold system dependant libraries that may needed.
	* GL/glx/indirect_dispatch_swap.c:
	* GL/glx/indirect_util.c:
	Definitions for bswapxx() macros on OpenBSD.
	* hw/xfree86/os-support/bsd/Makefile.am:
	Don't hard-code -DUSE_DEV_IO here. configure generates the proper 
	OS specific values here.
	* hw/xfree86/utils/ioport/Makefile.am:
	* hw/xfree86/utils/pcitweak/Makefile.am:
	* hw/xfree86/utils/scanpci/Makefile.am:
	* hw/xfree86/utils/xorgcfg/Makefile.am:
	Add ${SYS_LIBS} to libraries list
	* cfb/Makefile.am.inc:
	Fix build with non GNU make.

2006-02-28  Ian Romanick  <idr@us.ibm.com>

	* hw/xfree86/common/xf86Helper.c: (xf86AddDriver),
	(xf86MatchPciInstances):
	Remove redundant definition of struct Inst.
	Safeguard xf86AddDriver against future additions to DriverRec.

2006-02-28  Daniel Stone  <daniel@freedesktop.org>

	* xkb/maprules.c:
	Bug #5216: Allow options to appear with other components.

2006-02-28  Adam Jackson  <ajax@freedesktop.org>

	* XpConfig/C/print/models/CANONC3200-PS/fonts/Makefile.am:
	* XpConfig/C/print/models/HPLJ4050-PS/fonts/Makefile.am:
	* XpConfig/C/print/models/SPSPARC2/fonts/Makefile.am:
	Bug #5627: Fix Xprint font symlinking. (TIlman Sauerbeck)

2006-02-27  Alan Coopersmith  <alan.coopersmith@sun.com>

	* hw/darwin/quartz/XDarwinStartup.man:
	* hw/darwin/utils/dumpkeymap.man:
	Typo fixes (Nicholas Joly, XFree86 bugzilla #1658)

2006-02-24  Roland Scheidegger <rscheidegger_lists@hispeed.ch>

	* hw/xfree86/common/xf86PciInfo.h:
	Add two radeon pci ids (one is used for a radeon mobility X700 XL
	in a medion notebook, the other is for a AIW X800 VE)

2006-02-24  Matthieu Herrb <matthieu.herrb@laas.fr>

	* configure.ac:
	OpenBSD supports PCVT and WSCONS. PCCONS is long gone. 

2006-02-23  Adam Jackson  <ajax@freedesktop.org>

	* exa/exa_render.c:
	Remove redundant composite op reduction, done in Render now.

2006-02-22  Alexander Gottwald  <ago@starnet.com>

	* GL/glx/render2swap.c:
	Bug #5978: Added missing swap of input variables. Added missing cases
	for GL_SECONDARY_COLOR_ARRAY and GL_FOG_COORD_ARRAY (Colin McDonald)

2006-02-22  Alexander Gottwald  <ago@starnet.com>

	* hw/dmx/Makefile.am:
	* hw/dmx/input/Makefile.am:
	* hw/dmx/config/Makefile.am:

	Added Mesa include directory

2006-02-21  Jeremy C. Reed  <reed@reedmedia.net>

	* GL/mesa/shader/slang/Makefile.am:
	* GL/symlink-mesa.sh:

	Update to build against Mesa HEAD.

2006-02-20  Ian Romanick  <idr@us.ibm.com>

	* hw/xfree86/os-support/bus/Pci.c: (handlePciBIOS), (readPciBios),
	(HandlePciBios), (xf86ReadPciBIOS):
	* hw/xfree86/os-support/bus/xf86Pci.h:

	Eliminate unused PCI BIOS reading functionality.  The old code
	used several function pointers to implement a level of
	flexability that was never used.  The code also had unused
	support for extracting a single image type from a larger
	expansion ROM. 

	Fix the spelling of PCI_BIOS_OPEN_FIRMWARE.

	Fix a couple errors in #ifdef debug code.

2006-02-20  Ian Romanick  <idr@us.ibm.com>

	* hw/xfree86/common/xf86pciBus.c: (FindPCIVideoInfo),
	(xf86GetPciRes):
	* hw/xfree86/common/xf86str.h:
	* hw/xfree86/os-support/bus/xf86Pci.h:
	* hw/xfree86/scanpci/xf86PciData.h:
	* hw/xfree86/scanpci/xf86ScanPci.c:
	Eliminate all the code for querying the PCI class from the PCI
	ID database.  Class information is not, and never has been,
	stored there.  Therefore, this is just a bunch of elaborate
	code to read 0x00000000. 


2006-02-21  Adam Jackson  <ajax@freedesktop.org>

	* Xi/allowev.c:
	* Xi/chgdctl.c:
	* Xi/chgfctl.c:
	* Xi/chgkbd.c:
	* Xi/chgkmap.c:
	* Xi/chgprop.c:
	* Xi/chgptr.c:
	* Xi/closedev.c:
	* Xi/devbell.c:
	* Xi/exevents.c:
	* Xi/extinit.c:
	* Xi/getbmap.c:
	* Xi/getdctl.c:
	* Xi/getfctl.c:
	* Xi/getfocus.c:
	* Xi/getkmap.c:
	* Xi/getmmap.c:
	* Xi/getprop.c:
	* Xi/getselev.c:
	* Xi/getvers.c:
	* Xi/grabdev.c:
	* Xi/grabdevb.c:
	* Xi/grabdevk.c:
	* Xi/gtmotion.c:
	* Xi/listdev.c:
	* Xi/opendev.c:
	* Xi/queryst.c:
	* Xi/selectev.c:
	* Xi/sendexev.c:
	* Xi/setbmap.c:
	* Xi/setdval.c:
	* Xi/setfocus.c:
	* Xi/setmmap.c:
	* Xi/setmode.c:
	* Xi/stubs.c:
	* Xi/ungrdev.c:
	* Xi/ungrdevb.c:
	* Xi/ungrdevk.c:
	ANSIfy Xi/.  Mostly automated via protoize(1).

	* Xi/*.[ch]:
	indent fixes (OMG SO UGLY), and nuke old RCS keywords.

2006-02-16  Eric Anholt  <anholt@FreeBSD.org>

	* Xext/Makefile.am:
	Fix build of Xorg by putting xf86bigfont back into builtin instead of
	module sources list.

2006-02-16  Eric Anholt  <anholt@FreeBSD.org>

	* configure.ac:
	Bug #5453: Don't forget to still do AM_CONDITIONAL for XVMC even if XV
	is disabled, and also force XVMC disabled if XV is disabled.
	(Dag-Erling Smørgrav)

2006-02-16  Keith Packard  <keithp@keithp.com>

	* miext/shadow/shrotpackYX.h:
	Forgot to include this file in previous patch

2006-02-15  Keith Packard  <keithp@keithp.com>

	* Makefile.am:
	* Xext/Makefile.am:
	* configure.ac:
	* hw/kdrive/chips/Makefile.am:
	* hw/kdrive/epson/Makefile.am:
	* hw/kdrive/fbdev/Makefile.am:
	* hw/kdrive/fbdev/fbdev.c: (fbdevInitialize):
	* hw/kdrive/i810/Makefile.am:
	* hw/kdrive/linux/mouse.c: (ps2Init):
	* hw/kdrive/linux/ms.c: (MsRead):
	* hw/kdrive/linux/ps2.c: (Ps2Read):
	* hw/kdrive/mach64/Makefile.am:
	* hw/kdrive/mga/Makefile.am:
	* hw/kdrive/nvidia/Makefile.am:
	* hw/kdrive/pm2/Makefile.am:
	* hw/kdrive/r128/Makefile.am:
	* hw/kdrive/sdl/Makefile.am:
	* hw/kdrive/smi/Makefile.am:
	* hw/kdrive/src/kaa.c: (kaaMoveInPixmap):
	* hw/kdrive/src/kinput.c: (KdKeybdProc):
	* hw/kdrive/vesa/Makefile.am:
	* hw/kdrive/via/Makefile.am:
	* include/kdrive-config.h.in:
	* miext/damage/damage.c: (DamageSetup):
	* miext/shadow/Makefile.am:
	* miext/shadow/shadow.h:
	* miext/shadow/shrot16pack_270YX.c:
	* miext/shadow/shrot16pack_90YX.c:
	* os/oscolor.c: (OsToLower), (OsStrCaseCmp), (OsInitColors),
	(OsLookupColor):
	* os/osdep.h:
	* os/utils.c:
	Make more extensions optional in build (for kdrive).
	Fix kdrive build for actual hardware.
	Fix kdrive pointer signed/unsigned types.
	Add kdrive-required YX rotation functions.
	Replace rgb text file loading with static rgb color table.

2006-02-16  Benjamin Herrenschmidt  <benh@kernel.crashing.org>

	* hw/xfree86/ramdac/xf86Cursor.c:
	(xf86CursorEnableDisableFBAccess), (xf86CursorSetCursor):
	Fix an occasional crash on VT switches: the server would save a
	pointer to the current cursor when disabling FB access and would try
	to restore that cursor when re-enabling. However, that cursor might
	have been destroyed in between. This fixes it by updating the saved
	cursor pointer when a cursor is set and vtSema is FALSE.

2006-02-15  Eric Anholt  <anholt@FreeBSD.org>

	* XTrap/Makefile.am:
	* Xext/Makefile.am:
	* dbe/Makefile.am:
	* hw/xfree86/dixmods/Makefile.am:
	* record/Makefile.am:
	Bug #5871: Drop special build infrastructure left over from libcwrapper
	times. (George Fufutos)

2006-02-16  Dave Airlie  <airlied@freedesktop.org>

	* Xext/xres.c: (ProcXResQueryClientPixmapBytes):
	Fix XSERVER64 should be _XSERVER64

2006-02-15  Eric Anholt  <anholt@FreeBSD.org>

	* XTrap/xtrapddmi.c:
	* XTrap/xtrapdi.c:
	* Xext/Makefile.am:
	* hw/xfree86/dixmods/extmod/Makefile.am:
	* hw/xfree86/dixmods/extmod/xf86dga2.c: (XFree86DGARegister):
	Bug #5869: Remove traces of EXTMODULE define, which doesn't appear to be
	useful any more. (George Fufutos)

2006-02-15  Eric Anholt  <anholt@FreeBSD.org>

	* hw/xfree86/dixmods/laymodule.c:
	Bug #5888: Remove orphaned laymodule.c from miext/layer removal.
	(George Fufutos)

2006-02-15  Zephaniah E. Hull  <warp@aehallh.com>

	* hw/xfree86/common/xf86Xinput.h:
	* hw/xfree86/loader/xf86sym.c:
	Export xf86ActivateDevice, used by the evdev driver.

2006-02-15  Eric Anholt  <anholt@FreeBSD.org>

	* Makefile.am:
	* configure.ac:
	* exa/Makefile.am:
	* exa/exa.c: (exaCreatePixmap), (exaCloseScreen), (exaDriverInit),
	(exaWaitSync), (exaGetVersion):
	* exa/exa.h:
	* exa/exa_accel.c: (exaFillSpans), (exaCopyArea),
	(exaPolyFillRect), (exaSolidBoxClipped), (exaCopyWindow),
	(exaPaintWindow):
	* exa/exa_migration.c:
	* exa/exa_offscreen.c: (exaEnableDisableFBAccess):
	* exa/exa_priv.h:
	* exa/exa_render.c: (exaComposite):
	* hw/xfree86/exa/Makefile.am:
	* hw/xfree86/exa/exa.c:
	* hw/xfree86/exa/exa.h:
	* hw/xfree86/exa/exa_accel.c:
	* hw/xfree86/exa/exa_migration.c:
	* hw/xfree86/exa/exa_offscreen.c:
	* hw/xfree86/exa/exa_priv.h:
	* hw/xfree86/exa/exa_render.c:
	* hw/xfree86/exa/exa_unaccel.c:
	* hw/xfree86/exa/examodule.c: (exaXorgCloseScreen),
	(exaXorgEnableDisableFBAccess), (exaDDXDriverInit),
	(EXAAvailableOptions), (exaSetup):
	Move EXA implementation up to the top level and remove its XFree86
	dependencies.  It was nearly abstract enough already to be used by
	multiple DDXes.  This will be useful for EXA development through
	providing a fake acceleration implementation within Xephyr, so that
	testing can be done on new EXA code without worrying about buggy
	drivers.

2006-02-15  Eric Anholt  <anholt@FreeBSD.org>

	* GL/mesa/X/Makefile.am:
	* GL/mesa/array_cache/Makefile.am:
	* GL/mesa/glapi/Makefile.am:
	* GL/mesa/main/Makefile.am:
	* GL/mesa/math/Makefile.am:
	* GL/mesa/shader/Makefile.am:
	* GL/mesa/shader/grammar/Makefile.am:
	* GL/mesa/shader/slang/Makefile.am:
	* GL/mesa/swrast/Makefile.am:
	* GL/mesa/swrast_setup/Makefile.am:
	* GL/mesa/tnl/Makefile.am:
	* configure.ac:
	* include/dix-config.h.in:
	Define NO_LIBCWRAPPER in dix-config.h, and rely on Mesa including
	dix-config.h if DIX_HAVE_CONFIG_H is defined to get it and _XSERVER64,
	instead of defining things like this per directory.

2006-02-15  Adam Jackson  <ajax@freedesktop.org>
	* mi/miarc.c:
	* mi/mibank.c:
	* mi/mibitblt.c:
	* mi/mibstore.c:
	* mi/micmap.c:
	* mi/micursor.c:
	* mi/midash.c:
	* mi/midispcur.c:
	* mi/miexpose.c:
	* mi/mifillarc.c:
	* mi/mifillrct.c:
	* mi/migc.c:
	* mi/miglblt.c:
	* mi/miinitext.c:
	* mi/mioverlay.c:
	* mi/mipointer.c:
	* mi/mipoly.c:
	* mi/mipolycon.c:
	* mi/mipolypnt.c:
	* mi/mipolyrect.c:
	* mi/mipolyseg.c:
	* mi/mipolytext.c:
	* mi/mipushpxl.c:
	* mi/miregion.c:
	* mi/miscrinit.c:
	* mi/misprite.c:
	* mi/mivaltree.c:
	* mi/miwideline.c:
	* mi/miwindow.c:
	* mi/mizerarc.c:
	* mi/mizerclip.c:
	* mi/mizerline.c:
	* miext/cw/cw.c:
	* miext/damage/damage.c:
	* render/miglyph.c:
	Mark everything in misym.c as _X_EXPORT.

	* Xext/panoramiX.c:
	* Xext/shm.c:
	* Xext/sleepuntil.c:
	* dix/atom.c:
	Mark everything in {ext,font}sym.c as _X_EXPORT.

	* XTrap/xtrapddmi.c:
	* Xext/xvmain.c:
	* Xi/exevents.c:
	* Xi/extinit.c:
	* dix/atom.c:
	* dix/colormap.c:
	* dix/cursor.c:
	* dix/devices.c:
	* dix/dispatch.c:
	* dix/dixfonts.c:
	* dix/dixutils.c:
	* dix/events.c:
	* dix/extension.c:
	* dix/gc.c:
	* dix/globals.c:
	* dix/main.c:
	* dix/pixmap.c:
	* dix/privates.c:
	* dix/property.c:
	* dix/resource.c:
	* dix/swaprep.c:
	* dix/swapreq.c:
	* dix/tables.c:
	* dix/window.c:
	* hw/xfree86/common/xf86DGA.c:
	* hw/xfree86/common/xf86xvmc.c:
	* hw/xfree86/dummylib/fatalerror.c:
	* hw/xfree86/dummylib/logvwrite.c:
	* hw/xfree86/dummylib/verrorf.c:
	* hw/xfree86/dummylib/xalloc.c:
	* hw/xfree86/dummylib/xf86errorf.c:
	* hw/xfree86/parser/cpconfig.c:
	* os/WaitFor.c:
	* os/access.c:
	* os/connection.c:
	* os/io.c:
	* os/log.c:
	* os/utils.c:
	* os/xalloc.c:
	* render/filter.c:
	* render/miglyph.c:
	* render/mipict.c:
	* render/mirect.c:
	* render/picture.c:
	* render/renderedge.c:
	* xkb/xkbAccessX.c:
	* xkb/xkbInit.c:
	Mark everything in dixsym.c as _X_EXPORT.

	* XTrap/xtrapddmi.c:
	* XTrap/xtrapdiswp.c:
	Remove a few #ifdef vms; whatever problem that was solving should
	assuredly be solved some other way.

2006-02-15  Kristian Høgsberg  <krh@redhat.com>

	* GL/symlink-mesa.sh: 
	* GL/mesa/swrast/Makefile.am: 
	Update to build against Mesa trunk.

2006-02-14  Eric Anholt  <anholt@FreeBSD.org>

	* hw/kdrive/mga/mgadraw.c: (mgaDrawDisable):
	* hw/kdrive/src/kdrive.c: (KdDisableScreen):
	Remove the waitSync from KdDisableScreen and push it off to drivers'
	disableAccel hook, which is more correct anyway.  This makes kdrive.c
	not have any knowledge of kaa, opening the way for using exa from
	kdrive.

2006-02-14  Eric Anholt  <anholt@FreeBSD.org>

	* GL/mesa/shader/slang/Makefile.am:
	Avoid some more libcwrapper damage that prevented kdrive linking.

2006-02-14  Benjamin Herrenschmidt <benh@kernel.crashing.org>

	* hw/xfree86/dri/dri.c: (DRIGetSecs):
	DRIGetSecs() would call getsecs() when XFree86LOADER is defined,
	relying on the wrappers to provide it. Wrapper gone, and getsecs
	doesn't exist on linux so it now blows up. Fixes it by just calling
	gettimeofday() in all cases instead.

2006-02-14  Benjamin Herrenschmidt <benh@kernel.crashing.org>

	* fb/fbbits.h:
	Remove useless line of code that contained a bug and triggered a
	gcc warning. This variable will be overriden before being used
	anyway. (Bugzilla #5595)

2006-02-14  Alan Hourihane  <alanh@fairlite.demon.co.uk>

	* hw/xfree86/dixmods/shmodule.c:
	Bump shadow module version number to 1.1.0 from 1.0.0

2006-02-13  Adam Jackson  <ajax@freedesktop.org>

	* render/picture.c:
	Further op reduction when both src and dst alpha are absent.
	(Reverted)

2006-02-13  Benjamin Herrenschmidt <benh@kernel.crashing.org>

	* Xprint/Util.c: (XpOpenTmpFile):
	HAS_MKSTEMP vs. HAVE_MKSTEMP (From Fredrik Höglund)

2006-02-13  Benjamin Herrenschmidt <benh@kernel.crashing.org>

	* cfb/Makefile.am:
	* cfb16/Makefile.am:
	* cfb32/Makefile.am:
	* hw/xfree86/fbdevhw/fbdevhw.c:
	* hw/xfree86/os-support/linux/int10/linux.c:
	* hw/xfree86/os-support/linux/int10/vm86/linux_vm86.c:
	Fix linux build without libc wrappers (From Fredrik
	Höglund)

2006-02-13  Benjamin Herrenschmidt <benh@kernel.crashing.org>

	* hw/kdrive/src/kdrive.c: (ddxInitGlobals):
	* hw/vfb/InitOutput.c:
	* hw/xfree86/common/xf86Init.c: (OsVendorInit):
	* hw/xnest/Init.c:
	* os/osinit.c: (OsInit):
	Move call to xf86WrapperInit() to OsVendorInit() in xf86Init.c and
	remove stubs in other DDX.

2006-02-12  Eric Anholt  <anholt@FreeBSD.org>

	reviewed by: keithp (in principle)

	* render/picture.c: (ReduceCompositeOp), (CompositePicture):
	Simplify ops that would use the alpha channel when an alpha channel is
	always 1.0, and short circuit PictOpDst for good measure.

2006-02-12  Eric Anholt  <anholt@FreeBSD.org>

	* hw/kdrive/linux/Makefile.am:
	* hw/kdrive/src/Makefile.am:
	* include/kdrive-config.h.in:
	Add missing HAVE_DIX_CONFIG_H which caused issues with mismatched screen
	structure interpretations, and remove a bunch of unused junk from
	kdrive-config.h.  Xephyr almost works on my amd64.

2006-02-11  Eric Anholt  <anholt@FreeBSD.org>

	* hw/vfb/InitOutput.c: (xf86WrapperInit):
	* hw/xnest/Init.c: (xf86WrapperInit):
	Add stub xf86WrapperInits so that the servers will build even if os/ was
	built with XFree86LOADER set.

2006-02-11  Alan Coopersmith  <alan.coopersmith@sun.com>

	* Xext/xres.c: 
	* afb/afbline.c:
	* fb/fbblt.c:
	* hw/dmx/config/scanner.l:
	Add <string.h>, <stdlib.h>, and <stdio.h> to clear undefined function
	warnings after the removal of libcwrapper headers.

2006-02-11  Alan Coopersmith  <alan.coopersmith@sun.com>	

	* cfb/cfbfillarc.c:
	* cfb/cfbzerarc.c:
	* hw/xfree86/xaa/xaaFillArc.c:
	* hw/xfree86/exa/exa_offscreen.c:
	* mfb/mfbfillarc.c:
	* mfb/mfbzerarc.c:
	<sys/limits.h> -> <limits.h> so we can compile on non-BSD OS'es

2006-02-10  Eric Anholt  <anholt@FreeBSD.org>

	* GL/glx/Makefile.am:
	* GL/mesa/X/Makefile.am:
	* GL/mesa/array_cache/Makefile.am:
	* GL/mesa/glapi/Makefile.am:
	* GL/mesa/main/Makefile.am:
	* GL/mesa/math/Makefile.am:
	* GL/mesa/shader/Makefile.am:
	* GL/mesa/swrast/Makefile.am:
	* GL/mesa/swrast_setup/Makefile.am:
	* GL/mesa/tnl/Makefile.am:
	* hw/kdrive/src/kdrive.c: (xf86WrapperInit):
	* include/kdrive-config.h.in:
	Remove libcwrapper damage from GLX (requires fresh Mesa HEAD), and get
	it compiling in kdrive.

2006-02-10  Eric Anholt  <anholt@FreeBSD.org>

	* GL/glx/glxcmds.c:
	* GL/glx/glximports.c:
	* GL/glx/glxscreens.c:
	* GL/glx/glxutil.c:
	* GL/glx/indirect_util.c:
	* GL/glx/single2.c:
	* GL/include/GL/glx_ansic.h:
	* GL/include/GL/xf86glx.h:
	* GL/mesa/X/xf86glx_util.c:
	* XTrap/xtrapddmi.c:
	* XTrap/xtrapdi.c:
	* XTrap/xtrapditbl.c:
	* Xext/cup.c:
	* Xext/mbuf.c:
	* Xext/saver.c:
	* Xext/shape.c:
	* Xext/shm.c:
	* Xext/sync.c:
	* Xext/xtest.c:
	* Xext/xvdisp.c:
	* Xext/xvmain.c:
	* Xext/xvmc.c:
	* afb/afb.h:
	* afb/afbbitblt.c:
	* afb/afbblt.c:
	* afb/afbclip.c:
	* afb/afbgc.c:
	* afb/afbimage.c:
	* afb/afbpixmap.c:
	* afb/afbply1rct.c:
	* afb/afbpushpxl.c:
	* afb/afbscrinit.c:
	* afb/afbwindow.c:
	* cfb/cfb.h:
	* cfb/cfb8line.c:
	* cfb/cfbbitblt.c:
	* cfb/cfbblt.c:
	* cfb/cfbcppl.c:
	* cfb/cfbfillarc.c:
	* cfb/cfbgc.c:
	* cfb/cfbimage.c:
	* cfb/cfbline.c:
	* cfb/cfbmskbits.h:
	* cfb/cfbpixmap.c:
	* cfb/cfbply1rct.c:
	* cfb/cfbwindow.c:
	* cfb/cfbzerarc.c:
	* configure.ac:
	* dbe/dbe.c:
	* dbe/midbe.c:
	* fb/fb24_32.c:
	* fb/fbarc.c: (fbPolyArc):
	* fb/fbcompose.c:
	* fb/fbcopy.c:
	* fb/fbgc.c:
	* fb/fbimage.c:
	* fb/fboverlay.c:
	* fb/fbpict.c:
	* fb/fbpixmap.c:
	* fb/fbpseudocolor.c:
	* fb/fbseg.c:
	* fb/fbwindow.c:
	* hw/xfree86/common/compiler.h:
	* hw/xfree86/common/xf86.h:
	* hw/xfree86/ddc/ddcProperty.c:
	* hw/xfree86/ddc/edid.c:
	* hw/xfree86/ddc/interpret_edid.c:
	* hw/xfree86/ddc/print_edid.c:
	* hw/xfree86/ddc/xf86DDC.c:
	* hw/xfree86/dixmods/extmod/modinit.c:
	* hw/xfree86/dixmods/extmod/xf86dga2.c:
	* hw/xfree86/dixmods/extmod/xf86misc.c:
	* hw/xfree86/dixmods/extmod/xf86vmode.c:
	* hw/xfree86/dri/dri.c:
	* hw/xfree86/dri/xf86dri.c:
	* hw/xfree86/exa/exa_migration.c:
	* hw/xfree86/exa/exa_offscreen.c: (exaOffscreenAlloc):
	* hw/xfree86/fbdevhw/fbdevhw.c:
	* hw/xfree86/i2c/bt829.c:
	* hw/xfree86/i2c/fi1236.c:
	* hw/xfree86/i2c/msp3430.c:
	* hw/xfree86/i2c/xf86i2c.c: (I2CUDelay):
	* hw/xfree86/int10/generic.c:
	* hw/xfree86/int10/helper_exec.c: (x_inw), (x_outb):
	* hw/xfree86/int10/helper_mem.c:
	* hw/xfree86/int10/pci.c:
	* hw/xfree86/int10/x86emu.c:
	* hw/xfree86/int10/xf86int10.c:
	* hw/xfree86/int10/xf86x86emu.c:
	* hw/xfree86/os-support/bsd/bsd_jstk.c:
	* hw/xfree86/os-support/bsd/bsd_kmod.c:
	* hw/xfree86/os-support/drm/xf86drm.c:
	* hw/xfree86/os-support/drm/xf86drmHash.c:
	* hw/xfree86/os-support/drm/xf86drmRandom.c:
	* hw/xfree86/os-support/drm/xf86drmSL.c:
	* hw/xfree86/os-support/linux/int10/linux.c:
	* hw/xfree86/os-support/linux/int10/vm86/linux_vm86.c:
	* hw/xfree86/os-support/linux/lnx_jstk.c:
	* hw/xfree86/rac/xf86RAC.c:
	* hw/xfree86/ramdac/BT.c:
	* hw/xfree86/ramdac/IBM.c:
	* hw/xfree86/ramdac/TI.c:
	* hw/xfree86/ramdac/xf86Cursor.c:
	* hw/xfree86/ramdac/xf86HWCurs.c:
	* hw/xfree86/ramdac/xf86RamDac.c:
	* hw/xfree86/ramdac/xf86RamDacCmap.c:
	* hw/xfree86/scanpci/xf86ScanPci.c:
	* hw/xfree86/utils/xorgcfg/loader.h:
	* hw/xfree86/vbe/vbe.c:
	* hw/xfree86/vbe/vbeModes.c:
	* hw/xfree86/vgahw/vgaCmap.c:
	* hw/xfree86/vgahw/vgaHW.c:
	* hw/xfree86/x86emu/decode.c:
	* hw/xfree86/x86emu/prim_ops.c:
	* hw/xfree86/xaa/xaaBitBlt.c:
	* hw/xfree86/xaa/xaaBitmap.c:
	* hw/xfree86/xaa/xaaCpyArea.c:
	* hw/xfree86/xaa/xaaCpyPlane.c:
	* hw/xfree86/xaa/xaaCpyWin.c:
	* hw/xfree86/xaa/xaaDashLine.c:
	* hw/xfree86/xaa/xaaFallback.c:
	* hw/xfree86/xaa/xaaFillArc.c:
	* hw/xfree86/xaa/xaaFillPoly.c:
	* hw/xfree86/xaa/xaaFillRect.c:
	* hw/xfree86/xaa/xaaGC.c:
	* hw/xfree86/xaa/xaaGCmisc.c:
	* hw/xfree86/xaa/xaaImage.c:
	* hw/xfree86/xaa/xaaInit.c:
	* hw/xfree86/xaa/xaaInitAccel.c:
	* hw/xfree86/xaa/xaaLine.c:
	* hw/xfree86/xaa/xaaLineMisc.c:
	* hw/xfree86/xaa/xaaNonTEGlyph.c:
	* hw/xfree86/xaa/xaaNonTEText.c:
	* hw/xfree86/xaa/xaaOffscreen.c:
	* hw/xfree86/xaa/xaaOverlay.c:
	* hw/xfree86/xaa/xaaOverlayDF.c:
	* hw/xfree86/xaa/xaaPCache.c:
	* hw/xfree86/xaa/xaaPaintWin.c:
	* hw/xfree86/xaa/xaaPict.c:
	* hw/xfree86/xaa/xaaROP.c:
	* hw/xfree86/xaa/xaaRect.c:
	* hw/xfree86/xaa/xaaSpans.c:
	* hw/xfree86/xaa/xaaStateChange.c:
	* hw/xfree86/xaa/xaaStipple.c:
	* hw/xfree86/xaa/xaaTEGlyph.c:
	* hw/xfree86/xaa/xaaTEText.c:
	* hw/xfree86/xaa/xaaWideLine.c:
	* hw/xfree86/xf4bpp/OScompiler.h:
	* hw/xfree86/xf4bpp/mfbline.c:
	* hw/xfree86/xf4bpp/ppcClip.c:
	* hw/xfree86/xf4bpp/ppcCpArea.c:
	* hw/xfree86/xf4bpp/ppcGC.c:
	* hw/xfree86/xf4bpp/ppcIO.c:
	* hw/xfree86/xf4bpp/ppcImg.c:
	* hw/xfree86/xf4bpp/ppcPixmap.c:
	* hw/xfree86/xf4bpp/ppcSetSp.c:
	* hw/xfree86/xf4bpp/ppcWindow.c:
	* hw/xfree86/xf8_32bpp/cfbcpyarea.c:
	* hw/xfree86/xf8_32bpp/cfbgcmisc.c:
	* hw/xfree86/xf8_32bpp/cfbimage.c:
	* hw/xfree86/xf8_32bpp/cfbwindow.c:
	* hw/xfree86/xf8_32bpp/xf86overlay.c:
	* include/os.h:
	* mfb/mfb.h:
	* mfb/mfbbitblt.c:
	* mfb/mfbblt.c:
	* mfb/mfbclip.c:
	* mfb/mfbfillarc.c:
	* mfb/mfbgc.c:
	* mfb/mfbimage.c:
	* mfb/mfbline.c:
	* mfb/mfbpixmap.c:
	* mfb/mfbply1rct.c:
	* mfb/mfbpushpxl.c:
	* mfb/mfbscrinit.c:
	* mfb/mfbwindow.c:
	* mfb/mfbzerarc.c:
	* miext/cw/cw.c:
	* miext/cw/cw_ops.c:
	* miext/cw/cw_render.c:
	* miext/damage/damage.c:
	* miext/shadow/shadow.c:
	* miext/shadow/shpacked.c:
	* miext/shadow/shplanar.c:
	* miext/shadow/shplanar8.c:
	* miext/shadow/shrotpack.h:
	* randr/randr.c:
	* record/record.c:
	* record/set.c:
	* render/render.c:
	Remove libcwrapper usage from xorg server modules.  The libcwrapper is
	only of (marginal) use in the drivers, and that usage remains.

2006-02-09  Eric Anholt  <anholt@FreeBSD.org>

	* configure.ac:
	* hw/kdrive/linux/Makefile.am:
	* hw/kdrive/linux/agp.c:
	* hw/kdrive/src/Makefile.am:
	Make kdrive (i.e. Xephyr only) buildable on FreeBSD and probably other
	OSes without linux VT switching, fbdev, and vm86 support.

2006-02-09  Eric Anholt  <anholt@FreeBSD.org>

	* GL/glx/indirect_reqsize.c:
	Remove the include of X11/misc.h, which fails to compile and isn't
	necessary.

2006-02-03  Jeremy C. Reed <reed@reedmedia.net>

	* hw/xfree86/os-support/xf86_OSlib.h
	Fix sysmouse handling on DragonFly, mostly garbage arrived.
	From Joerg Sonnenberger.

2006-02-02  Eric Anholt  <anholt@FreeBSD.org>

	* hw/xfree86/exa/exa.c: (exaGetDrawablePixmap), (exaDrawableDirty),
	(exaDrawableIsOffscreen), (exaPrepareAccess), (exaFinishAccess):
	* hw/xfree86/exa/exa_migration.c: (exaDrawableUseScreen),
	(exaDrawableUseMemory):
	* hw/xfree86/exa/exa_priv.h:
	* hw/xfree86/exa/exa_render.c: (exaTryDriverSolidFill),
	(exaTryDriverComposite):
	Move the frequently-repeated code to get the pixmap that backs a
	drawable to a new function, exaGetDrawablePixmap().

2006-02-02  Eric Anholt  <anholt@FreeBSD.org>

	* hw/xfree86/exa/exa_accel.c: (exaFillSpans), (exaCopyNtoN),
	(exaPolyFillRect), (exaSolidBoxClipped), (exaImageGlyphBlt),
	(exaCopyWindow), (exaFillRegionSolid), (exaFillRegionTiled),
	(exaPaintWindow):
	Remove more debugging leftovers.

2006-02-02  Eric Anholt  <anholt@FreeBSD.org>

	reviewed by: zrusin

	* hw/xfree86/exa/Makefile.am:
	* hw/xfree86/exa/exa.c: (exaPixmapIsOffscreen),
	(exaGetOffscreenPixmap), (exaDrawableIsOffscreen),
	(exaPrepareAccess), (exaFinishAccess), (exaCreateGC),
	(exaDriverInit):
	* hw/xfree86/exa/exaPriv.h:
	* hw/xfree86/exa/exa_accel.c: (exaPaintWindow):
	* hw/xfree86/exa/exa_migration.c: (exaMoveOutPixmap),
	(exaPixmapUseScreen), (exaPixmapUseMemory):
	* hw/xfree86/exa/exa_offscreen.c:
	* hw/xfree86/exa/exa_priv.h:
	* hw/xfree86/exa/exa_render.c:
	* hw/xfree86/exa/exa_unaccel.c:
	* hw/xfree86/exa/exaasync.c:
	* hw/xfree86/exa/exaoffscreen.c:
	* hw/xfree86/exa/exapict.c:
	Rearrange and rename EXA code to be a bit more logically organized.
	Also removes a little bit of debugging leftovers.  Summary:

	exa.c ->	exa.c			(miscellaneous code)
			exa_accel.c		(all acceleration code)
			exa_migration.c		(migration logic)
	exaasync.c ->	exa_unaccel.c		(software fallbacks)
	exapict.c ->	exa_render.c		(render extension stuff)
	exaoffscreen.c -> exa_offscreen.c
	exaPriv.h ->	exa_priv.h

2006-02-01  Alan Hourihane  <alanh@fairlite.demon.co.uk>

	* randr/randr.c: (RRGetRotation):
	* randr/randrstr.h:
	Add a new function RRGetRotation() which does exactly the same
	thing as xf86GetRotation(), but allows for drivers to provide
	their own RandR implementation. xf86GetRotation could be
	obsoleted by this change.

2006-01-31  Luc Verhaegen  <libv@skynet.be>

	* hw/xfree86/ddc/edid.h:
	* hw/xfree86/ddc/interpret_edid.c: (get_dt_md_section):

	Further bug #5386 fixes: Fix some problems with the EDID code:
	Some bitoffsets were wrong.
	Unknown Detailed Sections weren't handled properly and defaulted to
	Detailed Timing.

2006-01-31  Luc Verhaegen  <libv@skynet.be>

	* hw/xfree86/utils/cvt/.cvsignore:
	* hw/xfree86/utils/cvt/cvt.c: (xf86CVTMode), (CVTCheckStandard),
	(PrintModeline), (main):

	Bring the cvt utility up to date with bug #5386 changes.
	Fix 2 issues with the generator routine: the allocated modeline wasn't
	nulled and mode->name's \0 wasn't copied over.
	PrintModeLine was rewritten and HDisplay gets rounded up to
	character width instead of refused.

2006-01-31  Luc Verhaegen  <libv@skynet.be>

	* hw/xfree86/common/xf86Mode.c: (xf86CheckModeForMonitor):

	Accept modes with less than 25% horizontal blanking again (you can
	push old gtf timing to below 25%), only stop cvt reduced blanking.
	Users should be free to blow up their monitors if they so choose.

2006-01-30  Donnie Berkholz  <spyderous@gentoo.org>

	* GL/mesa/shader/slang/Makefile.am:
	* GL/symlink-mesa.sh:
	Update to build against Mesa trunk.

2006-01-27  Eric Anholt  <anholt@FreeBSD.org>

	* hw/xfree86/os-support/shared/libc_wrapper.c: (xf86random):
	* hw/xfree86/os-support/xf86_ansic.h:
	* hw/xfree86/os-support/xf86_libc.h:
	Add libc_wrapper support for random(), which will be used in upcoming
	EXA memory manager work.

2006-01-27  Eric Anholt  <anholt@FreeBSD.org>

	* hw/xfree86/dixmods/Makefile.am:
	* hw/xgl/glx/Makefile.am:
	Remove leftover variables for cfb24 build, and finish commenting out
	Xglx standalone stuff, which some versions of automake get whiny about.

2006-01-27  Alan Hourihane  <alanh@fairlite.demon.co.uk>

	* hw/xfree86/scanpci/pci.ids:
	* hw/xfree86/scanpci/xf86PciStdIds.h:
	update pci ids

2006-01-25  Donnie Berkholz  <spyderous@gentoo.org>

	* GL/symlink-mesa.sh:
	Really allow linking against Mesa trunk to work.

2006-01-26  Daniel Stone  <daniel@freedesktop.org>

	* xorg-config.h.in:
	Add forgotten HAVE_BACKTRACE define.

2006-01-25  Adam Jackson  <ajax@freedesktop.org>

	* Makefile.am:
	* cfb24/Makefile.am:
	* cfb24/cfbrrop24.h:
	* configure.ac:
	* hw/xfree86/Makefile.am:
	* hw/xfree86/dixmods/Makefile.am:
	* hw/xfree86/xf8_32wid/Makefile.am:
	* hw/xfree86/xf8_32wid/cfb8_32wid.h:
	* hw/xfree86/xf8_32wid/cfb8_32widmodule.c:
	* hw/xfree86/xf8_32wid/cfbscrinit.c:
	* hw/xfree86/xf8_32wid/cfbwid.c:
	* hw/xfree86/xf8_32wid/cfbwindow.c:
	Remove xf8_32wid, it's dead code with no maintainer interest.  Also
	remove cfb24, since xf8_32wid was the only user.

	* configure.ac:
	* Makefile.am:
	* ilbm/*:
	* iplan2p4/*:
	Speed up checkout and autogen by removing disused iplan2p4 and ilbm.

2006-01-19  Daniel Stone  <daniel@freedesktop.org>

	* GL/symlink-mesa.sh:
	Make error() bomb with exit 1, not 0.

2006-01-18  Eric Anholt  <anholt@FreeBSD.org>

	* GL/glx/indirect_dispatch.c:
	* GL/glx/indirect_dispatch_swap.c:
	* GL/glx/indirect_util.c:
	Only try to use byteswap.h on linux.  Assume that everyone else
	(thinking of BSDs here) has sys/endian.h, and use macros as appropriate
	for the names.  This should probably be in a gloabl header.

2006-01-18  Adam Jackson  <ajax@freedesktop.org>

	* fb/fbblt.c:
	More kdrive merge, fast path fbBlt to use memcpy() when possible.
	Good for -5% to 60% speedup on XGetImage, and 0% to 10% speedup on
	copies within host memory.  Based on work by Jaymz Julian.

2006-01-18  Dave Airlie  <airlied@linux.ie>

	Update XGL server from the xserver tree, and fix to work
	in X.org tree (look out for a branch appearing RSN),
	Most of the changes are from David Reveman @ Novell
	and the rest are from either myself or Eric Anholt.
	
2006-01-18  Dave Airlie  <airlied@linux.ie>

	* Xext/Makefile.am:
	* dbe/Makefile.am:
	* fb/Makefile.am:
	* include/Makefile.am:
	* mi/Makefile.am:
	* miext/shadow/Makefile.am:
	* render/Makefile.am:
	Wrap sdk_HEADERS in if XORG as otherwise installing non-xorg
	servers breaks.

2006-01-18  Dave Airlie  <airlied@linux.ie>

	reviewed by: keithp, ajax, anholt (well they all read it...)

	* fb/fbgc.c: (fbPadPixmap):
	This is a fix from David Reveman from the xserver tree,
	Make fbPadPixmap work with negative stride

Thu Jan 12 17:09:18 2006  Søren Sandmann  <sandmann@redhat.com>

	* include/window.[ch]: Add new functions to enable and disable
	events on Map and Unmap. 

	* composite/compalloc.c: Use them here to make sure Composite
	redirect doesn't cause Map/UnmapNotify events that would confuse
	window managers. 

2006-01-11  Ian Romanick  <idr@us.ibm.com>

	reviewed by: airlied, krh

	* GL/glx/Makefile.am:
	* GL/glx/g_disptab.c:
	* GL/glx/g_disptab.h:
	* GL/glx/g_disptab_EXT.c:
	* GL/glx/g_disptab_EXT.h:
	* GL/glx/g_render.c:
	* GL/glx/g_renderswap.c:
	* GL/glx/g_single.c:
	* GL/glx/g_singleswap.c:
	* GL/glx/glxcmds.c: (DoMakeCurrent), (__glXWaitGL),
	(__glXCopyContext), (__glXSwapBuffers), (__glXVendorPrivate):
	* GL/glx/glxcmdsswap.c: (__glXSwapVendorPrivate):
	* GL/glx/glxserver.h:
	* GL/glx/impsize.h:
	* GL/glx/indirect_dispatch.c: (__glXDisp_NewList),
	(__glXDisp_EndList), (__glXDisp_CallList), (__glXDisp_CallLists),
	(__glXDisp_DeleteLists), (__glXDisp_GenLists),
	(__glXDisp_ListBase), (__glXDisp_Begin), (__glXDisp_Bitmap),
	(__glXDisp_Color3bv), (__glXDisp_Color3dv), (__glXDisp_Color3fv),
	(__glXDisp_Color3iv), (__glXDisp_Color3sv), (__glXDisp_Color3ubv),
	(__glXDisp_Color3uiv), (__glXDisp_Color3usv), (__glXDisp_Color4bv),
	(__glXDisp_Color4dv), (__glXDisp_Color4fv), (__glXDisp_Color4iv),
	(__glXDisp_Color4sv), (__glXDisp_Color4ubv), (__glXDisp_Color4uiv),
	(__glXDisp_Color4usv), (__glXDisp_EdgeFlagv), (__glXDisp_End),
	(__glXDisp_Indexdv), (__glXDisp_Indexfv), (__glXDisp_Indexiv),
	(__glXDisp_Indexsv), (__glXDisp_Normal3bv), (__glXDisp_Normal3dv),
	(__glXDisp_Normal3fv), (__glXDisp_Normal3iv),
	(__glXDisp_Normal3sv), (__glXDisp_RasterPos2dv),
	(__glXDisp_RasterPos2fv), (__glXDisp_RasterPos2iv),
	(__glXDisp_RasterPos2sv), (__glXDisp_RasterPos3dv),
	(__glXDisp_RasterPos3fv), (__glXDisp_RasterPos3iv),
	(__glXDisp_RasterPos3sv), (__glXDisp_RasterPos4dv),
	(__glXDisp_RasterPos4fv), (__glXDisp_RasterPos4iv),
	(__glXDisp_RasterPos4sv), (__glXDisp_Rectdv), (__glXDisp_Rectfv),
	(__glXDisp_Rectiv), (__glXDisp_Rectsv), (__glXDisp_TexCoord1dv),
	(__glXDisp_TexCoord1fv), (__glXDisp_TexCoord1iv),
	(__glXDisp_TexCoord1sv), (__glXDisp_TexCoord2dv),
	(__glXDisp_TexCoord2fv), (__glXDisp_TexCoord2iv),
	(__glXDisp_TexCoord2sv), (__glXDisp_TexCoord3dv),
	(__glXDisp_TexCoord3fv), (__glXDisp_TexCoord3iv),
	(__glXDisp_TexCoord3sv), (__glXDisp_TexCoord4dv),
	(__glXDisp_TexCoord4fv), (__glXDisp_TexCoord4iv),
	(__glXDisp_TexCoord4sv), (__glXDisp_Vertex2dv),
	(__glXDisp_Vertex2fv), (__glXDisp_Vertex2iv),
	(__glXDisp_Vertex2sv), (__glXDisp_Vertex3dv),
	(__glXDisp_Vertex3fv), (__glXDisp_Vertex3iv),
	(__glXDisp_Vertex3sv), (__glXDisp_Vertex4dv),
	(__glXDisp_Vertex4fv), (__glXDisp_Vertex4iv),
	(__glXDisp_Vertex4sv), (__glXDisp_ClipPlane),
	(__glXDisp_ColorMaterial), (__glXDisp_CullFace), (__glXDisp_Fogf),
	(__glXDisp_Fogfv), (__glXDisp_Fogi), (__glXDisp_Fogiv),
	(__glXDisp_FrontFace), (__glXDisp_Hint), (__glXDisp_Lightf),
	(__glXDisp_Lightfv), (__glXDisp_Lighti), (__glXDisp_Lightiv),
	(__glXDisp_LightModelf), (__glXDisp_LightModelfv),
	(__glXDisp_LightModeli), (__glXDisp_LightModeliv),
	(__glXDisp_LineStipple), (__glXDisp_LineWidth),
	(__glXDisp_Materialf), (__glXDisp_Materialfv),
	(__glXDisp_Materiali), (__glXDisp_Materialiv),
	(__glXDisp_PointSize), (__glXDisp_PolygonMode),
	(__glXDisp_PolygonStipple), (__glXDisp_Scissor),
	(__glXDisp_ShadeModel), (__glXDisp_TexParameterf),
	(__glXDisp_TexParameterfv), (__glXDisp_TexParameteri),
	(__glXDisp_TexParameteriv), (__glXDisp_TexImage1D),
	(__glXDisp_TexImage2D), (__glXDisp_TexEnvf), (__glXDisp_TexEnvfv),
	(__glXDisp_TexEnvi), (__glXDisp_TexEnviv), (__glXDisp_TexGend),
	(__glXDisp_TexGendv), (__glXDisp_TexGenf), (__glXDisp_TexGenfv),
	(__glXDisp_TexGeni), (__glXDisp_TexGeniv), (__glXDisp_InitNames),
	(__glXDisp_LoadName), (__glXDisp_PassThrough), (__glXDisp_PopName),
	(__glXDisp_PushName), (__glXDisp_DrawBuffer), (__glXDisp_Clear),
	(__glXDisp_ClearAccum), (__glXDisp_ClearIndex),
	(__glXDisp_ClearColor), (__glXDisp_ClearStencil),
	(__glXDisp_ClearDepth), (__glXDisp_StencilMask),
	(__glXDisp_ColorMask), (__glXDisp_DepthMask),
	(__glXDisp_IndexMask), (__glXDisp_Accum), (__glXDisp_Disable),
	(__glXDisp_Enable), (__glXDisp_PopAttrib), (__glXDisp_PushAttrib),
	(__glXDisp_MapGrid1d), (__glXDisp_MapGrid1f),
	(__glXDisp_MapGrid2d), (__glXDisp_MapGrid2f),
	(__glXDisp_EvalCoord1dv), (__glXDisp_EvalCoord1fv),
	(__glXDisp_EvalCoord2dv), (__glXDisp_EvalCoord2fv),
	(__glXDisp_EvalMesh1), (__glXDisp_EvalPoint1),
	(__glXDisp_EvalMesh2), (__glXDisp_EvalPoint2),
	(__glXDisp_AlphaFunc), (__glXDisp_BlendFunc), (__glXDisp_LogicOp),
	(__glXDisp_StencilFunc), (__glXDisp_StencilOp),
	(__glXDisp_DepthFunc), (__glXDisp_PixelZoom),
	(__glXDisp_PixelTransferf), (__glXDisp_PixelTransferi),
	(__glXDisp_PixelStoref), (__glXDisp_PixelStorei),
	(__glXDisp_PixelMapfv), (__glXDisp_PixelMapuiv),
	(__glXDisp_PixelMapusv), (__glXDisp_ReadBuffer),
	(__glXDisp_CopyPixels), (__glXDisp_DrawPixels),
	(__glXDisp_GetBooleanv), (__glXDisp_GetClipPlane),
	(__glXDisp_GetDoublev), (__glXDisp_GetError),
	(__glXDisp_GetFloatv), (__glXDisp_GetIntegerv),
	(__glXDisp_GetLightfv), (__glXDisp_GetLightiv),
	(__glXDisp_GetMapdv), (__glXDisp_GetMapfv), (__glXDisp_GetMapiv),
	(__glXDisp_GetMaterialfv), (__glXDisp_GetMaterialiv),
	(__glXDisp_GetPixelMapfv), (__glXDisp_GetPixelMapuiv),
	(__glXDisp_GetPixelMapusv), (__glXDisp_GetTexEnvfv),
	(__glXDisp_GetTexEnviv), (__glXDisp_GetTexGendv),
	(__glXDisp_GetTexGenfv), (__glXDisp_GetTexGeniv),
	(__glXDisp_GetTexParameterfv), (__glXDisp_GetTexParameteriv),
	(__glXDisp_GetTexLevelParameterfv),
	(__glXDisp_GetTexLevelParameteriv), (__glXDisp_IsEnabled),
	(__glXDisp_IsList), (__glXDisp_DepthRange), (__glXDisp_Frustum),
	(__glXDisp_LoadIdentity), (__glXDisp_LoadMatrixf),
	(__glXDisp_LoadMatrixd), (__glXDisp_MatrixMode),
	(__glXDisp_MultMatrixf), (__glXDisp_MultMatrixd),
	(__glXDisp_Ortho), (__glXDisp_PopMatrix), (__glXDisp_PushMatrix),
	(__glXDisp_Rotated), (__glXDisp_Rotatef), (__glXDisp_Scaled),
	(__glXDisp_Scalef), (__glXDisp_Translated), (__glXDisp_Translatef),
	(__glXDisp_Viewport), (__glXDisp_BindTexture),
	(__glXDisp_Indexubv), (__glXDisp_PolygonOffset),
	(__glXDisp_AreTexturesResident), (__glXDisp_CopyTexImage1D),
	(__glXDisp_CopyTexImage2D), (__glXDisp_CopyTexSubImage1D),
	(__glXDisp_CopyTexSubImage2D), (__glXDisp_DeleteTextures),
	(__glXDisp_GenTextures), (__glXDisp_IsTexture),
	(__glXDisp_PrioritizeTextures), (__glXDisp_TexSubImage1D),
	(__glXDisp_TexSubImage2D), (__glXDisp_BlendColor),
	(__glXDisp_BlendEquation), (__glXDisp_ColorTable),
	(__glXDisp_ColorTableParameterfv),
	(__glXDisp_ColorTableParameteriv), (__glXDisp_CopyColorTable),
	(__glXDisp_GetColorTableParameterfv),
	(__glXDisp_GetColorTableParameteriv), (__glXDisp_ColorSubTable),
	(__glXDisp_CopyColorSubTable), (__glXDisp_ConvolutionFilter1D),
	(__glXDisp_ConvolutionFilter2D), (__glXDisp_ConvolutionParameterf),
	(__glXDisp_ConvolutionParameterfv),
	(__glXDisp_ConvolutionParameteri),
	(__glXDisp_ConvolutionParameteriv),
	(__glXDisp_CopyConvolutionFilter1D),
	(__glXDisp_CopyConvolutionFilter2D),
	(__glXDisp_GetConvolutionParameterfv),
	(__glXDisp_GetConvolutionParameteriv),
	(__glXDisp_GetHistogramParameterfv),
	(__glXDisp_GetHistogramParameteriv),
	(__glXDisp_GetMinmaxParameterfv), (__glXDisp_GetMinmaxParameteriv),
	(__glXDisp_Histogram), (__glXDisp_Minmax),
	(__glXDisp_ResetHistogram), (__glXDisp_ResetMinmax),
	(__glXDisp_TexImage3D), (__glXDisp_TexSubImage3D),
	(__glXDisp_CopyTexSubImage3D), (__glXDisp_ActiveTextureARB),
	(__glXDisp_MultiTexCoord1dvARB), (__glXDisp_MultiTexCoord1fvARB),
	(__glXDisp_MultiTexCoord1ivARB), (__glXDisp_MultiTexCoord1svARB),
	(__glXDisp_MultiTexCoord2dvARB), (__glXDisp_MultiTexCoord2fvARB),
	(__glXDisp_MultiTexCoord2ivARB), (__glXDisp_MultiTexCoord2svARB),
	(__glXDisp_MultiTexCoord3dvARB), (__glXDisp_MultiTexCoord3fvARB),
	(__glXDisp_MultiTexCoord3ivARB), (__glXDisp_MultiTexCoord3svARB),
	(__glXDisp_MultiTexCoord4dvARB), (__glXDisp_MultiTexCoord4fvARB),
	(__glXDisp_MultiTexCoord4ivARB), (__glXDisp_MultiTexCoord4svARB),
	(__glXDisp_SampleCoverageARB), (__glXDisp_DrawBuffersARB),
	(__glXDisp_AreTexturesResidentEXT), (__glXDisp_GenTexturesEXT),
	(__glXDisp_IsTextureEXT), (__glXDisp_SampleMaskSGIS),
	(__glXDisp_SamplePatternSGIS), (__glXDisp_PointParameterfEXT),
	(__glXDisp_PointParameterfvEXT), (__glXDisp_WindowPos3fvMESA),
	(__glXDisp_BlendFuncSeparateEXT), (__glXDisp_FogCoordfvEXT),
	(__glXDisp_FogCoorddvEXT), (__glXDisp_CompressedTexImage3DARB),
	(__glXDisp_CompressedTexImage2DARB),
	(__glXDisp_CompressedTexImage1DARB),
	(__glXDisp_CompressedTexSubImage3DARB),
	(__glXDisp_CompressedTexSubImage2DARB),
	(__glXDisp_CompressedTexSubImage1DARB),
	(__glXDisp_SecondaryColor3bvEXT), (__glXDisp_SecondaryColor3dvEXT),
	(__glXDisp_SecondaryColor3fvEXT), (__glXDisp_SecondaryColor3ivEXT),
	(__glXDisp_SecondaryColor3svEXT),
	(__glXDisp_SecondaryColor3ubvEXT),
	(__glXDisp_SecondaryColor3uivEXT),
	(__glXDisp_SecondaryColor3usvEXT),
	(__glXDisp_AreProgramsResidentNV), (__glXDisp_BindProgramNV),
	(__glXDisp_DeleteProgramsNV), (__glXDisp_ExecuteProgramNV),
	(__glXDisp_GenProgramsNV), (__glXDisp_GetProgramParameterdvNV),
	(__glXDisp_GetProgramParameterfvNV), (__glXDisp_GetProgramivNV),
	(__glXDisp_GetTrackMatrixivNV), (__glXDisp_GetVertexAttribdvARB),
	(__glXDisp_GetVertexAttribfvARB), (__glXDisp_GetVertexAttribivARB),
	(__glXDisp_IsProgramNV), (__glXDisp_LoadProgramNV),
	(__glXDisp_ProgramParameter4dvNV),
	(__glXDisp_ProgramParameter4fvNV),
	(__glXDisp_ProgramParameters4dvNV),
	(__glXDisp_ProgramParameters4fvNV),
	(__glXDisp_RequestResidentProgramsNV), (__glXDisp_TrackMatrixNV),
	(__glXDisp_VertexAttrib1dvARB), (__glXDisp_VertexAttrib1fvARB),
	(__glXDisp_VertexAttrib1svARB), (__glXDisp_VertexAttrib2dvARB),
	(__glXDisp_VertexAttrib2fvARB), (__glXDisp_VertexAttrib2svARB),
	(__glXDisp_VertexAttrib3dvARB), (__glXDisp_VertexAttrib3fvARB),
	(__glXDisp_VertexAttrib3svARB), (__glXDisp_VertexAttrib4dvARB),
	(__glXDisp_VertexAttrib4fvARB), (__glXDisp_VertexAttrib4svARB),
	(__glXDisp_VertexAttrib4NubvARB), (__glXDisp_VertexAttribs1dvNV),
	(__glXDisp_VertexAttribs1fvNV), (__glXDisp_VertexAttribs1svNV),
	(__glXDisp_VertexAttribs2dvNV), (__glXDisp_VertexAttribs2fvNV),
	(__glXDisp_VertexAttribs2svNV), (__glXDisp_VertexAttribs3dvNV),
	(__glXDisp_VertexAttribs3fvNV), (__glXDisp_VertexAttribs3svNV),
	(__glXDisp_VertexAttribs4dvNV), (__glXDisp_VertexAttribs4fvNV),
	(__glXDisp_VertexAttribs4svNV), (__glXDisp_VertexAttribs4ubvNV),
	(__glXDisp_PointParameteriNV), (__glXDisp_PointParameterivNV),
	(__glXDisp_ActiveStencilFaceEXT), (__glXDisp_VertexAttrib4bvARB),
	(__glXDisp_VertexAttrib4ivARB), (__glXDisp_VertexAttrib4ubvARB),
	(__glXDisp_VertexAttrib4usvARB), (__glXDisp_VertexAttrib4uivARB),
	(__glXDisp_VertexAttrib4NbvARB), (__glXDisp_VertexAttrib4NsvARB),
	(__glXDisp_VertexAttrib4NivARB), (__glXDisp_VertexAttrib4NusvARB),
	(__glXDisp_VertexAttrib4NuivARB), (__glXDisp_ProgramStringARB),
	(__glXDisp_ProgramEnvParameter4dvARB),
	(__glXDisp_ProgramEnvParameter4fvARB),
	(__glXDisp_ProgramLocalParameter4dvARB),
	(__glXDisp_ProgramLocalParameter4fvARB),
	(__glXDisp_GetProgramEnvParameterdvARB),
	(__glXDisp_GetProgramEnvParameterfvARB),
	(__glXDisp_GetProgramLocalParameterdvARB),
	(__glXDisp_GetProgramLocalParameterfvARB),
	(__glXDisp_GetProgramivARB),
	(__glXDisp_ProgramNamedParameter4fvNV),
	(__glXDisp_ProgramNamedParameter4dvNV),
	(__glXDisp_GetProgramNamedParameterfvNV),
	(__glXDisp_GetProgramNamedParameterdvNV),
	(__glXDisp_GenQueriesARB), (__glXDisp_DeleteQueriesARB),
	(__glXDisp_IsQueryARB), (__glXDisp_BeginQueryARB),
	(__glXDisp_EndQueryARB), (__glXDisp_GetQueryivARB),
	(__glXDisp_GetQueryObjectivARB), (__glXDisp_GetQueryObjectuivARB),
	(__glXDisp_GetVertexAttribdvNV), (__glXDisp_GetVertexAttribfvNV),
	(__glXDisp_GetVertexAttribivNV), (__glXDisp_VertexAttrib1dvNV),
	(__glXDisp_VertexAttrib1fvNV), (__glXDisp_VertexAttrib1svNV),
	(__glXDisp_VertexAttrib2dvNV), (__glXDisp_VertexAttrib2fvNV),
	(__glXDisp_VertexAttrib2svNV), (__glXDisp_VertexAttrib3dvNV),
	(__glXDisp_VertexAttrib3fvNV), (__glXDisp_VertexAttrib3svNV),
	(__glXDisp_VertexAttrib4dvNV), (__glXDisp_VertexAttrib4fvNV),
	(__glXDisp_VertexAttrib4svNV), (__glXDisp_VertexAttrib4ubvNV),
	(__glXDisp_IsRenderbufferEXT), (__glXDisp_BindRenderbufferEXT),
	(__glXDisp_DeleteRenderbuffersEXT),
	(__glXDisp_GenRenderbuffersEXT),
	(__glXDisp_RenderbufferStorageEXT),
	(__glXDisp_GetRenderbufferParameterivEXT),
	(__glXDisp_IsFramebufferEXT), (__glXDisp_BindFramebufferEXT),
	(__glXDisp_DeleteFramebuffersEXT), (__glXDisp_GenFramebuffersEXT),
	(__glXDisp_CheckFramebufferStatusEXT),
	(__glXDisp_FramebufferTexture1DEXT),
	(__glXDisp_FramebufferTexture2DEXT),
	(__glXDisp_FramebufferTexture3DEXT),
	(__glXDisp_FramebufferRenderbufferEXT),
	(__glXDisp_GetFramebufferAttachmentParameterivEXT),
	(__glXDisp_GenerateMipmapEXT):
	* GL/glx/indirect_dispatch.h:
	* GL/glx/indirect_dispatch_swap.c: (bswap_ENUM), (bswap_CARD32),
	(bswap_CARD16), (bswap_FLOAT32), (bswap_FLOAT64), (bswap_16_array),
	(bswap_32_array), (bswap_64_array), (__glXDispSwap_NewList),
	(__glXDispSwap_EndList), (__glXDispSwap_CallList),
	(__glXDispSwap_CallLists), (__glXDispSwap_DeleteLists),
	(__glXDispSwap_GenLists), (__glXDispSwap_ListBase),
	(__glXDispSwap_Begin), (__glXDispSwap_Bitmap),
	(__glXDispSwap_Color3bv), (__glXDispSwap_Color3dv),
	(__glXDispSwap_Color3fv), (__glXDispSwap_Color3iv),
	(__glXDispSwap_Color3sv), (__glXDispSwap_Color3ubv),
	(__glXDispSwap_Color3uiv), (__glXDispSwap_Color3usv),
	(__glXDispSwap_Color4bv), (__glXDispSwap_Color4dv),
	(__glXDispSwap_Color4fv), (__glXDispSwap_Color4iv),
	(__glXDispSwap_Color4sv), (__glXDispSwap_Color4ubv),
	(__glXDispSwap_Color4uiv), (__glXDispSwap_Color4usv),
	(__glXDispSwap_EdgeFlagv), (__glXDispSwap_End),
	(__glXDispSwap_Indexdv), (__glXDispSwap_Indexfv),
	(__glXDispSwap_Indexiv), (__glXDispSwap_Indexsv),
	(__glXDispSwap_Normal3bv), (__glXDispSwap_Normal3dv),
	(__glXDispSwap_Normal3fv), (__glXDispSwap_Normal3iv),
	(__glXDispSwap_Normal3sv), (__glXDispSwap_RasterPos2dv),
	(__glXDispSwap_RasterPos2fv), (__glXDispSwap_RasterPos2iv),
	(__glXDispSwap_RasterPos2sv), (__glXDispSwap_RasterPos3dv),
	(__glXDispSwap_RasterPos3fv), (__glXDispSwap_RasterPos3iv),
	(__glXDispSwap_RasterPos3sv), (__glXDispSwap_RasterPos4dv),
	(__glXDispSwap_RasterPos4fv), (__glXDispSwap_RasterPos4iv),
	(__glXDispSwap_RasterPos4sv), (__glXDispSwap_Rectdv),
	(__glXDispSwap_Rectfv), (__glXDispSwap_Rectiv),
	(__glXDispSwap_Rectsv), (__glXDispSwap_TexCoord1dv),
	(__glXDispSwap_TexCoord1fv), (__glXDispSwap_TexCoord1iv),
	(__glXDispSwap_TexCoord1sv), (__glXDispSwap_TexCoord2dv),
	(__glXDispSwap_TexCoord2fv), (__glXDispSwap_TexCoord2iv),
	(__glXDispSwap_TexCoord2sv), (__glXDispSwap_TexCoord3dv),
	(__glXDispSwap_TexCoord3fv), (__glXDispSwap_TexCoord3iv),
	(__glXDispSwap_TexCoord3sv), (__glXDispSwap_TexCoord4dv),
	(__glXDispSwap_TexCoord4fv), (__glXDispSwap_TexCoord4iv),
	(__glXDispSwap_TexCoord4sv), (__glXDispSwap_Vertex2dv),
	(__glXDispSwap_Vertex2fv), (__glXDispSwap_Vertex2iv),
	(__glXDispSwap_Vertex2sv), (__glXDispSwap_Vertex3dv),
	(__glXDispSwap_Vertex3fv), (__glXDispSwap_Vertex3iv),
	(__glXDispSwap_Vertex3sv), (__glXDispSwap_Vertex4dv),
	(__glXDispSwap_Vertex4fv), (__glXDispSwap_Vertex4iv),
	(__glXDispSwap_Vertex4sv), (__glXDispSwap_ClipPlane),
	(__glXDispSwap_ColorMaterial), (__glXDispSwap_CullFace),
	(__glXDispSwap_Fogf), (__glXDispSwap_Fogfv), (__glXDispSwap_Fogi),
	(__glXDispSwap_Fogiv), (__glXDispSwap_FrontFace),
	(__glXDispSwap_Hint), (__glXDispSwap_Lightf),
	(__glXDispSwap_Lightfv), (__glXDispSwap_Lighti),
	(__glXDispSwap_Lightiv), (__glXDispSwap_LightModelf),
	(__glXDispSwap_LightModelfv), (__glXDispSwap_LightModeli),
	(__glXDispSwap_LightModeliv), (__glXDispSwap_LineStipple),
	(__glXDispSwap_LineWidth), (__glXDispSwap_Materialf),
	(__glXDispSwap_Materialfv), (__glXDispSwap_Materiali),
	(__glXDispSwap_Materialiv), (__glXDispSwap_PointSize),
	(__glXDispSwap_PolygonMode), (__glXDispSwap_PolygonStipple),
	(__glXDispSwap_Scissor), (__glXDispSwap_ShadeModel),
	(__glXDispSwap_TexParameterf), (__glXDispSwap_TexParameterfv),
	(__glXDispSwap_TexParameteri), (__glXDispSwap_TexParameteriv),
	(__glXDispSwap_TexImage1D), (__glXDispSwap_TexImage2D),
	(__glXDispSwap_TexEnvf), (__glXDispSwap_TexEnvfv),
	(__glXDispSwap_TexEnvi), (__glXDispSwap_TexEnviv),
	(__glXDispSwap_TexGend), (__glXDispSwap_TexGendv),
	(__glXDispSwap_TexGenf), (__glXDispSwap_TexGenfv),
	(__glXDispSwap_TexGeni), (__glXDispSwap_TexGeniv),
	(__glXDispSwap_InitNames), (__glXDispSwap_LoadName),
	(__glXDispSwap_PassThrough), (__glXDispSwap_PopName),
	(__glXDispSwap_PushName), (__glXDispSwap_DrawBuffer),
	(__glXDispSwap_Clear), (__glXDispSwap_ClearAccum),
	(__glXDispSwap_ClearIndex), (__glXDispSwap_ClearColor),
	(__glXDispSwap_ClearStencil), (__glXDispSwap_ClearDepth),
	(__glXDispSwap_StencilMask), (__glXDispSwap_ColorMask),
	(__glXDispSwap_DepthMask), (__glXDispSwap_IndexMask),
	(__glXDispSwap_Accum), (__glXDispSwap_Disable),
	(__glXDispSwap_Enable), (__glXDispSwap_PopAttrib),
	(__glXDispSwap_PushAttrib), (__glXDispSwap_MapGrid1d),
	(__glXDispSwap_MapGrid1f), (__glXDispSwap_MapGrid2d),
	(__glXDispSwap_MapGrid2f), (__glXDispSwap_EvalCoord1dv),
	(__glXDispSwap_EvalCoord1fv), (__glXDispSwap_EvalCoord2dv),
	(__glXDispSwap_EvalCoord2fv), (__glXDispSwap_EvalMesh1),
	(__glXDispSwap_EvalPoint1), (__glXDispSwap_EvalMesh2),
	(__glXDispSwap_EvalPoint2), (__glXDispSwap_AlphaFunc),
	(__glXDispSwap_BlendFunc), (__glXDispSwap_LogicOp),
	(__glXDispSwap_StencilFunc), (__glXDispSwap_StencilOp),
	(__glXDispSwap_DepthFunc), (__glXDispSwap_PixelZoom),
	(__glXDispSwap_PixelTransferf), (__glXDispSwap_PixelTransferi),
	(__glXDispSwap_PixelStoref), (__glXDispSwap_PixelStorei),
	(__glXDispSwap_PixelMapfv), (__glXDispSwap_PixelMapuiv),
	(__glXDispSwap_PixelMapusv), (__glXDispSwap_ReadBuffer),
	(__glXDispSwap_CopyPixels), (__glXDispSwap_DrawPixels),
	(__glXDispSwap_GetBooleanv), (__glXDispSwap_GetClipPlane),
	(__glXDispSwap_GetDoublev), (__glXDispSwap_GetError),
	(__glXDispSwap_GetFloatv), (__glXDispSwap_GetIntegerv),
	(__glXDispSwap_GetLightfv), (__glXDispSwap_GetLightiv),
	(__glXDispSwap_GetMapdv), (__glXDispSwap_GetMapfv),
	(__glXDispSwap_GetMapiv), (__glXDispSwap_GetMaterialfv),
	(__glXDispSwap_GetMaterialiv), (__glXDispSwap_GetPixelMapfv),
	(__glXDispSwap_GetPixelMapuiv), (__glXDispSwap_GetPixelMapusv),
	(__glXDispSwap_GetTexEnvfv), (__glXDispSwap_GetTexEnviv),
	(__glXDispSwap_GetTexGendv), (__glXDispSwap_GetTexGenfv),
	(__glXDispSwap_GetTexGeniv), (__glXDispSwap_GetTexParameterfv),
	(__glXDispSwap_GetTexParameteriv),
	(__glXDispSwap_GetTexLevelParameterfv),
	(__glXDispSwap_GetTexLevelParameteriv), (__glXDispSwap_IsEnabled),
	(__glXDispSwap_IsList), (__glXDispSwap_DepthRange),
	(__glXDispSwap_Frustum), (__glXDispSwap_LoadIdentity),
	(__glXDispSwap_LoadMatrixf), (__glXDispSwap_LoadMatrixd),
	(__glXDispSwap_MatrixMode), (__glXDispSwap_MultMatrixf),
	(__glXDispSwap_MultMatrixd), (__glXDispSwap_Ortho),
	(__glXDispSwap_PopMatrix), (__glXDispSwap_PushMatrix),
	(__glXDispSwap_Rotated), (__glXDispSwap_Rotatef),
	(__glXDispSwap_Scaled), (__glXDispSwap_Scalef),
	(__glXDispSwap_Translated), (__glXDispSwap_Translatef),
	(__glXDispSwap_Viewport), (__glXDispSwap_BindTexture),
	(__glXDispSwap_Indexubv), (__glXDispSwap_PolygonOffset),
	(__glXDispSwap_AreTexturesResident),
	(__glXDispSwap_CopyTexImage1D), (__glXDispSwap_CopyTexImage2D),
	(__glXDispSwap_CopyTexSubImage1D),
	(__glXDispSwap_CopyTexSubImage2D), (__glXDispSwap_DeleteTextures),
	(__glXDispSwap_GenTextures), (__glXDispSwap_IsTexture),
	(__glXDispSwap_PrioritizeTextures), (__glXDispSwap_TexSubImage1D),
	(__glXDispSwap_TexSubImage2D), (__glXDispSwap_BlendColor),
	(__glXDispSwap_BlendEquation), (__glXDispSwap_ColorTable),
	(__glXDispSwap_ColorTableParameterfv),
	(__glXDispSwap_ColorTableParameteriv),
	(__glXDispSwap_CopyColorTable),
	(__glXDispSwap_GetColorTableParameterfv),
	(__glXDispSwap_GetColorTableParameteriv),
	(__glXDispSwap_ColorSubTable), (__glXDispSwap_CopyColorSubTable),
	(__glXDispSwap_ConvolutionFilter1D),
	(__glXDispSwap_ConvolutionFilter2D),
	(__glXDispSwap_ConvolutionParameterf),
	(__glXDispSwap_ConvolutionParameterfv),
	(__glXDispSwap_ConvolutionParameteri),
	(__glXDispSwap_ConvolutionParameteriv),
	(__glXDispSwap_CopyConvolutionFilter1D),
	(__glXDispSwap_CopyConvolutionFilter2D),
	(__glXDispSwap_GetConvolutionParameterfv),
	(__glXDispSwap_GetConvolutionParameteriv),
	(__glXDispSwap_GetHistogramParameterfv),
	(__glXDispSwap_GetHistogramParameteriv),
	(__glXDispSwap_GetMinmaxParameterfv),
	(__glXDispSwap_GetMinmaxParameteriv), (__glXDispSwap_Histogram),
	(__glXDispSwap_Minmax), (__glXDispSwap_ResetHistogram),
	(__glXDispSwap_ResetMinmax), (__glXDispSwap_TexImage3D),
	(__glXDispSwap_TexSubImage3D), (__glXDispSwap_CopyTexSubImage3D),
	(__glXDispSwap_ActiveTextureARB),
	(__glXDispSwap_MultiTexCoord1dvARB),
	(__glXDispSwap_MultiTexCoord1fvARB),
	(__glXDispSwap_MultiTexCoord1ivARB),
	(__glXDispSwap_MultiTexCoord1svARB),
	(__glXDispSwap_MultiTexCoord2dvARB),
	(__glXDispSwap_MultiTexCoord2fvARB),
	(__glXDispSwap_MultiTexCoord2ivARB),
	(__glXDispSwap_MultiTexCoord2svARB),
	(__glXDispSwap_MultiTexCoord3dvARB),
	(__glXDispSwap_MultiTexCoord3fvARB),
	(__glXDispSwap_MultiTexCoord3ivARB),
	(__glXDispSwap_MultiTexCoord3svARB),
	(__glXDispSwap_MultiTexCoord4dvARB),
	(__glXDispSwap_MultiTexCoord4fvARB),
	(__glXDispSwap_MultiTexCoord4ivARB),
	(__glXDispSwap_MultiTexCoord4svARB),
	(__glXDispSwap_SampleCoverageARB), (__glXDispSwap_DrawBuffersARB),
	(__glXDispSwap_AreTexturesResidentEXT),
	(__glXDispSwap_GenTexturesEXT), (__glXDispSwap_IsTextureEXT),
	(__glXDispSwap_SampleMaskSGIS), (__glXDispSwap_SamplePatternSGIS),
	(__glXDispSwap_PointParameterfEXT),
	(__glXDispSwap_PointParameterfvEXT),
	(__glXDispSwap_WindowPos3fvMESA),
	(__glXDispSwap_BlendFuncSeparateEXT),
	(__glXDispSwap_FogCoordfvEXT), (__glXDispSwap_FogCoorddvEXT),
	(__glXDispSwap_CompressedTexImage3DARB),
	(__glXDispSwap_CompressedTexImage2DARB),
	(__glXDispSwap_CompressedTexImage1DARB),
	(__glXDispSwap_CompressedTexSubImage3DARB),
	(__glXDispSwap_CompressedTexSubImage2DARB),
	(__glXDispSwap_CompressedTexSubImage1DARB),
	(__glXDispSwap_SecondaryColor3bvEXT),
	(__glXDispSwap_SecondaryColor3dvEXT),
	(__glXDispSwap_SecondaryColor3fvEXT),
	(__glXDispSwap_SecondaryColor3ivEXT),
	(__glXDispSwap_SecondaryColor3svEXT),
	(__glXDispSwap_SecondaryColor3ubvEXT),
	(__glXDispSwap_SecondaryColor3uivEXT),
	(__glXDispSwap_SecondaryColor3usvEXT),
	(__glXDispSwap_AreProgramsResidentNV),
	(__glXDispSwap_BindProgramNV), (__glXDispSwap_DeleteProgramsNV),
	(__glXDispSwap_ExecuteProgramNV), (__glXDispSwap_GenProgramsNV),
	(__glXDispSwap_GetProgramParameterdvNV),
	(__glXDispSwap_GetProgramParameterfvNV),
	(__glXDispSwap_GetProgramivNV), (__glXDispSwap_GetTrackMatrixivNV),
	(__glXDispSwap_GetVertexAttribdvARB),
	(__glXDispSwap_GetVertexAttribfvARB),
	(__glXDispSwap_GetVertexAttribivARB), (__glXDispSwap_IsProgramNV),
	(__glXDispSwap_LoadProgramNV),
	(__glXDispSwap_ProgramParameter4dvNV),
	(__glXDispSwap_ProgramParameter4fvNV),
	(__glXDispSwap_ProgramParameters4dvNV),
	(__glXDispSwap_ProgramParameters4fvNV),
	(__glXDispSwap_RequestResidentProgramsNV),
	(__glXDispSwap_TrackMatrixNV), (__glXDispSwap_VertexAttrib1dvARB),
	(__glXDispSwap_VertexAttrib1fvARB),
	(__glXDispSwap_VertexAttrib1svARB),
	(__glXDispSwap_VertexAttrib2dvARB),
	(__glXDispSwap_VertexAttrib2fvARB),
	(__glXDispSwap_VertexAttrib2svARB),
	(__glXDispSwap_VertexAttrib3dvARB),
	(__glXDispSwap_VertexAttrib3fvARB),
	(__glXDispSwap_VertexAttrib3svARB),
	(__glXDispSwap_VertexAttrib4dvARB),
	(__glXDispSwap_VertexAttrib4fvARB),
	(__glXDispSwap_VertexAttrib4svARB),
	(__glXDispSwap_VertexAttrib4NubvARB),
	(__glXDispSwap_VertexAttribs1dvNV),
	(__glXDispSwap_VertexAttribs1fvNV),
	(__glXDispSwap_VertexAttribs1svNV),
	(__glXDispSwap_VertexAttribs2dvNV),
	(__glXDispSwap_VertexAttribs2fvNV),
	(__glXDispSwap_VertexAttribs2svNV),
	(__glXDispSwap_VertexAttribs3dvNV),
	(__glXDispSwap_VertexAttribs3fvNV),
	(__glXDispSwap_VertexAttribs3svNV),
	(__glXDispSwap_VertexAttribs4dvNV),
	(__glXDispSwap_VertexAttribs4fvNV),
	(__glXDispSwap_VertexAttribs4svNV),
	(__glXDispSwap_VertexAttribs4ubvNV),
	(__glXDispSwap_PointParameteriNV),
	(__glXDispSwap_PointParameterivNV),
	(__glXDispSwap_ActiveStencilFaceEXT),
	(__glXDispSwap_VertexAttrib4bvARB),
	(__glXDispSwap_VertexAttrib4ivARB),
	(__glXDispSwap_VertexAttrib4ubvARB),
	(__glXDispSwap_VertexAttrib4usvARB),
	(__glXDispSwap_VertexAttrib4uivARB),
	(__glXDispSwap_VertexAttrib4NbvARB),
	(__glXDispSwap_VertexAttrib4NsvARB),
	(__glXDispSwap_VertexAttrib4NivARB),
	(__glXDispSwap_VertexAttrib4NusvARB),
	(__glXDispSwap_VertexAttrib4NuivARB),
	(__glXDispSwap_ProgramStringARB),
	(__glXDispSwap_ProgramEnvParameter4dvARB),
	(__glXDispSwap_ProgramEnvParameter4fvARB),
	(__glXDispSwap_ProgramLocalParameter4dvARB),
	(__glXDispSwap_ProgramLocalParameter4fvARB),
	(__glXDispSwap_GetProgramEnvParameterdvARB),
	(__glXDispSwap_GetProgramEnvParameterfvARB),
	(__glXDispSwap_GetProgramLocalParameterdvARB),
	(__glXDispSwap_GetProgramLocalParameterfvARB),
	(__glXDispSwap_GetProgramivARB),
	(__glXDispSwap_ProgramNamedParameter4fvNV),
	(__glXDispSwap_ProgramNamedParameter4dvNV),
	(__glXDispSwap_GetProgramNamedParameterfvNV),
	(__glXDispSwap_GetProgramNamedParameterdvNV),
	(__glXDispSwap_GenQueriesARB), (__glXDispSwap_DeleteQueriesARB),
	(__glXDispSwap_IsQueryARB), (__glXDispSwap_BeginQueryARB),
	(__glXDispSwap_EndQueryARB), (__glXDispSwap_GetQueryivARB),
	(__glXDispSwap_GetQueryObjectivARB),
	(__glXDispSwap_GetQueryObjectuivARB),
	(__glXDispSwap_GetVertexAttribdvNV),
	(__glXDispSwap_GetVertexAttribfvNV),
	(__glXDispSwap_GetVertexAttribivNV),
	(__glXDispSwap_VertexAttrib1dvNV),
	(__glXDispSwap_VertexAttrib1fvNV),
	(__glXDispSwap_VertexAttrib1svNV),
	(__glXDispSwap_VertexAttrib2dvNV),
	(__glXDispSwap_VertexAttrib2fvNV),
	(__glXDispSwap_VertexAttrib2svNV),
	(__glXDispSwap_VertexAttrib3dvNV),
	(__glXDispSwap_VertexAttrib3fvNV),
	(__glXDispSwap_VertexAttrib3svNV),
	(__glXDispSwap_VertexAttrib4dvNV),
	(__glXDispSwap_VertexAttrib4fvNV),
	(__glXDispSwap_VertexAttrib4svNV),
	(__glXDispSwap_VertexAttrib4ubvNV),
	(__glXDispSwap_IsRenderbufferEXT),
	(__glXDispSwap_BindRenderbufferEXT),
	(__glXDispSwap_DeleteRenderbuffersEXT),
	(__glXDispSwap_GenRenderbuffersEXT),
	(__glXDispSwap_RenderbufferStorageEXT),
	(__glXDispSwap_GetRenderbufferParameterivEXT),
	(__glXDispSwap_IsFramebufferEXT),
	(__glXDispSwap_BindFramebufferEXT),
	(__glXDispSwap_DeleteFramebuffersEXT),
	(__glXDispSwap_GenFramebuffersEXT),
	(__glXDispSwap_CheckFramebufferStatusEXT),
	(__glXDispSwap_FramebufferTexture1DEXT),
	(__glXDispSwap_FramebufferTexture2DEXT),
	(__glXDispSwap_FramebufferTexture3DEXT),
	(__glXDispSwap_FramebufferRenderbufferEXT),
	(__glXDispSwap_GetFramebufferAttachmentParameterivEXT),
	(__glXDispSwap_GenerateMipmapEXT):
	* GL/glx/indirect_reqsize.c: (__glXCallListsReqSize),
	(__glXBitmapReqSize), (__glXFogfvReqSize), (__glXLightfvReqSize),
	(__glXLightModelfvReqSize), (__glXMaterialfvReqSize),
	(__glXPolygonStippleReqSize), (__glXTexParameterfvReqSize),
	(__glXTexImage1DReqSize), (__glXTexImage2DReqSize),
	(__glXTexEnvfvReqSize), (__glXTexGendvReqSize),
	(__glXTexGenfvReqSize), (__glXPixelMapfvReqSize),
	(__glXPixelMapusvReqSize), (__glXDrawPixelsReqSize),
	(__glXPrioritizeTexturesReqSize), (__glXTexSubImage1DReqSize),
	(__glXTexSubImage2DReqSize), (__glXColorTableReqSize),
	(__glXColorTableParameterfvReqSize), (__glXColorSubTableReqSize),
	(__glXConvolutionFilter1DReqSize),
	(__glXConvolutionFilter2DReqSize),
	(__glXConvolutionParameterfvReqSize), (__glXTexImage3DReqSize),
	(__glXTexSubImage3DReqSize), (__glXDrawBuffersARBReqSize),
	(__glXPointParameterfvEXTReqSize),
	(__glXCompressedTexImage3DARBReqSize),
	(__glXCompressedTexImage2DARBReqSize),
	(__glXCompressedTexImage1DARBReqSize),
	(__glXCompressedTexSubImage3DARBReqSize),
	(__glXLoadProgramNVReqSize), (__glXProgramParameters4dvNVReqSize),
	(__glXProgramParameters4fvNVReqSize),
	(__glXVertexAttribs1dvNVReqSize), (__glXVertexAttribs2dvNVReqSize),
	(__glXVertexAttribs3dvNVReqSize), (__glXVertexAttribs3fvNVReqSize),
	(__glXVertexAttribs3svNVReqSize), (__glXVertexAttribs4dvNVReqSize),
	(__glXProgramNamedParameter4fvNVReqSize):
	* GL/glx/indirect_reqsize.h:
	* GL/glx/indirect_size_get.c: (__glCallLists_size),
	(__glFogfv_size), (__glLightfv_size), (__glLightModelfv_size),
	(__glMaterialfv_size), (__glTexParameterfv_size),
	(__glTexEnvfv_size), (__glTexGendv_size), (__glMap1d_size),
	(__glMap2d_size), (__glGetBooleanv_size),
	(__glGetTexParameterfv_size), (__glGetTexLevelParameterfv_size),
	(__glColorTableParameterfv_size),
	(__glGetColorTableParameterfv_size),
	(__glConvolutionParameterfv_size),
	(__glGetConvolutionParameterfv_size),
	(__glGetHistogramParameterfv_size),
	(__glGetMinmaxParameterfv_size), (__glPointParameterfvEXT_size),
	(__glGetProgramivNV_size), (__glGetVertexAttribdvARB_size),
	(__glGetProgramivARB_size), (__glGetQueryivARB_size),
	(__glGetQueryObjectivARB_size), (__glGetVertexAttribdvNV_size),
	(__glGetFramebufferAttachmentParameterivEXT_size):
	* GL/glx/indirect_size_get.h:
	* GL/glx/indirect_util.c: (__glGetBooleanv_variable_size),
	(__glXGetAnswerBuffer), (__glXSendReply), (__glXSendReplySwap):
	* GL/glx/indirect_util.h:
	* GL/glx/render2.c: (__glXDisp_Map1f), (__glXDisp_Map2f),
	(__glXDisp_Map1d), (__glXDisp_Map2d), (__glXDisp_DrawArrays):
	* GL/glx/render2swap.c: (__glXDispSwap_Map1f),
	(__glXDispSwap_Map2f), (__glXDispSwap_Map1d),
	(__glXDispSwap_Map2d), (__glXDispSwap_DrawArrays):
	* GL/glx/renderpix.c: (__glXDisp_SeparableFilter2D):
	* GL/glx/renderpixswap.c: (__glXDispSwap_SeparableFilter2D):
	* GL/glx/rensize.c: (__glXMap1dReqSize), (__glXMap1fReqSize),
	(__glXMap2dReqSize), (__glXMap2fReqSize), (__glXDrawArraysSize),
	(__glXSeparableFilter2DReqSize):
	* GL/glx/rensizetab.c:
	* GL/glx/single2.c: (__glXDisp_FeedbackBuffer),
	(__glXDisp_SelectBuffer), (__glXDisp_RenderMode),
	(__glXDisp_Flush), (__glXDisp_Finish), (DoGetString),
	(__glXDisp_GetString):
	* GL/glx/single2swap.c: (__glXDispSwap_FeedbackBuffer),
	(__glXDispSwap_SelectBuffer), (__glXDispSwap_RenderMode),
	(__glXDispSwap_Flush), (__glXDispSwap_Finish),
	(__glXDispSwap_GetString):
	* GL/glx/singlepix.c: (__glXDisp_ReadPixels),
	(__glXDisp_GetTexImage), (__glXDisp_GetPolygonStipple),
	(__glXDisp_GetSeparableFilter), (__glXDisp_GetConvolutionFilter),
	(__glXDisp_GetHistogram), (__glXDisp_GetMinmax),
	(__glXDisp_GetColorTable):
	* GL/glx/singlepixswap.c: (__glXDispSwap_ReadPixels),
	(__glXDispSwap_GetTexImage), (__glXDispSwap_GetPolygonStipple),
	(__glXDispSwap_GetSeparableFilter),
	(__glXDispSwap_GetConvolutionFilter), (__glXDispSwap_GetHistogram),
	(__glXDispSwap_GetMinmax), (__glXDispSwap_GetColorTable):
	* GL/glx/singlesize.c: (__glGetMap_size), (__glGetPixelMap_size),
	(__glGetTexImage_size):
	* GL/glx/singlesize.h:
	* GL/glx/xfont.c: (__glXMakeBitmapFromGlyph),
	(MakeBitmapsFromFont), (__glXUseXFont):
	* GL/mesa/Makefile.am:
	* GL/mesa/main/Makefile.am:
	* GL/symlink-mesa.sh:
	Bug #2996: libglx / libGLcore should use a dispatch table
	Port all changes from the (monolithic) accelerated_indirect-0-0-1
	branch to the modular trunk.  This will break the Darwin and cygwin
	builds.  Other than the changes to symlink-mesa.sh and the various
	Makefile.am files, to code is identical to what's in the branch.

2006-01-10  Daniel Stone  <daniel@freedesktop.org>

	* configure.ac:
	Bomb when symlink-mesa.sh fails, instead of blindly continuing.

	* hw/xgl/**/Makefile.am:
	* hw/kdrive/**/Makefile.am:
	Add all subdirs used to DIST_SUBDIRS, and files to EXTRA_DIST.

	* hw/xgl/egl/Makefile.am:
	Attempt to build xeglmodule.c, not xglxmodule.c.

	* hw/xfree86/os-support/bus/Makefile.am:
	Add xf86Sbus.h to EXTRA_DIST, as _HEADERS doesn't appear to get the same
	treatment as _SOURCES in terms of automatically DISTing.

2006-01-08  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/loader/dixsym.c:
	* include/globals.h:
	* mi/miinitext.c:
	* os/utils.c:
	Remove remaining #ifdef DPSEXT stanzas.

2006-01-06  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/dri/dri.c:
	* hw/xfree86/dri/dristruct.h:
	Move drawable lock acquisition into DRIClipNotify from DRIValidateTree,
	so we only take it when clipping a DRI drawable instead of on every
	tree update.  Note drawable lock acquisition per-screen instead of
	globally, and drop it in BlockHandler if necessary.

	* configure.ac:
	* Xprint/Makefile.am:
	* Xprint/ddxInit.c:
	* Xprint/pcl/Makefile.am:
	* Xprint/pcl-mono/Makefile.am:
	* cfb/Makefile.am:
	* cfb/Makefile.am.inc:
	* cfb16/Makefile.am:
	* cfb24/Makefile.am:
	* cfb32/Makefile.am:
	* mi/miinitext.c:
	Bug #5525: Build a working Xprt.  (Drew Parsons)

	* os/access.c:
	Bug #5218: Don't crash on unconfigured interfaces.  (Andrei Barbu)

2006-01-06  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/loader/misym.c:
	* mi/Makefile.am:
	* mi/mi.h:
	* mi/miclipn.c:
	Remove unused X11R4 DDX compatibility function miClipNotify.

2006-01-03  Eric Anholt  <anholt@FreeBSD.org>

	* render/picture.c: (premultiply):
	Correct rounding in divide-by-255 code.  Obtained from xserver.

2006-01-03  Eric Anholt  <anholt@FreeBSD.org>

	* hw/xgl/xglpict.c: (xglPictureInit):
	Remove the manual AddFilter for convolution, which I'm pretty sure
	shouldn't be necessary due to it already happening from
	PictureSetDefaultFilters.

2006-01-03  Eric Anholt  <anholt@FreeBSD.org>

	* render/glyph.c: (ResetGlyphPrivates),
	(AllocateGlyphPrivateIndex), (AllocateGlyphPrivate),
	(SetGlyphScreenPrivateOffsets), (SetGlyphPrivatePointers),
	(ReallocGlobalGlyphPrivate), (GlyphInit), (GlyphFinishInit),
	(GlyphUninit), (FreeGlyph), (AddGlyph), (AllocateGlyph):
	* render/glyphstr.h:
	* render/miglyph.c: (miRealizeGlyph), (miUnrealizeGlyph):
	* render/mipict.c: (miPictureInit):
	* render/mipict.h:
	* render/picture.c: (PictureCloseScreen), (PictureFinishInit):
	* render/picturestr.h:
	Add glyph privates for Xgl, which uses them to implement a glyph cache.
	EXA would probably also like to do this.  This breaks module ABI for EXA
	and XAA, and likely breaks proprietary drivers as well.

	Obtained from: xserver tree (David Reveman)

2005-12-31  Eric Anholt  <anholt@FreeBSD.org>

	* hw/xgl/glx/xglx.c: (xglxWindowExposures):
	* hw/xgl/glxext/xglglxext.c: (xglCreateBuffer):
	* hw/xgl/xglsync.c: (xglSyncBits):
	* hw/xgl/xglwindow.c: (xglCopyWindow):
	Change REGION_INIT(pScreen, &foo, NullBox, 0) to REGION_NULL(pScreen,
	&foo).  While it is no longer (or rather, once again not) required as of
	regionstr.h r1.4, it matches the style of the rest of the xorg code.

2005-12-30  Eric Anholt  <anholt@FreeBSD.org>

	* hw/xgl/xglsync.c: (xglSyncBits), (xglSyncSurface):
	Initialize the fourcc value in stack-allocated glitz_pixel_format_t
	structures.  Greatly reduces the number of uninitialized-value accesses
	during Xgl startup according to valgrind.  Allocating and filling these
	in by hand on the stack seems very shady to me.

2005-12-30  Eric Anholt  <anholt@FreeBSD.org>

	* configure.ac:
	Fix the AC_TRY_RUN for sys/linker.h which had no hope due to lacking a
	main() to instead use a nice AC_CHECK_HEADERS that works.  Also, fix
	the nearby SYSV IPC check which was lacking an argument and giving
	bogus results (it's "AC_TRY_LINK(includes, main, yes, no)").

2005-12-29  Eric Anholt  <anholt@FreeBSD.org>

	* include/dix-config.h.in:
	Add #undef BSD44SOCKETS, without which the listener socket on FreeBSD
	would be created without the port number due to xtrans's define not
	being used when xtrans was compiled in the X Server.

2005-12-29  Eric Anholt  <anholt@FreeBSD.org>

	* hw/xfree86/utils/kbd_mode/Makefile.am:
	Add an empty all-local target for FreeBSD make's sake, which doesn't
	deal with .PHONY.

2005-12-29  Adam Jackson  <ajax@freedesktop.org>

	* configure.ac:
	Disable building LBX by default.

	* mi/misprite.c:
	Style fix, make SCREEN_EPILOGUE two arguments instead of three.

	* hw/kdrive/src/kinput.c:
	Make kdInputMachine static const, shrinks .data a bit.

2005-12-29  Dave Airlie  <airlied@linux.ie>

	* hw/xfree86/os-support/bus/Pci.c: (pciByteSwap):
	* hw/xfree86/os-support/bus/Pci.h:
	* hw/xfree86/os-support/bus/freebsdPci.c:
	* hw/xfree86/os-support/bus/ix86Pci.c:
	* hw/xfree86/os-support/bus/linuxPci.c:
	* hw/xfree86/os-support/bus/ppcPci.c: (ppcPciInit):
	* hw/xfree86/os-support/bus/zx1PCI.c:
	* hw/xfree86/os-support/xf86_OSlib.h:
	Remove PowerMAX_OS define it never worked , it'll never work
	again, finishes running joke of OLS2005	

2005-12-28  Eric Anholt  <anholt@FreeBSD.org>

	* hw/xgl/Makefile.am:
	* hw/xgl/egl/Makefile.am:
	* hw/xgl/glx/Makefile.am:
	* mi/miinitext.c:
	Add necessary *CONFIG_H declarations and a force-off of XF86* extensions
	in miinitext in the XGL case.  Prevents mismatched structure sizes on my
	_XSERVER64 machine.  At this point, with the uncommitted render/ diffs,
	Xglx starts up but displays badly.

2005-12-28  Luc Verhaegen  <libv@skynet.be>

	* configure.ac:
	* hw/xfree86/common/xf86Config.c: (GenerateDriverlist),
	(configMonitor), (configExtensions), (xf86HandleConfigFile):
	* hw/xfree86/common/xf86Mode.c: (xf86ModeStatusToString),
	(xf86CheckModeForMonitor):
	* hw/xfree86/common/xf86str.h:
	* hw/xfree86/utils/Makefile.am:
	* hw/xfree86/utils/cvt/Makefile.am:
	* hw/xfree86/utils/cvt/cvt.c: (add), (PrintModeline),
	(xf86CVTMode), (xf86CVTCheckStandard), (PrintUsage),
	(PrintComment), (main):
	* hw/xfree86/utils/cvt/cvt.man.pre:
	Bug #5153: standalone CVT modeline generator.
	- add hw/xfree86/utils/cvt/, cvt.c, cvt.man.pre and Makefile.am.   
	- Adjust configure.ac and hw/xfree86/utils/Makefile.am for cvt. 
	- Add MonPtr->reducedblanking and Option "ReducedBlanking" to the
	  Monitor section.
	- Check for reduced blanking in xf86CheckModeForMonitor and disallow
	  modes with less than 25% blanking otherwise.
	- Fix some warnings in hw/xfree86/common/xf86Config.c.

2005-12-28  Eric Anholt  <anholt@FreeBSD.org>

	* render/filter.c: (SetPictureFilter):
	* render/mipict.c: (miChangePictureTransform),
	(miChangePictureFilter), (miPictureInit):
	* render/mipict.h:
	* render/picture.c: (SetPictureTransform):
	Merge from xserver: Make the existing ChangePictureFilter and
	ChangePictureTransform screen hooks get called at appropriate times.

2005-12-28  Eric Anholt  <anholt@FreeBSD.org>

	* fb/fbpict.h:
	Fix a copy'n'paste-o that would result in mis-rounding of the results of
	several composite operators in A and G channels.

2005-12-28  Eric Anholt  <anholt@FreeBSD.org>

	* Xext/shmint.h:
	Merge from xserver a header for shm's server internal functions, which
	are called by DDXes.  Desired by XGL, and should be used in other
	locations, probably.

2005-12-28  Eric Anholt  <anholt@FreeBSD.org>

	* configure.ac:
	* hw/Makefile.am:
	* hw/xgl/.cvsignore:
	* hw/xgl/Makefile.am:
	* hw/xgl/egl/.cvsignore:
	* hw/xgl/egl/Makefile.am:
	* hw/xgl/egl/evdev.c:
	* hw/xgl/egl/kinput.c:
	* hw/xgl/egl/module/.cvsignore:
	* hw/xgl/egl/module/Makefile.am:
	* hw/xgl/glx/.cvsignore:
	* hw/xgl/glx/Makefile.am:
	* hw/xgl/glx/module/.cvsignore:
	* hw/xgl/glx/module/Makefile.am:
	* hw/xgl/glx/xglxinit.c: (InitOutput), (InitInput),
	(ddxProcessArgument), (ddxInitGlobals):
	* hw/xgl/glxext/.cvsignore:
	* hw/xgl/glxext/module/.cvsignore:
	* hw/xgl/glxext/xglglxext.h:
	* hw/xgl/xgl.h:
	* hw/xgl/xglglx.c: (xglLoadGLXModules), (xglUnloadGLXModules):
	* hw/xgl/xglhash.c: (xglLoadHashFuncs):
	* hw/xgl/xglinit.c: (xglEnsureDDXModule), (ddxInitGlobals):
	* hw/xgl/xglloader.c: (xglLoadModule):
	* hw/xgl/xglmodule.h:
	* include/.cvsignore:
	* include/xgl-config.h.in:
	Initial commit of XGL build infrastructure and XGL code changes for
	building within the xorg server tree.  Requires additional, uncommitted
	dix changes to successfully build, and successful running is still yet
	to happen.

2005-12-27  Adam Jackson  <ajax@freedesktop.org>

	* hw/kdrive/Imakefile:
	* hw/kdrive/*/Imakefile:
	Remove Imakefiles.

	* hw/kdrive/*/Makefile.am:
	s/XSERVER/KDRIVE/

	* configure.ac:
	Get Xsdl closer to linking.

	* configure.ac:
	* hw/kdrive/Makefile.am:
	* hw/kdrive/fake/Makefile.am:
	* hw/kdrive/src/Makefile.am:
	* hw/kdrive/src/kdrive.c:
	* hw/kdrive/src/kshadow.c:
	* mi/miinitext.c:
	Enough build fixes to get {sdl,ephyr,fake} to link.


2005-12-26  Adam Jackson  <ajax@freedesktop.org>

	* os/oscolor.c:
	Nuke unsupported NDBM routines.  Shrink the hash table a bit, over
	25% of the buckets were going empty.

	* Makefile.am:
	* hw/Makefile.am:
	* hw/*/Makefile.am:
	Bug #4190: Add a rule for 'make relink' since automake sucks.

	* hw/kdrive/*:
	Start importing kdrive.

	* hw/kdrive/Makefile.am:
	* hw/kdrive/ati/Makefile.am:
	* hw/kdrive/ati/ati.c:
	* hw/kdrive/ati/ati.h:
	* hw/kdrive/ati/ati_cursor.c:
	* hw/kdrive/ati/ati_draw.c:
	* hw/kdrive/ati/ati_dri.c:
	* hw/kdrive/ati/ati_stub.c:
	* hw/kdrive/ati/ati_video.c:
	* hw/kdrive/ati/radeon_composite.c:
	* hw/kdrive/chips/Makefile.am:
	* hw/kdrive/chips/chips.c:
	* hw/kdrive/chips/chipsdraw.c:
	* hw/kdrive/chips/chipsstub.c:
	* hw/kdrive/ephyr/Makefile.am:
	* hw/kdrive/ephyr/ephyr.c:
	* hw/kdrive/ephyr/ephyr.h:
	* hw/kdrive/ephyr/ephyrinit.c:
	* hw/kdrive/ephyr/os.c:
	* hw/kdrive/epson/Makefile.am:
	* hw/kdrive/epson/epson13806.c:
	* hw/kdrive/epson/epson13806stub.c:
	* hw/kdrive/fake/Makefile.am:
	* hw/kdrive/fake/fake.c:
	* hw/kdrive/fake/fakeinit.c:
	* hw/kdrive/fake/kbd.c:
	* hw/kdrive/fake/mouse.c:
	* hw/kdrive/fake/os.c:
	* hw/kdrive/fbdev/Makefile.am:
	* hw/kdrive/fbdev/fbdev.c:
	* hw/kdrive/fbdev/fbinit.c:
	* hw/kdrive/i810/Makefile.am:
	* hw/kdrive/i810/i810.c:
	* hw/kdrive/i810/i810_cursor.c:
	* hw/kdrive/i810/i810_video.c:
	* hw/kdrive/i810/i810draw.c:
	* hw/kdrive/i810/i810stub.c:
	* hw/kdrive/igs/igs.c:
	* hw/kdrive/igs/igscmap.c:
	* hw/kdrive/igs/igscurs.c:
	* hw/kdrive/igs/igsdraw.c:
	* hw/kdrive/igs/igsreg.c:
	* hw/kdrive/igs/igsstub.c:
	* hw/kdrive/ipaq/ipaq.c:
	* hw/kdrive/itsy/itsy.c:
	* hw/kdrive/itsy/kbd.c:
	* hw/kdrive/itsy/ts.c:
	* hw/kdrive/linux/Makefile.am:
	* hw/kdrive/linux/agp.c:
	* hw/kdrive/linux/bus.c:
	* hw/kdrive/linux/evdev.c:
	* hw/kdrive/linux/keyboard.c:
	* hw/kdrive/linux/linux.c:
	* hw/kdrive/linux/mouse.c:
	* hw/kdrive/linux/ms.c:
	* hw/kdrive/linux/ps2.c:
	* hw/kdrive/linux/ts.c:
	* hw/kdrive/linux/tslib.c:
	* hw/kdrive/mach64/Makefile.am:
	* hw/kdrive/mach64/mach64.c:
	* hw/kdrive/mach64/mach64curs.c:
	* hw/kdrive/mach64/mach64draw.c:
	* hw/kdrive/mach64/mach64stub.c:
	* hw/kdrive/mach64/mach64video.c:
	* hw/kdrive/mga/Makefile.am:
	* hw/kdrive/mga/g400_composite.c:
	* hw/kdrive/mga/mga.c:
	* hw/kdrive/mga/mgadraw.c:
	* hw/kdrive/mga/mgastub.c:
	* hw/kdrive/neomagic/Makefile.am:
	* hw/kdrive/neomagic/backend.c:
	* hw/kdrive/neomagic/neo_draw.c:
	* hw/kdrive/neomagic/neomagic.c:
	* hw/kdrive/neomagic/neomagicstub.c:
	* hw/kdrive/nvidia/Makefile.am:
	* hw/kdrive/nvidia/nvidia.c:
	* hw/kdrive/nvidia/nvidiacurs.c:
	* hw/kdrive/nvidia/nvidiadraw.c:
	* hw/kdrive/nvidia/nvidiastub.c:
	* hw/kdrive/nvidia/nvidiavideo.c:
	* hw/kdrive/pcmcia/pcmcia.c:
	* hw/kdrive/pcmcia/pcmciacurs.c:
	* hw/kdrive/pcmcia/pcmciarotate.c:
	* hw/kdrive/pcmcia/pcmciashadow.c:
	* hw/kdrive/pcmcia/pcmciastub.c:
	* hw/kdrive/pm2/Makefile.am:
	* hw/kdrive/pm2/pm2.c:
	* hw/kdrive/pm2/pm2_draw.c:
	* hw/kdrive/pm2/pm2stub.c:
	* hw/kdrive/r128/Makefile.am:
	* hw/kdrive/r128/r128.c:
	* hw/kdrive/r128/r128draw.c:
	* hw/kdrive/r128/r128stub.c:
	* hw/kdrive/savage/s3.c:
	* hw/kdrive/savage/s3clock.c:
	* hw/kdrive/savage/s3cmap.c:
	* hw/kdrive/savage/s3curs.c:
	* hw/kdrive/savage/s3draw.c:
	* hw/kdrive/savage/s3gc.c:
	* hw/kdrive/savage/s3reg.c:
	* hw/kdrive/savage/s3rtst.c:
	* hw/kdrive/savage/s3stub.c:
	* hw/kdrive/sdl/Makefile.am:
	* hw/kdrive/sdl/sdl.c:
	* hw/kdrive/sis300/Makefile.am:
	* hw/kdrive/sis300/sis.c:
	* hw/kdrive/sis300/sis.h:
	* hw/kdrive/sis300/sis_draw.c:
	* hw/kdrive/sis300/sis_stub.c:
	* hw/kdrive/sis530/sis.c:
	* hw/kdrive/sis530/sisclock.c:
	* hw/kdrive/sis530/siscmap.c:
	* hw/kdrive/sis530/siscurs.c:
	* hw/kdrive/sis530/sisdraw.c:
	* hw/kdrive/sis530/sisio.c:
	* hw/kdrive/sis530/sisstub.c:
	* hw/kdrive/smi/Makefile.am:
	* hw/kdrive/smi/smi.c:
	* hw/kdrive/smi/smidraw.c:
	* hw/kdrive/smi/smistub.c:
	* hw/kdrive/smi/smivideo.c:
	* hw/kdrive/src/Makefile.am:
	* hw/kdrive/src/kaa.c:
	* hw/kdrive/src/kaapict.c:
	* hw/kdrive/src/kasync.c:
	* hw/kdrive/src/kcmap.c:
	* hw/kdrive/src/kcolor.c:
	* hw/kdrive/src/kcurscol.c:
	* hw/kdrive/src/kdrive.c:
	* hw/kdrive/src/kinfo.c:
	* hw/kdrive/src/kinput.c:
	* hw/kdrive/src/kkeymap.c:
	* hw/kdrive/src/kloadmap.c:
	* hw/kdrive/src/kmap.c:
	* hw/kdrive/src/kmode.c:
	* hw/kdrive/src/knoop.c:
	* hw/kdrive/src/koffscreen.c:
	* hw/kdrive/src/kshadow.c:
	* hw/kdrive/src/ktest.c:
	* hw/kdrive/src/kxv.c:
	* hw/kdrive/src/vga.c:
	* hw/kdrive/trident/trident.c:
	* hw/kdrive/trident/tridentcurs.c:
	* hw/kdrive/trident/tridentdraw.c:
	* hw/kdrive/trident/tridentstub.c:
	* hw/kdrive/trio/s3.c:
	* hw/kdrive/trio/s3clock.c:
	* hw/kdrive/trio/s3cmap.c:
	* hw/kdrive/trio/s3curs.c:
	* hw/kdrive/trio/s3stub.c:
	* hw/kdrive/ts300/ts300.c:
	* hw/kdrive/vesa/Makefile.am:
	* hw/kdrive/vesa/vbe.c:
	* hw/kdrive/vesa/vesa.c:
	* hw/kdrive/vesa/vesainit.c:
	* hw/kdrive/vesa/vga.c:
	* hw/kdrive/vesa/vm86.c:
	* hw/kdrive/via/Makefile.am:
	* hw/kdrive/vxworks/vxkbd.c:
	* hw/kdrive/vxworks/vxmouse.c:
	* hw/kdrive/vxworks/vxworks.c:
	Build fixes: XSERVER_LIBS -> KDRIVE_LIBS, config.h -> kdrive-config.h

	* configure.ac:
	* hw/Makefile.am:
	* include/kdrive-config.h.in:
	Skeletal kdrive build system.  Totally non-functional atm.

2005-12-26  Daniel Stone  <daniel@freedesktop.org>

	* xkb/xkbInit.c:
	Remove unused -xkbdb and -noloadxkb options.  Rename -ar1 and -ar2 to
	-ardelay and -arinterval, respectively.  Remove XKB banner from help text.

2005-12-25  Adam Jackson  <ajax@freedesktop.org>

	* configure.ac:
	* miext/Makefile.am:
	* miext/layer/*:
	* hw/xfree86/dixmods/Makefile.am:
	* hw/xfree86/dixmods/extmod/Makefile.am:
	Remove unused layer module.

2005-12-23  Alan Coopersmith  <alan.coopersmith@sun.com>

	* doc/Xserver.man.pre: 
	Change list of X server man pages in "See Also" section to list the
	ones actually included and remove the ones that are no longer.

2005-12-23  Daniel Stone  <daniel@freedesktop.org>

	* configure.ac:
	Make LBX configuration default to 'auto'.

2005-12-22  Eric Anholt  <anholt@FreeBSD.org>

	* hw/xfree86/dixmods/Makefile.am:
	* hw/xfree86/xaa/Makefile.am:
	Adjust the rules for auto-generating some source files, so that they
	work on both GNU make and FreeBSD's make.

2005-12-20  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	Update package version for X11R7 release.

2005-12-20  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/common/xf86Config.c:
	Bug #5359: Fix a segfault (Mark Kettenis)

	* fb/fbpict.c:
	Fix an fb regression on A8 pictures.  (Fredrik Höglund)

2005-12-19  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/doc/man/xorg.conf.man.pre:
	Bug #5116: Refer DRI section details to dri.fd.o.

2005-12-19  Alan Coopersmith  <alan.coopersmith@sun.com>

	* hw/xfree86/doc/devel/exa-driver.txt:
	* hw/xfree86/getconfig/cfg.man.pre:
	* hw/xfree86/getconfig/getconfig.man.pre:
	Fix typos.

2005-12-14  Alan Coopersmith  <alan.coopersmith@sun.com>

	* hw/xfree86/scanpci/pci.ids: 
	* hw/xfree86/scanpci/xf86PciStdIds.h:
	Update to 2005-12-14 snapshot from pciids.sf.net

2005-12-14  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	Update package version number for final X11R7 release candidate.
	Update release string to 6.99.99.904.

2005-12-14  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/common/xf86Globals.c:
	* hw/xfree86/common/xf86Init.c:
	* hw/xfree86/common/xf86Priv.h:
	* hw/xfree86/os-support/linux/lnx_apm.c:
	Bug #4718: Command line flag to disable ACPI.

2005-12-13  Adam Jackson  <ajax@freedesktop.org>

	* Xext/Makefile.am:
	Spell it XINERAMA_SRCS, not PANORAMIX_SRCS.

	* GL/mesa/X/Makefile.am:
	Build libglx correctly when not building the Xorg DDX.

2005-12-12  Alan Coopersmith  <alan.coopersmith@sun.com>

	* hw/xfree86/os-support/solaris/sun_kbdEv.c: 
	Remove unnecessary include of dgaproc.h that broke Solaris builds.

2005-12-11  Alan Coopersmith  <alan.coopersmith@sun.com>

	* Xext/Makefile.am: 
	Bugzilla #4715 <https://bugs.freedesktop.org/show_bug.cgi?id=4715>
	Files in xserver/xorg/Xext not included in tarball after make dist

2005-12-09  Adam Jackson  <ajax@freedesktop.org>

	* configure.ac:
	* hw/xfree86/Makefile.am:
	* hw/xfree86/xf8_32wid/Makefile.am:
	Bug #4809: Re-fix that doesn't break distcheck. (Alan Coopersmith)

2005-12-08  Adam Jackson  <ajax@freedesktop.org>

	* configure.ac:
	Bug #4361: Define XF86CONFIGFILE properly so config file generation
	works.

2005-12-08  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	* hw/dmx/doc/Makefile.am:
	* hw/xfree86/doc/sgml/Makefile.am:
	Fix sgml docs build.

2005-12-08  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	Add configure option to set the top level font dir.

2005-12-08  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	* hw/xfree86/Makefile.am:
	* hw/xfree86/utils/xorgcfg/Makefile.am:
	* hw/xfree86/utils/xorgconfig/Makefile.am:
	Add configure options to allow hard-coded paths to be changed.

2005-12-07  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	* hw/xfree86/utils/xorgcfg/Makefile.am:
	Change to use the app-defaults default dir configured in libXt.

2005-12-06  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* Xprint/doc/Makefile.am:
	* doc/Makefile.am:
	* hw/dmx/Makefile.am:
	* hw/dmx/config/Makefile.am:
	* hw/vfb/Makefile.am:
	* hw/xfree86/getconfig/Makefile.am:
	* hw/xfree86/utils/gtf/Makefile.am:
	* hw/xfree86/utils/kbd_mode/Makefile.am:
	* hw/xfree86/utils/pcitweak/Makefile.am:
	* hw/xfree86/utils/scanpci/Makefile.am:
	* hw/xfree86/utils/xorgcfg/Makefile.am:
	* hw/xfree86/utils/xorgconfig/Makefile.am:
	* hw/xnest/Makefile.am:
	Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

2005-12-06  Adam Jackson  <ajax@freedesktop.org>

	* configure.ac:
	Bug #5230: Fix whitespace bugs.

2005-12-06  Alan Coopersmith  <alan.coopersmith@sun.com>

	* os/Makefile.am: 
	Bugzilla #5219 <https://bugs.freedesktop.org/show_bug.cgi?id=5219>
	Make sure all optional sources are included in EXTRA_DIST,
	even if they aren't used on the platform the distballs are made on.

2005-12-03  Alan Coopersmith  <alan.coopersmith@sun.com>

	* xorg/Makefile.am:
	* xorg/configure.ac:
	* xorg/hw/xfree86/Makefile.am:
	* hw/xfree86/dixmods/Makefile.am: 
	Bugzilla #4809 <https://bugs.freedesktop.org/show_bug.cgi?id=4809>
	Patch #3908 <https://bugs.freedesktop.org/attachment.cgi?id=3908>
	xf8_32wid and cfb24 only need to be built on sparc

2005-12-03  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	Update package version number for X11R7 RC3 release.
	Update release string to 6.99.99.903 (i.e., 7.0 RC3).

2005-12-02  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* GL/glx/Makefile.am:
	* GL/mesa/X/Makefile.am:
	* GL/mesa/array_cache/Makefile.am:
	* GL/mesa/glapi/Makefile.am:
	* GL/mesa/main/Makefile.am:
	* GL/mesa/math/Makefile.am:
	* GL/mesa/shader/Makefile.am:
	* GL/mesa/shader/grammar/Makefile.am:
	* GL/mesa/shader/slang/Makefile.am:
	* GL/mesa/swrast/Makefile.am:
	* GL/mesa/swrast_setup/Makefile.am:
	* GL/mesa/tnl/Makefile.am:
	* XTrap/Makefile.am:
	* Xext/Makefile.am:
	* Xi/Makefile.am:
	* Xprint/Makefile.am:
	* Xprint/pcl/Makefile.am:
	* Xprint/ps/Makefile.am:
	* Xprint/raster/Makefile.am:
	* afb/Makefile.am:
	* cfb/Makefile.am:
	* cfb16/Makefile.am:
	* cfb24/Makefile.am:
	* cfb32/Makefile.am:
	* composite/Makefile.am:
	* configure.ac:
	* damageext/Makefile.am:
	* dbe/Makefile.am:
	* dix/Makefile.am:
	* fb/Makefile.am:
	* hw/dmx/Makefile.am:
	* hw/dmx/config/Makefile.am:
	* hw/dmx/glxProxy/Makefile.am:
	* hw/dmx/input/Makefile.am:
	* hw/vfb/Makefile.am:
	* hw/xfree86/Makefile.am:
	* hw/xfree86/common/Makefile.am:
	* hw/xfree86/ddc/Makefile.am:
	* hw/xfree86/dixmods/Makefile.am:
	* hw/xfree86/dixmods/extmod/Makefile.am:
	* hw/xfree86/dri/Makefile.am:
	* hw/xfree86/dummylib/Makefile.am:
	* hw/xfree86/exa/Makefile.am:
	* hw/xfree86/fbdevhw/Makefile.am:
	* hw/xfree86/i2c/Makefile.am:
	* hw/xfree86/int10/Makefile.am:
	* hw/xfree86/loader/Makefile.am:
	* hw/xfree86/os-support/bsd/Makefile.am:
	* hw/xfree86/os-support/bus/Makefile.am:
	* hw/xfree86/os-support/drm/Makefile.am:
	* hw/xfree86/os-support/linux/Makefile.am:
	* hw/xfree86/os-support/misc/Makefile.am:
	* hw/xfree86/os-support/solaris/Makefile.am:
	* hw/xfree86/parser/Makefile.am:
	* hw/xfree86/rac/Makefile.am:
	* hw/xfree86/ramdac/Makefile.am:
	* hw/xfree86/scanpci/Makefile.am:
	* hw/xfree86/shadowfb/Makefile.am:
	* hw/xfree86/utils/xorgcfg/Makefile.am:
	* hw/xfree86/utils/xorgconfig/Makefile.am:
	* hw/xfree86/vbe/Makefile.am:
	* hw/xfree86/vgahw/Makefile.am:
	* hw/xfree86/x86emu/Makefile.am:
	* hw/xfree86/xaa/Makefile.am:
	* hw/xfree86/xf1bpp/Makefile.am:
	* hw/xfree86/xf4bpp/Makefile.am:
	* hw/xfree86/xf8_16bpp/Makefile.am:
	* hw/xfree86/xf8_32bpp/Makefile.am:
	* hw/xfree86/xf8_32wid/Makefile.am:
	* hw/xnest/Makefile.am:
	* include/xorg-config.h.in:
	* include/xorg-server.h.in:
	* include/xwin-config.h.in:
	* lbx/Makefile.am:
	* mfb/Makefile.am:
	* mi/Makefile.am:
	* miext/cw/Makefile.am:
	* miext/damage/Makefile.am:
	* miext/layer/Makefile.am:
	* miext/shadow/Makefile.am:
	* os/Makefile.am:
	* randr/Makefile.am:
	* record/Makefile.am:
	* render/Makefile.am:
	* xfixes/Makefile.am:
	* xkb/Makefile.am:
	* xorg-server.pc.in:
	Define XFree86Server only where it is required.

2005-12-01  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* GL/mesa/X/Makefile.am:
	Fix GL build when srcdir != builddir (Donnie Berkholz).

2005-12-01  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	* include/dix-config.h.in:
	* include/xorg-server.h.in:
	Add missing XvExtension and XvMCExtension defines.

2005-12-01  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	Fix typo: xorg_bus_linuxbsdpci ==> xorg_bus_linuxpci

2005-11-30  Eric Anholt  <anholt@FreeBSD.org>

	* configure.ac:
	* hw/xfree86/os-support/bus/Makefile.am:
	Bug #5160: Fix the modular build to try to use the same logic for
	choosing the architecture/os-specific bus support as monolithic.

2005-11-29  Adam Jackson  <ajax@freedesktop.org>

	* configure.ac:
	Only build dlloader modules by default.

2005-11-29  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* GL/glx/Makefile.am:
	* GL/mesa/X/Makefile.am:
	* GL/mesa/array_cache/Makefile.am:
	* GL/mesa/glapi/Makefile.am:
	* GL/mesa/main/Makefile.am:
	* GL/mesa/math/Makefile.am:
	* GL/mesa/shader/Makefile.am:
	* GL/mesa/shader/grammar/Makefile.am:
	* GL/mesa/shader/slang/Makefile.am:
	* GL/mesa/swrast/Makefile.am:
	* GL/mesa/swrast_setup/Makefile.am:
	* GL/mesa/tnl/Makefile.am:
	* GL/symlink-mesa.sh:
	* XTrap/Makefile.am:
	* Xext/Makefile.am:
	* Xi/Makefile.am:
	* afb/Makefile.am:
	* cfb/Makefile.am:
	* cfb16/Makefile.am:
	* cfb24/Makefile.am:
	* cfb32/Makefile.am:
	* composite/Makefile.am:
	* configure.ac:
	* damageext/Makefile.am:
	* dbe/Makefile.am:
	* dix/Makefile.am:
	* fb/Makefile.am:
	* hw/dmx/glxProxy/Makefile.am:
	* hw/xfree86/Makefile.am:
	* hw/xfree86/common/Makefile.am:
	* hw/xfree86/ddc/Makefile.am:
	* hw/xfree86/dixmods/Makefile.am:
	* hw/xfree86/dixmods/extmod/Makefile.am:
	* hw/xfree86/dri/Makefile.am:
	* hw/xfree86/dummylib/Makefile.am:
	* hw/xfree86/exa/Makefile.am:
	* hw/xfree86/fbdevhw/Makefile.am:
	* hw/xfree86/i2c/Makefile.am:
	* hw/xfree86/int10/Makefile.am:
	* hw/xfree86/loader/Makefile.am:
	* hw/xfree86/os-support/bsd/Makefile.am:
	* hw/xfree86/os-support/bus/Makefile.am:
	* hw/xfree86/os-support/drm/Makefile.am:
	* hw/xfree86/os-support/linux/Makefile.am:
	* hw/xfree86/os-support/misc/Makefile.am:
	* hw/xfree86/os-support/solaris/Makefile.am:
	* hw/xfree86/parser/Makefile.am:
	* hw/xfree86/rac/Makefile.am:
	* hw/xfree86/ramdac/Makefile.am:
	* hw/xfree86/scanpci/Makefile.am:
	* hw/xfree86/shadowfb/Makefile.am:
	* hw/xfree86/utils/xorgcfg/Makefile.am:
	* hw/xfree86/vbe/Makefile.am:
	* hw/xfree86/vgahw/Makefile.am:
	* hw/xfree86/x86emu/Makefile.am:
	* hw/xfree86/xaa/Makefile.am:
	* hw/xfree86/xf1bpp/Makefile.am:
	* hw/xfree86/xf4bpp/Makefile.am:
	* hw/xfree86/xf8_16bpp/Makefile.am:
	* hw/xfree86/xf8_32bpp/Makefile.am:
	* hw/xfree86/xf8_32wid/Makefile.am:
	* include/xorg-config.h.in:
	* lbx/Makefile.am:
	* mfb/Makefile.am:
	* mi/Makefile.am:
	* miext/cw/Makefile.am:
	* miext/damage/Makefile.am:
	* miext/layer/Makefile.am:
	* miext/shadow/Makefile.am:
	* os/Makefile.am:
	* randr/Makefile.am:
	* record/Makefile.am:
	* render/Makefile.am:
	* xfixes/Makefile.am:
	* xkb/Makefile.am:
	* xorg-server.pc.in:
	Fix usage of XFree86LOADER/XFree86Module/IN_MODULE and update
	loadable module builds to reflect this change.

2005-11-23  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	* hw/xfree86/Makefile.am:
	* hw/xfree86/parser/Makefile.am:
	* hw/xfree86/utils/xorgcfg/Makefile.am:
	Add configure option to install libxf86config.a (disabled by
	default).

2005-11-21  Eric Anholt  <anholt@FreeBSD.org>

	* hw/xfree86/utils/ioport/Makefile.am:
	Bug #5118: Use "rm -f" instead of "$(RM)", which isn't always defined.

2005-11-20  Felix Kuehling  <fxkuehl@gmx.de>

	* configure.ac:
	Fix Xprt library dependencies in the case that Xprint is
	auto-detected by configure.

2005-11-20  Alan Coopersmith  <alan.coopersmith@sun.com>

	* configure.ac: 
	* xkb/Makefile.am:
	Make sure XKM_OUTPUT_DIR (used in code) ends in / (so paths don't
	get hosed when appending file names) but XKB_COMPILED_DIR (used 
	in Makefiles) does not so install-sh -d doesn't get confused when
	the directory already exists.

2005-11-19  Alan Coopersmith  <alan.coopersmith@sun.com>

	* configure.ac: 
	Add xext to list of modules xorgcfg depends on.

2005-11-19  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* GL/glx/Makefile.am:
	* Xprint/Makefile.am:
	* Xprint/pcl/Makefile.am:
	* Xprint/ps/Makefile.am:
	* Xprint/raster/Makefile.am:
	* configure.ac:
	* hw/xfree86/utils/xorgconfig/Makefile.am:
	* xorg-server.pc.in:
	Update dependencies to work with separate build roots.

2005-11-18  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/os-support/linux/Makefile.am:
	Bug #4928: Unbreak Makefile.am for Alpha chips. (Stefan DeRoeck)

	* configure.ac:
	* hw/xfree86/dixmods/Makefile.am:
	Bug #4824: Build XTrap support by default, matching monolith.

2005-11-16  Adam Jackson  <ajax@freedesktop.org>

	* configure.ac:
	Fix builds when not building the Xorg DDX.

2005-11-14  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* GL/glx/glcontextmodes.c:
	* GL/glx/glcontextmodes.h:
	* GL/symlink-mesa.sh:
	Use glcontextmodes.[ch] from Mesa.

2005-11-14  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* GL/glx/Makefile.am:
	Add GL_CFLAGS so that GLX can find its proto headers when using
	separate build dirs.

2005-11-13  Alan Coopersmith  <alan.coopersmith@sun.com>

	* configure.ac: 
	Default xkb-output directory needs trailing slash.

2005-11-13  Alan Coopersmith  <alan.coopersmith@sun.com>

	* Xprint/doc/Makefile.am:
	* hw/dmx/Makefile.am:
	* hw/dmx/config/Makefile.am:
	* hw/vfb/Makefile.am:
	* hw/xfree86/doc/man/Makefile.am:
	* hw/xfree86/getconfig/Makefile.am:
	* hw/xfree86/utils/gtf/Makefile.am:
	* hw/xfree86/utils/kbd_mode/Makefile.am:
	* hw/xfree86/utils/pcitweak/Makefile.am:
	* hw/xfree86/utils/scanpci/Makefile.am:
	* hw/xfree86/utils/xorgcfg/Makefile.am:
	* hw/xfree86/utils/xorgconfig/Makefile.am:
	* hw/xnest/Makefile.am:
	* hw/xwin/Makefile.am:
	Bug #5019 <https://bugs.freedesktop.org/show_bug.cgi?id=5019>
	xserver installs manpages into 'man1' instead of 'man1x'

2005-11-12  Alan Coopersmith  <alan.coopersmith@sun.com>

	* include/dix-config.h.in: 
	Bug #4832 <https://bugs.freedesktop.org/show_bug.cgi?id=4832>
	use RGB_DB not RGB_PATH as that's what configure defines
	(Jürg Billeter  <j@bitron.ch>)
  
2005-11-09  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	* include/dix-config.h.in:
	* include/xorg-server.h.in:
	Fix typo to enable DGA support.

	* hw/xfree86/dixmods/extmod/Makefile.am:
	EXTMODULE is required to build DGA support into extmod.

2005-11-09  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	Update package version number for X11R7 RC2 release.
	Update release string to 6.99.99.902 (i.e., 7.0 RC2).

2005-11-08  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* hw/xfree86/os-support/Makefile.am:
	* hw/xfree86/os-support/sco/Makefile.am:
	* hw/xfree86/os-support/usl/Makefile.am:
	Add newly checked in files to Xorg server build.

	* configure.ac:
	* include/dix-config.h.in:
	Fix release date.
	Enable DGA extension by default.

2005-11-03  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	* dix/Makefile.am:
	* hw/xfree86/utils/xorgcfg/Makefile.am:
	Fix vendor string and release version reported by the servers.
	Enable security, lbx and xevie extensions to give us parity
	with monolithic tree.

2005-11-03  Alan Coopersmith  <alan.coopersmith@sun.com>

	* doc/Makefile.am: 
	Use APP_MAN_SUFFIX for Xserver man page instead of hardcoding section 1
	
2005-11-02  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	* include/dix-config.h.in:
	Add support for enabling/disabling DBE (part of generic enable/disable
	extension support in the server).

2005-11-01  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* Makefile.am:
	Add xorg-server.m4 for driver dependency checking.

	* configure.ac:
	* hw/dmx/config/Makefile.am:
	* hw/dmx/examples/Makefile.am:
	* hw/xfree86/dri/Makefile.am:
	* hw/xfree86/utils/xorgcfg/Makefile.am:
	Update pkgcheck depedencies to work with separate build roots.

2005-10-28  Alan Coopersmith  <alan.coopersmith@sun.com>

	* hw/xfree86/Makefile.am: 
	Make X -> Xorg symlink at install time.
	
2005-10-21  Adam Jackson  <ajax@freedesktop.org>

	* configure.ac:
	Bug #4840: Typo, x$xRES -> x$RES.  (George Fufutos)

2005-10-20  Donnie Berkholz  <spyderous@gentoo.org>

	* configure.ac: Bug #4817 <https://bugs.freedesktop.org/show_bug.cgi?id=4817>
	Restore '=' to '==' in test for mmx_capable.

2005-10-18  Adam Jackson  <ajax@freedesktop.org>

	* XTrap/Makefile.am:
	* hw/xfree86/dixmods/Makefile.am:
	Move xf86XTrapModule.c to dixmods, guess at a build system.

2005-10-18  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	Update package version number for RC1 release.
	Update release string to 6.99.99.901 (i.e., 7.0 RC1).

2005-10-18  Adam Jackson  <ajax@freedesktop.org>

	* hw/dmx/config/Makefile.am:
	Fix parallel builds my ensuring libdmxconfig builds first.

	* hw/xfree86/Makefile.am:
	Fix distcheck by forcing Xorg to be installed before chmod/chown.

2005-10-18  Alan Coopersmith  <alan.coopersmith@sun.com>

	* hw/xfree86/utils/xorgcfg/Makefile.am:
	Don't use $< in explicit rules since neither BSD nor Solaris make
	allow that.

2005-10-17  Aaron Plattner  <aplattner@nvidia.com>

	* hw/xfree86/loader/Makefile.am:
	Add miext/damage so misym.c can export DamageDamageRegion.

2005-10-17  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/utils/xorgcfg/Makefile.am:
	Work around automake-1.7 braindamage by providing an explicit rule
	for XOrgCfg.

	* hw/xfree86/Makefile.am:
	More automake 1.7 braindamage: use mkdir -p, not $(mkdir_p).

2005-10-17  Kristian Høgsberg  <krh@redhat.com>

	* configure.ac: Fix whitespace in AS_HELP_STRING uses, convert
	all help strings to use AS_HELP_STRING.

2005-10-17  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	* Xext/Makefile.am:
	* include/dix-config.h.in
	Add support for more extensions

	* GL/Makefile.am:
	* XTrap/Makefile.am:
	* hw/xfree86/os-support/Makefile.am:
	* hw/xfree86/os-support/bsd/Makefile.am:
	* hw/xfree86/os-support/bus/Makefile.am:
	* hw/xfree86/os-support/linux/Makefile.am:
	* hw/xfree86/os-support/linux/int10/Makefile.am:
	* hw/xfree86/os-support/misc/Makefile.am:
	* hw/xfree86/os-support/solaris/Makefile.am:
	* hw/xfree86/vgahw/Makefile.am:
	* hw/xfree86/x86emu/Makefile.am:
	* os/Makefile.am:
	Add missing files to EXTRA_DIST

2005-10-15  Donnie Berkholz  <spyderous@gentoo.org>

	* configure.ac: Change '==' to portable '='.

2005-10-15  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	Fix typo and add new Makefiles to AC_OUTPUT

	* XpConfig/C/print/models/HPDJ1600C/Makefile.am:
	Fix typos

	* hw/xfree86/doc/man/Makefile.am:
	Add xorg.conf.man to CLEANFILES

	* Makefile.am:
	* XpConfig/C/print/models/PSspooldir/Makefile.am:
	* Xprint/Makefile.am:
	* hw/xfree86/os-support/Makefile.am:
	* hw/xfree86/os-support/lynxos/Makefile.am:
	* ilbm/Makefile.am:
	* iplan2p4/Makefile.am:
	* miext/Makefile.am:
	* miext/rootless/Makefile.am:
	Add missing files to EXTRA_DIST

2005-10-15  Kristian Høgsberg  <krh@redhat.com>

	* lbx/Makefile.am: Doh, remember to add this file.

2005-10-14  Kristian Høgsberg  <krh@redhat.com>

	* Makefile.am:
	* configure.ac:
	* include/dix-config.h.in:
	* os/Makefile.am: Hook up lbx.

2005-10-14  Alan Coopersmith  <alan.coopersmith@sun.com>

	* configure.ac:
	Set default font path to match the default in the monolith so
	fonts are actually found.

2005-10-14  Alan Coopersmith  <alan.coopersmith@sun.com>

	* hw/xfree86/Makefile.am: 
	* hw/xfree86/doc/Makefile.am: 
	Install Xorg & xorg.conf man pages even when not building docs

2005-10-14  Kristian Høgsberg  <krh@redhat.com>

	* hw/xfree86/os-support/Makefile.am (DIST_SUBDIRS): Add sysv and
	sco os-support subdirs and add simple EXTRA_DIST Makefile.am in
	those dirs.  Remove unsupported os-support subdirs (bsdi, dgux,
	hurd, nto, os2, pmax, qnx4) that have no maintainer and we don't
	dist.

	* hw/xfree86/Makefile.am (EXTRA_DIST): Add Options.

2005-10-13  Donnie Berkholz  <spyderous@gentoo.org>

	* configure.ac: Add XTRAP_LIB to XPRINT_EXTENSIONS to fix xprint build when
	xtrap is enabled.

2005-10-13  Donnie Berkholz  <spyderous@gentoo.org>

	* configure.ac: Require glproto >= 1.4.1 if building DRI with GLX. This
	fixes a build failure on a number of hyperpipe functions.

2005-10-13  Alan Coopersmith  <alan.coopersmith@sun.com>

	* hw/xfree86/utils/xorgconfig/Makefile.am (EXTRAMANDEFS): 
	Set substitutions needed in xorgconfig man page.

2005-10-13  Kristian Høgsberg  <krh@redhat.com>

	* hw/xfree86/xf4bpp/Makefile.am (libxf4bpp_la_SOURCES): Dist NOTES.

	* hw/xfree86/xf1bpp/Makefile.am (EXTRA_DIST): Dist helper shell
	scripts.

	* hw/xfree86/xaa/Makefile.am (EXTRA_DIST): Dist XAA.HOWTO and a
	few more unused C files.

	* hw/xfree86/Makefile.am (EXTRA_DIST): Dist xorgconf.cpp.

	* hw/xfree86/doc/Makefile.am (EXTRA_DIST): Fix DIST_EXTRA typo.

	* hw/dmx/config/Makefile.am (MAINTAINERCLEANFILES): Clean yacc and
	lex generated files only during make maintainer-clean as we don't
	expect users to have those tools installed.

2005-10-12  Eric Anholt  <anholt@FreeBSD.org>

	* hw/xfree86/common/Makefile.am:
	Remove an RM line that appears unnecessary and was breaking the build
	at xf86DefModeSet.c with FreeBSD make, where RM was undefined.  While
	here, make the build of xf86DefModeSet.c depend on its sources, so it'll
	rebuild properly, and make it a normal CLEANFILE rather than a
	DISTCLEANFILE, since the intention seems to be to build it at the user's
	build time.

2005-10-11  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* hw/darwin/Makefile.am:
	Fix typo (DIST_EXTRA -> EXTRA_DIST)

2005-10-09  Alan Coopersmith  <alan.coopersmith@sun.com>

	* Xext/Makefile.am: 
	Bug #4715 <https://bugs.freedesktop.org/show_bug.cgi?id=4715>
	Add SecurityPolicy to EXTRA_DIST (Bill Crawford)

2005-10-07  Kristian Høgsberg  <krh@redhat.com>

	* Xprint/Makefile.am:
	* Xprint/etc/Makefile.am:
	* Xprint/etc/Xsession.d/Makefile.am:
	* Xprint/etc/init.d/Makefile.am:
	* Xprint/etc/profile.d/Makefile.am:
	* configure.ac:
	Add Xprint init scrips to EXTRA_DIST.

2005-10-07  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	* hw/Makefile.am:
	* hw/darwin/Makefile.am:
	Add darwin to dist

	* hw/xfree86/doc/Makefile.am:
	* hw/xfree86/doc/devel/Makefile.am:
	Include missing docs in EXTRA_DIST

	* hw/xwin/Makefile.am:
	Include headers and other files in dist
	
2005-10-07  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* xkb/Makefile.am:
	Add README.compiled to dist tarball

2005-10-06  Alan Coopersmith  <alan.coopersmith@sun.com>

	* hw/dmx/examples/Makefile.am: 
	Don't build "ev" example on systems without <linux/input.h>

2005-10-06  Kristian Høgsberg  <krh@redhat.com>

	* hw/xfree86/parser/Makefile.am: Add cpconfig.c to EXTRA_DIST.
	* hw/xfree86/ramdac/Makefile.am: Add CURSOR.NOTES to EXTRA_DIST.
	* hw/xfree86/scanpci/Makefile.am: Add extrapci.ids to EXTRA_DIST
	and fix xf86PciIds.h rule.

2005-10-06  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* hw/vfb/Makefile.am:
	Install correct man page and add to dist

2005-10-05  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	* hw/dmx/Makefile.am:
	* hw/dmx/config/Makefile.am:
	* hw/dmx/doc/Makefile.am:
	* hw/dmx/examples/Makefile.am:
	* hw/dmx/input/Makefile.am:
	Add support for building DMX config and examples programs
	Add missing files to EXTRA_DIST
	Install Xdmx man page

2005-10-05  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* hw/xfree86/fbdevhw/Makefile.am:
	Clean up generated files to pass distcheck

	* hw/xfree86/getconfig/Makefile.am:
	Clean up generated files to pass distcheck
	Distribute getconfig.man.pre, not getconfig.man

2005-10-05  Kristian Høgsberg  <krh@redhat.com>

	* afb/Makefile.am:
	* cfb/Makefile.am:
	* configure.ac:
	* dix/Makefile.am:
	* fb/Makefile.am:
	* hw/vfb/Makefile.am:
	* hw/xfree86/common/Makefile.am:
	* hw/xfree86/dixmods/extmod/Makefile.am:
	Add DGA configure option and add various files that we should be
	dist'ing.  Simplify xf86DefModeSet.c rule a bit.

2005-10-05  Adam Jackson  <ajax@freedesktop.org>

	* configure.ac:
	* hw/xfree86/utils/xorgcfg/Makefile.am:
	Preprocess and install XOrgCfg.ad as in the monolith.

2005-10-04  Adam Jackson  <ajax@freedesktop.org>

	* configure.ac:
	Bug #4038: Unbreak the SYSVIPC check for cross builds. (Detlef Vollman)

2005-10-04  Aaron Plattner  <aplattner@nvidia.com>

	* hw/xfree86/loader/Makefile.am:
	Add miext/cw to the module loader include path so that misym.c can export
	miDisableCompositeWrapper.

2005-10-03  Alan Coopersmith  <alan.coopersmith@sun.com>

	* configure.ac: Add missing ]	 (Dawid Gajownik)
	* hw/xfree86/Makefile.am (SUBDIRS): Add getconfig (Dawid Gajownik)

2005-10-02  Eric Anholt  <anholt@FreeBSD.org>

	* hw/xfree86/exa/Makefile.am:
	Fix include path for commit of bug #4616.

2005-09-28  Alan Coopersmith  <alan.coopersmith@sun.com>

	* configure.ac: 
	* hw/xfree86/utils/Makefile.am:
	* hw/xfree86/utils/kbd_mode/Makefile.am:
	Add kbd_mode build system

2005-09-27  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* XpConfig/C/print/Makefile.am:
	* XpConfig/C/print/attributes/Makefile.am:
	* XpConfig/C/print/ddx-config/raster/Makefile.am:
	* XpConfig/C/print/models/CANONBJ10E-GS/Makefile.am:
	* XpConfig/C/print/models/CANONC3200-PS/Makefile.am:
	* XpConfig/C/print/models/GSdefault/Makefile.am:
	* XpConfig/C/print/models/HPLJ4050-PS/Makefile.am:
	* XpConfig/C/print/models/HPLJ4family/Makefile.am:
	* XpConfig/C/print/models/HPLJ4family/fonts/Makefile.am:
	* XpConfig/C/print/models/PS2PDFspooldir-GS/Makefile.am:
	* XpConfig/C/print/models/PSdefault/Makefile.am:
	* XpConfig/C/print/models/PSdefault/fonts/Makefile.am:
	* XpConfig/C/print/models/PSspooldir/Makefile.am:
	* XpConfig/C/print/models/SPSPARC2/Makefile.am:
	* XpConfig/en_US/print/attributes/Makefile.am:
	* hw/xfree86/dummylib/Makefile.am:
	* hw/xfree86/utils/xorgcfg/Makefile.am:
	* hw/xfree86/utils/xorgconfig/Makefile.am:
	Fix distcheck build and install errors.

2005-09-27  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* hw/dmx/doc/Makefile.am:
	* hw/xfree86/doc/sgml/Makefile.am:
	Fix make dist to include only sgml files.

2005-09-27  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	Add build system for building docs and fix setuid issues.

	* hw/dmx/Makefile.am:
	* hw/dmx/doc/Makefile.am:
	* hw/xfree86/Makefile.am:
	* hw/xfree86/doc/Makefile.am:
	* hw/xfree86/doc/sgml/Makefile.am:
	Add build system for sgml docs.
	
2005-09-26  Alan Coopersmith  <alan.coopersmith@sun.com>

	* configure.ac:
	* hw/xfree86/utils/Makefile.am:
	* hw/xfree86/utils/ioport/Makefile.am
	* hw/xfree86/utils/pcitweak/Makefile.am: 
	Add ioport and pcitweak utils from monolith hw/xfree86/etc dir.

	* xserver/xorg/hw/xfree86/common/Makefile.am:
	Generate xf86DefModeSet.c from vesamodes & extramodes

	* xserver/xorg/hw/xfree86/os-support/solaris/Makefile.am:
	Add apSolaris.shar to EXTRA_DIST
	
2005-09-25  Alan Coopersmith  <alan.coopersmith@sun.com>

	* Xext/Makefile.am: 
	Add SecurityPolicy file for XCSECURITY extension.
	
	* hw/xfree86/dummylib/Makefile.am:
	Add README to EXTRA_DIST

2005-09-23  Alan Coopersmith  <alan.coopersmith@sun.com>

	* configure.ac:
	* cpprules.in:
	* hw/xfree86/Makefile.am:
	* hw/xfree86/dummylib/Makefile.am:
	* hw/xfree86/os-support/.cvsignore:
	* hw/xfree86/os-support/Makefile.am:
	* hw/xfree86/scanpci/Makefile.am:
	* hw/xfree86/utils/Makefile.am:
	* hw/xfree86/utils/scanpci/Makefile.am:
	* hw/xfree86/utils/xorgcfg/Makefile.am:
	* hw/xfree86/utils/xorgconfig/Makefile.am:
	Add scanpci, xorgcfg, & xorgconfig utilities.

2005-09-21  Kristian Høgsberg  <krh@redhat.com>

	* configure.ac: Accept --with-xkb-output argument to specify
	output dir for compiled xkb keymaps.  Define XKM_OUTPUT_DIR and
	XKB_BIN_DIRECTORY.

	* include/xkb-config.h.in: Add XKM_OUTPUT_DIR and XKB_BIN_DIRECTORY.

	* xkb/Makefile.am (AM_CFLAGS): Add XKB_CFLAGS.

2005-09-20  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/os-support/Makefile.am:
	Bug #4487: Add the bsd subdir to DIST_SUBDIRS. (Joshua Baergen)

2005-09-20  Adam Jackson  <ajax@freedesktop.org>

	* cfb/Makefile.am:
	* cfb/Makefile.am.inc:
	Bug #4257: Move cfbcmap.c to cfb_common_sources.

2005-09-20  Alan Coopersmith  <alan.coopersmith@sun.com>

	* hw/xfree86/Makefile.am (install-exec-local): 
	* configure.ac:
	Add --disable-install-setuid option so you can build as non-root
	and chown/chmod later.   Also disable by default on platforms that
	don't need setuid root X servers (Darwin & SPARC's, according to
	InstallXserverSetUID settings in the old Imake config files).

2005-09-19  Alan Coopersmith  <alan.coopersmith@sun.com>

	* configure.ac:
	* hw/xfree86/os-support/bus/Makefile.am: 
	* hw/xfree86/os-support/linux/Makefile.am:
	Linux/Alpha support (Stefaan De Roeck)

2005-09-14  Eric Anholt  <anholt@FreeBSD.org>

	* configure.ac:
	Bug #3990: Require glproto in the cases that it's necessary (DRI or DMX
	with GLX).  (spyderous)

2005-09-14  Eric Anholt  <anholt@FreeBSD.org>

	* hw/xfree86/Makefile.am:
	Bug #4046: Install the X.Org server setuid root. (David Schleef)

2005-09-14  Eric Anholt  <anholt@FreeBSD.org>

	* configure.ac:
	* hw/xfree86/Makefile.am:
	Bug #3889: Create the log dir on install, and allow configuring
	specifically that directory.  Failure to have the directory keeps the
	xorg server from starting. (David Schleef)

2005-09-14  Eric Anholt  <anholt@FreeBSD.org>

	* hw/xfree86/xf8_32bpp/Makefile.am:
	Don't put a version number on the module filename.

2005-09-14  Eric Anholt  <anholt@FreeBSD.org>

	* configure.ac:
	* hw/xfree86/Makefile.am:
	* hw/xfree86/loader/Makefile.am:
	* hw/xfree86/xf8_32bpp/Makefile.am:
	Build xf8_32bpp, which is wanted by the mga driver, and export elf.h,
	which is wanted by the rendition driver.

2005-09-13  Eric Anholt  <anholt@FreeBSD.org>

	* configure.ac:
	* hw/xfree86/dri/Makefile.am:
	Turn on DRI by default on Linux, NetBSD, FreeBSD, and fix the build of
	the module for FreeBSD by setting some missing defines (XFree86Module,
	IN_MODULE) in the dri directory.  Note that those missing defines should
	be somewhere generic, since there are other consumers of them, but I
	haven't figured out where.

2005-09-13  Eric Anholt  <anholt@FreeBSD.org>

	* configure.ac:
	* hw/xfree86/Makefile.am:
	* hw/xfree86/os-support/bsd/Makefile.am:
	* include/dix-config.h.in:
	* include/xorg-config.h.in:
	* include/xorg-server.h.in:
	Add some initial BSD support for the xorg server.  Incomplete on NetBSD,
	OpenBSD, and non-i386/amd64 FreeBSD for sure.  Plus I haven't actually
	run it yet.

2005-09-12  Eric Anholt  <anholt@FreeBSD.org>

	* configure.ac:
	Don't define POSIX_SOURCE on any BSDs, since it breaks things.

	* hw/xfree86/int10/Makefile.am:
	Define NO_SYS_HEADERS, as the monolithic build does.  Helps FreeBSD.

	* hw/xfree86/x86emu/Makefile.am:
	Don't include validate.c in the library, since it seems to be a userland
	test program.

2005-09-12  Daniel Stone  <daniel@freedesktop.org>

	* configure.ac:
	Put DMX AC_CONDITIONALS at the top level, since they must always be
	called.  Add missing resourceproto, fontenc, and fontsproto to
	REQUIRED_MODULES.

	* configure.ac:
	* include/xorg-config.h.in:
	* include/xorg-server.h.in:
	Since we build vgahw unconditionally, always define WITH_VGAHW.

2005-09-09  Jürg Billeter  <j@bitron.ch>

	* configure.ac: use RGB_DB not RGB_PATH as that's what it's looking for

	* xkb/Makefile.am: define HAVE_XKB_CONFIG_H so setting xkb-path works

2005-09-02  Alan Coopersmith  <alan.coopersmith@sun.com>

	* configure.ac: 
	Use macros from xtrans.m4, issue error if not found.

2005-09-02  Daniel Stone  <daniel@freedesktop.org>

	* GL/mesa/X/Makefile.am:
	Add -include dix-config.h to CFLAGS so we pickup _XSERVER64 and other
	assorted vaguely useful macros; this unbreaks GLcore on amd64.

2005-09-01  Daniel Stone  <daniel@freedesktop.org>

	* configure.ac:
	* include/config.h.in:
	Make RGB_PATH configurable.

	* hw/xfree86/i2c/Makefile.am:
	Move I2C modules back to $(moduledir)/multimedia.

2005-08-30  Kristian Høgsberg  <krh@redhat.com>

	* hw/xfree86/dri/Makefile.am: 
	* hw/xfree86/os-support/drm/Makefile.am: Use the $(moduledir)
	makefile variable instead of @moduledir@ so it can be overridden
	at make install time.

	* xorg-server.pc.in: Remove driverdir and inputdir from pkg-config
	file.  The directory layout of moduledir is fixed and well known
	by drivers.

Thu Aug 25 17:15:01 2005  Søren Sandmann  <sandmann@redhat.com>

	* hw/xfree86/i2c/Makefile.am (module_LTLIBRARIES): Add all the
	drivers to the module_LTLIBRARIES instead of having separate 
	variables for them. Pointed out by Kristian Høgsberg.
	
2005-08-25  Kristian Høgsberg  <krh@redhat.com>

	* hw/xfree86/os-support/solaris/Makefile.am (EXTRA_DIST): Remove
	sun_inout.s so make dist works (discussed with Alan Coopersmith).

Wed Aug 24 15:39:07 2005  Søren Sandmann  <sandmann@redhat.com>

	* configure.ac: Add GLX_{INC,LIBS} for xprint.

	* hw/xfree86/dixmods/Makefile.am: Add @DIX_FLAGS@ to AM_CFLAGS

2005-08-24  Alan Coopersmith  <alan.coopersmith@sun.com>

	* configure.ac: 
	* hw/dmx/input/Makefile.am:
	Don't try to build dmx/input/lnx-*.c if <linux/keyboard.h> isn't found
	Don't try to build dmx/input/usb-*.c if <linux/input.h> isn't found

	* hw/dmx/Makefile.am: 
	Replace -rdynamic with $(LD_EXPORT_SYMBOLS_FLAG) for compatibility
	with compilers other than gcc
	
2005-08-22  Kevin E. Martin  <kem-at-freedesktop-dot-org>

	* configure.ac:
	Fix linking errors for xprint.

2005-08-21  Daniel Stone  <daniel@freedesktop.org>

	* configure.ac:
	Huge cleanup.  Group into sections: hardware feature detection,
	extension detection/configuration, DDX options.  Make building of Xorg
	DDX fully optional.  Clarify and correct some help texts.  Change all
	comments to use dnl instead of #.  Quote all tests correctly, and guard
	pure-variable tests with 'x' (e.g. test $DMX = yes -> test "x$DMX" =
	xyes).  Since the DDXes seem to have pretty divergent extension support
	these days, get rid of EXTENSION_LIBS, DMX_EXTENSIONS and
	XPRINT_EXTENSIONS, and go back to building extension lists by hand in
	the DDX-specific sections.  Use portable POSIX constructs everywhere
	(e.g. test foo && test bar, instead of test foo -a bar).

	* configure.ac:
	Set _XSERVER64 on 64-bit architectures, and use x86_64 for host_cpu
	instead of amd64 (Jürg Billeter).
	
	* configure.ac:
	* hw/xfree86/loader/Makefile.am:
	* hw/xfree86/os-support/bus/Makefile.am:
	Add test for SPARC.  Build SparcMulDiv.S, sparcPci.c, and Sbus.c on
	all SPARCs; use xorg_bus_sparc instead of xorg_bus_sbus.

	* configure.ac:
	Make the default font path configurable.

2005-08-20  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/os-support/bus/Makefile.am:
	Add sparcPci.c to EXTRA_DIST.

2005-08-20  Daniel Stone  <daniel@freedesktop.org>

	* configure.ac:
	Make symlink-mesa.sh usage srcdir != objdir safe.
	Remove requirement for XF86Rush protocol headers, which we don't even
	use in the core server.

	* configure.ac:
	* xkb/Makefile.am:
	* hw/xfree86/Makefile.am:
	* hw/xfree86/dixmods/Makefile.am:
	Build libxkbstubs.la to stub XKB DDX functions (e.g. VT switches), and
	build libxorggxkb.la from within the Xorg DDX to replace the previous
	xf86VT.o, et al, hacks.

	* configure.ac:
	* GL/**/Makefile.am:
	* hw/xfree86/dri/Makefile.am:
	Make DRI/GLcore builds srcdir != builddir safe, and invoke
	symlink-mesa.sh in our builddir, not our srcdir.

2005-08-19  Søren Sandmann  <sandmann@redhat.com>

	* fb/Makefile.am (libfbmmx_la_CFLAGS): Move fbmmx to a convenience
	library since the mmx flags may be harmful when applied to non-mmx
	code.

2005-08-17  Søren Sandmann  <sandmann@redhat.com>

	* Xext/Makefile.am: Conditionally compile in xprint.c

	* Makefile.am, configure.ac: Add Xprint

2005-08-16  Søren Sandmann  <sandmann@redhat.com>

	* hw/xfree86/dixmods/Makefile.am: Add ft and type1 modules.

2005-08-15  Søren Sandmann  <sandmann@redhat.com>

	* hw/xfree86/dixmods/extmod/Makefile.am (libextmod_la_LIBADD):
	Link this module with libXext.la.

Mon Aug 15 14:56:57 2005  Søren Sandmann  <sandmann@redhat.com>

	* hw/xfree86/dixmods/Makefile.am (libdixmods_la_SOURCES): Remove
	the xkb* files.

	* hw/xfree86/Makefile.am (Xorg_LDADD): Add xkbVT.o and friends as
	the last things on the link line so they will override the symbols
	in libxkb.a.  Add a comment on how this situation might not be
	considered ideal.

2005-08-08  Søren Sandmann  <sandmann@redhat.com>

	* include/xorg-config.h.in: #undef PIXPRIV here.

2005-08-07  Keith Packard  <keithp@keithp.com>

	* include/dix-config.h.in:
	Re-add _XOPEN_SOURCE as it's needed *sometimes*.
	Place it in #ifndef to avoid whinging.

2005-08-07  Keith Packard  <keithp@keithp.com>

	* .cvsignore:
	* GL/mesa/X/.cvsignore:
	* Xext/extmod/.cvsignore:
	* afb/.cvsignore:
	* cfb/.cvsignore:
	* cfb16/.cvsignore:
	* cfb24/.cvsignore:
	* cfb32/.cvsignore:
	* hw/dmx/.cvsignore:
	* hw/dmx/config/.cvsignore:
	* hw/vfb/.cvsignore:
	* hw/xfree86/.cvsignore:
	* hw/xfree86/common/.cvsignore:
	* hw/xfree86/dixmods/.cvsignore:
	* hw/xfree86/exa/.cvsignore:
	* hw/xfree86/os-support/linux/drm/.cvsignore:
	* hw/xfree86/ramdac/.cvsignore:
	* hw/xfree86/scanpci/.cvsignore:
	* hw/xfree86/x86emu/.cvsignore:
	* hw/xfree86/xaa/.cvsignore:
	* hw/xfree86/xf1bpp/.cvsignore:
	* hw/xfree86/xf4bpp/.cvsignore:
	* hw/xnest/.cvsignore:
	* include/.cvsignore:
	* mfb/.cvsignore:
	Add autogenerated source files and other
	various non-CVS material to .cvsignore files
	
	* hw/xfree86/exa/Makefile.am:
	Use XORG_CFLAGS.  Ensure that all exa files are in SOURCES
	
	* include/dix-config.h.in:
	remove _XOPEN_SOURCE as it's always in xtrans.pc these days
	and gcc whines
	
	* configure.ac:
	libdamage.la needs libcw.la when COMPOSITE is defined,
	but that libdamage.la must be after libcomposite.la, so
	add libcw.la to DAMAGE_LIB instead of EXTENSION_LIBS.
	Regularize library link order across all X servers

2005-08-07  Adam Jackson  <ajax@freedesktop.org>

	* configure.ac:
	Invert the sense of the composite configure flag to match reality.

2005-08-07  Adam Jackson  <ajax@freedesktop.org>

	* configure.ac:
	* miext/damage/Makefile.am:
	Bug #3989: Fix Composite builds, enable Composite build by default.
	(Olli Helenius)

2005-08-04  Adam Jackson  <ajax@freedesktop.org>

	* hw/xfree86/common/Makefile.am:
	* hw/xfree86/os-support/bus/Makefile.am:
	EXTRA_DIST hacks to get all the OS support files into the tarball.

2005-08-04  Adam Jackson  <ajax@freedesktop.org>

	* configure.ac:
	* GL/Makefile.am:
	* GL/include/Makefile.am:
	* GL/include/GL/Makefile.am:
	* hw/xfree86/os-support/solaris/Makefile.am:
	* hw/xfree86/scanpci/Makefile.am:
	- Bug #3960: Add remaining GLX and pci.ids stuff to DIST
	  (Cha Young-Ho, Olli Helenius)
	- Fix some distcheck problems for non-solaris systems
	- Change server version number from the Xorg rev to an independent one
	- _POSIX_SOURCE and _XOPEN_SOURCE defined to the right values

2005-08-04  Adam Jackson  <ajax@freedesktop.org>

	* configure.ac:
	* GL/mesa/main/Makefile.am:
	- Check for vsnprintf
	- Don't build the Xorg DDX on darwin
	- Workaround for gcc defining __ppc__ but not __powerpc__

2005-08-02  Keith Packard  <keithp@keithp.com>

	* hw/xwin/Makefile.am:
	Mark generated files as BUILT_SOURCES and CLEANFILES
	to ensure they are regenerated after 'make clean' and
	to make parallel builds work right.

2005-08-01  Keith Packard  <keithp@keithp.com>

	* hw/dmx/config/Makefile.am:
	Note yacc and lex generated files as BUILT_SOURCES so
	they are created before anything is compiled; required
	for parallel builds

2005-07-06  Alexander Gottwald  <ago@freedesktop.org>

	* configure.ac:
	* Makefile.am:
	* include/dix-config.h:
	Add more defines for XWin DDX
	Make building of cfb*, afb and mfb conditional
	Set FD_SETSIZE=256 on cygwin
	
2005-07-05  Alexander Gottwald  <ago@freedesktop.org>

	* hw/xwin/Makefile.am:
	Build miinitext.c and fbcmap.c as DDX specific files

	* configure.ac:
	Do not define _POSIX_SOURCE on cygwin.

2005-07-05  Alexander Gottwald  <ago@freedesktop.org>

	* fb/Makefile.am:
	* mi/Makefile.am:
	* xkb/Makefile.am:
	Revert last changes. They have to be addressed in a different way

2005-07-05  Alexander Gottwald  <ago@freedesktop.org>

	* configure.ac:
	* hw/Makefile.am:
	Add XWin DDX, make Xorg DDX conditional
	Make XF86VidMode and XF86Misc conditional

	* include/xwin-config.h.in:
	* hw/xwin/Makefile.am:
	Add XWin DDX

	* include/dix-config.h.in:
	Added DDXTIME, DDXOSFATALERROR, DDXOSVERRORF and DDXBEFORERESET

	* fb/Makefile.am:
	Added fbcmap.c

	* mi/Makefile.am:
	Added miinitext.c

	* xkb/Makefile.am:
	Added -I$(top_srcdir)/Xext/extmod to INCLUDES

2005-07-02  Daniel Stone  <daniel@freedesktop.org>

	* acinclude.m4:
	* autogen.sh:
	* configure.ac:
	* **/Makefile.am:
	* xorg-server.pc.in:
	Initial build system checked in.
